/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
(function e(t,n,i){function a(r,s){if(!n[r]){if(!t[r]){var d=typeof require=='function'&&require;if(!s&&d)return d(r,!0);if(o)return o(r,!0);var u=new Error('Cannot find module \''+r+'\'');throw u.code='MODULE_NOT_FOUND',u};var l=n[r]={exports:{}};t[r][0].call(l.exports,function(e){var n=t[r][1][e];return a(n?n:e)},l,l.exports,e,t,n,i)};return n[r].exports};var o=typeof require=='function'&&require;for(var r=0;r<i.length;r++)a(i[r]);return a})({1:[function(e,t,n){},{}],2:[function(e,t,n){(function(n){var r=typeof n!=='undefined'?n:typeof window!=='undefined'?window:{};var a=e(1),i;if(typeof document!=='undefined'){i=document}
else{i=r['__GLOBAL_DOCUMENT_CACHE@4'];if(!i){i=r['__GLOBAL_DOCUMENT_CACHE@4']=a}};t.exports=i}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{'1':1}],3:[function(e,t,n){(function(e){var n;if(typeof window!=='undefined'){n=window}
else if(typeof e!=='undefined'){n=e}
else if(typeof self!=='undefined'){n=self}
else{n={}};t.exports=n}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{}],4:[function(e,t,n){(function(e){var l=setTimeout;function u(){};function d(e,t){return function(){e.apply(t,arguments)}};function n(e){if(typeof this!=='object')throw new TypeError('Promises must be constructed via new');if(typeof e!=='function')throw new TypeError('not a function');this._state=0;this._handled=!1;this._value=undefined;this._deferreds=[];s(e,this)};function o(e,t){while(e._state===3){e=e._value};if(e._state===0){e._deferreds.push(t);return};e._handled=!0;n._immediateFn(function(){var o=e._state===1?t.onFulfilled:t.onRejected;if(o===null){(e._state===1?r:i)(t.promise,e._value);return};var a;try{a=o(e._value)}catch(n){i(t.promise,n);return};r(t.promise,a)})};function r(e,t){try{if(t===e)throw new TypeError('A promise cannot be resolved with itself.');if(t&&(typeof t==='object'||typeof t==='function')){var o=t.then;if(t instanceof n){e._state=3;e._value=t;a(e);return}
else if(typeof o==='function'){s(d(o,t),e);return}};e._state=1;e._value=t;a(e)}catch(r){i(e,r)}};function i(e,t){e._state=2;e._value=t;a(e)};function a(e){if(e._state===2&&e._deferreds.length===0){n._immediateFn(function(){if(!e._handled){n._unhandledRejectionFn(e._value)}})};for(var t=0,i=e._deferreds.length;t<i;t++){o(e,e._deferreds[t])};e._deferreds=null};function f(e,t,n){this.onFulfilled=typeof e==='function'?e:null;this.onRejected=typeof t==='function'?t:null;this.promise=n};function s(e,t){var a=!1;try{e(function(e){if(a)return;a=!0;r(t,e)},function(e){if(a)return;a=!0;i(t,e)})}catch(n){if(a)return;a=!0;i(t,n)}};n.prototype['catch']=function(e){return this.then(null,e)};n.prototype.then=function(e,t){var n=new(this.constructor)(u);o(this,new f(e,t,n));return n};n.all=function(e){var t=Array.prototype.slice.call(e);return new n(function(e,n){if(t.length===0)return e([]);var a=t.length;function r(i,o){try{if(o&&(typeof o==='object'||typeof o==='function')){var l=o.then;if(typeof l==='function'){l.call(o,function(e){r(i,e)},n);return}};t[i]=o;if(--a===0){e(t)}}catch(s){n(s)}};for(var i=0;i<t.length;i++){r(i,t[i])}})};n.resolve=function(e){if(e&&typeof e==='object'&&e.constructor===n){return e};return new n(function(t){t(e)})};n.reject=function(e){return new n(function(t,n){n(e)})};n.race=function(e){return new n(function(t,n){for(var i=0,r=e.length;i<r;i++){e[i].then(t,n)}})};n._immediateFn=(typeof setImmediate==='function'&&function(e){setImmediate(e)})||function(e){l(e,0)};n._unhandledRejectionFn=function(e){if(typeof console!=='undefined'&&console){console.warn('Possible Unhandled Promise Rejection:',e)}};n._setImmediateFn=function(e){n._immediateFn=e};n._setUnhandledRejectionFn=function(e){n._unhandledRejectionFn=e};if(typeof t!=='undefined'&&t.exports){t.exports=n}
else if(!e.Promise){e.Promise=n}})(this)},{}],5:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var r=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},l=e(7),a=u(l),o=e(15),s=e(27);function u(e){return e&&e.__esModule?e:{default:e}};var i={lang:'en',en:o.EN};i.language=function(){for(var n=arguments.length,e=Array(n),t=0;t<n;t++){e[t]=arguments[t]};if(e!==null&&e!==undefined&&e.length){if(typeof e[0]!=='string'){throw new TypeError('Language code must be a string value')};if(!/^[a-z]{2,3}((\-|_)[a-z]{2})?$/i.test(e[0])){throw new TypeError('Language code must have format 2-3 letters and. optionally, hyphen, underscore followed by 2 more letters')};i.lang=e[0];if(i[e[0]]===undefined){e[1]=e[1]!==null&&e[1]!==undefined&&r(e[1])==='object'?e[1]:{};i[e[0]]=!(0,s.isObjectEmpty)(e[1])?e[1]:o.EN}
else if(e[1]!==null&&e[1]!==undefined&&r(e[1])==='object'){i[e[0]]=e[1]}};return i.lang};i.t=function(e){var n=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;if(typeof e==='string'&&e.length){var t=void 0,a=void 0,o=i.language(),l=function(e,t,n){if((typeof e==='undefined'?'undefined':r(e))!=='object'||typeof t!=='number'||typeof n!=='number'){return e};var i=function(){return[function(){return arguments.length<=1?undefined:arguments[1]},function(){return(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){return(arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])!==0){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1||(arguments.length<=0?undefined:arguments[0])===11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2||(arguments.length<=0?undefined:arguments[0])===12){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>0&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])>=2&&(arguments.length<=0?undefined:arguments[0])<=4){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%100===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100===3||(arguments.length<=0?undefined:arguments[0])%100===4){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=1?undefined:arguments[1]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<7){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])>6&&(arguments.length<=0?undefined:arguments[0])<11){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=5?undefined:arguments[5]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100>=3&&(arguments.length<=0?undefined:arguments[0])%100<=10){return arguments.length<=4?undefined:arguments[4]}
else if((arguments.length<=0?undefined:arguments[0])%100>=11){return arguments.length<=5?undefined:arguments[5]}
else{return arguments.length<=6?undefined:arguments[6]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>1&&(arguments.length<=0?undefined:arguments[0])%100<11){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100>10&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10===2){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){return(arguments.length<=0?undefined:arguments[0])!==11&&(arguments.length<=0?undefined:arguments[0])%10===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])!==8&&(arguments.length<=0?undefined:arguments[0])!==11){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){return(arguments.length<=0?undefined:arguments[0])===0?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===3){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}}]}();return i[n].apply(null,[t].concat(e))};if(i[o]!==undefined){t=i[o][e];if(n!==null&&typeof n==='number'){a=i[o]['mejs.plural-form'];t=l.apply(null,[t,n,a])}};if(!t&&i.en){t=i.en[e];if(n!==null&&typeof n==='number'){a=i.en['mejs.plural-form'];t=l.apply(null,[t,n,a])}};t=t||e;if(n!==null&&typeof n==='number'){t=t.replace('%1',n)};return(0,s.escapeHTML)(t)};return e};a.default.i18n=i;if(typeof mejsL10n!=='undefined'){a.default.i18n.language(mejsL10n.language,mejsL10n.strings)};n.default=i},{'15':15,'27':27,'7':7}],6:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var f=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},c=e(3),r=l(c),m=e(2),u=l(m),p=e(7),a=l(p),d=e(27),i=e(28),s=e(8),g=e(25);function l(e){return e&&e.__esModule?e:{default:e}};function h(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var o=function v(e,t,o){var H=this;h(this,v);var n=this;o=Array.isArray(o)?o:null;n.defaults={renderers:[],fakeNodeName:'mediaelementwrapper',pluginPath:'build/',shimScriptAccess:'sameDomain'};t=Object.assign(n.defaults,t);n.mediaElement=u.default.createElement(t.fakeNodeName);var c=e,S=!1;if(typeof e==='string'){n.mediaElement.originalNode=u.default.getElementById(e)}
else{n.mediaElement.originalNode=e;c=e.id};if(n.mediaElement.originalNode===undefined||n.mediaElement.originalNode===null){return null};n.mediaElement.options=t;c=c||'mejs_'+Math.random().toString().slice(2);n.mediaElement.originalNode.setAttribute('id',c+'_from_mejs');var V=n.mediaElement.originalNode.tagName.toLowerCase();if(['video','audio'].indexOf(V)>-1&&!n.mediaElement.originalNode.getAttribute('preload')){n.mediaElement.originalNode.setAttribute('preload','none')};n.mediaElement.originalNode.parentNode.insertBefore(n.mediaElement,n.mediaElement.originalNode);n.mediaElement.appendChild(n.mediaElement.originalNode);var F=function(e,t){if(r.default.location.protocol==='https:'&&e.indexOf('http:')===0&&g.IS_IOS&&a.default.html5media.mediaTypes.indexOf(t)>-1){var i=new XMLHttpRequest();i.onreadystatechange=function(){if(this.readyState===4&&this.status===200){var i=r.default.URL||r.default.webkitURL,t=i.createObjectURL(this.response);n.mediaElement.originalNode.setAttribute('src',t);return t};return e};i.open('GET',e);i.responseType='blob';i.send()};return e},l=void 0;if(o!==null){l=o}
else if(n.mediaElement.originalNode!==null){l=[];switch(n.mediaElement.originalNode.nodeName.toLowerCase()){case'iframe':l.push({type:'',src:n.mediaElement.originalNode.getAttribute('src')});break;case'audio':case'video':var R=n.mediaElement.originalNode.children.length,b=n.mediaElement.originalNode.getAttribute('src');if(b){var D=n.mediaElement.originalNode,L=(0,i.formatType)(b,D.getAttribute('type'));l.push({type:L,src:F(b,L)})};for(var E=0;E<R;E++){var y=n.mediaElement.originalNode.children[E];if(y.tagName.toLowerCase()==='source'){var N=y.getAttribute('src'),A=(0,i.formatType)(N,y.getAttribute('type'));l.push({type:A,src:F(N,A)})}};break}};n.mediaElement.id=c;n.mediaElement.renderers={};n.mediaElement.events={};n.mediaElement.promises=[];n.mediaElement.renderer=null;n.mediaElement.rendererName=null;n.mediaElement.changeRenderer=function(e,t){var n=H,u=Object.keys(t[0]).length>2?t[0]:t[0].src;if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&n.mediaElement.renderer.name===e){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.show();n.mediaElement.renderer.setSrc(u);return!0};if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.hide()};var i=n.mediaElement.renderers[e],r=null;if(i!==undefined&&i!==null){i.show();i.setSrc(u);n.mediaElement.renderer=i;n.mediaElement.rendererName=e;return!0};var l=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:s.renderer.order;for(var a=0,c=l.length;a<c;a++){var o=l[a];if(o===e){var f=s.renderer.renderers;r=f[o];var d=Object.assign(r.options,n.mediaElement.options);i=r.create(n.mediaElement,d,t);i.name=e;n.mediaElement.renderers[r.name]=i;n.mediaElement.renderer=i;n.mediaElement.rendererName=e;i.show();return!0}};return!1};n.mediaElement.setSize=function(e,t){if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null){n.mediaElement.renderer.setSize(e,t)}};n.mediaElement.generateError=function(e,t){e=e||'';t=Array.isArray(t)?t:[];var i=(0,d.createEvent)('error',n.mediaElement);i.message=e;i.urls=t;n.mediaElement.dispatchEvent(i);S=!0};var x=a.default.html5media.properties,w=a.default.html5media.methods,P=function(e,t,n,i){var r=e[t],a=function(){return n.apply(e,[r])},o=function(t){r=i.apply(e,[t]);return r};Object.defineProperty(e,t,{get:a,set:o})},M=function(e){if(e!=='src'){var t=''+e.substring(0,1).toUpperCase()+e.substring(1),i=function(){return n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&typeof n.mediaElement.renderer['get'+t]==='function'?n.mediaElement.renderer['get'+t]():null},r=function(e){if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&typeof n.mediaElement.renderer['set'+t]==='function'){n.mediaElement.renderer['set'+t](e)}};P(n.mediaElement,e,i,r);n.mediaElement['get'+t]=i;n.mediaElement['set'+t]=r}},C=function(){return n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null?n.mediaElement.renderer.getSrc():null},T=function(e){var t=[];if(typeof e==='string'){t.push({src:e,type:e?(0,i.getTypeFromFile)(e):''})}
else if((typeof e==='undefined'?'undefined':f(e))==='object'&&e.src!==undefined){var u=(0,i.absolutizeUrl)(e.src),o=e.type,h=Object.assign(e,{src:u,type:(o===''||o===null||o===undefined)&&u?(0,i.getTypeFromFile)(u):o});t.push(h)}
else if(Array.isArray(e)){for(var r=0,g=e.length;r<g;r++){var l=(0,i.absolutizeUrl)(e[r].src),a=e[r].type,p=Object.assign(e[r],{src:l,type:(a===''||a===null||a===undefined)&&l?(0,i.getTypeFromFile)(l):a});t.push(p)}};var c=s.renderer.select(t,n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:[]),m=void 0;if(!n.mediaElement.paused){n.mediaElement.pause();m=(0,d.createEvent)('pause',n.mediaElement);n.mediaElement.dispatchEvent(m)};n.mediaElement.originalNode.src=t[0].src||'';if(c===null&&t[0].src){n.mediaElement.generateError('No renderer found',t);return};return t[0].src?n.mediaElement.changeRenderer(c.rendererName,t):null},k=function(e,t){try{if(e==='play'&&n.mediaElement.rendererName==='native_dash'){var r=n.mediaElement.renderer[e](t);if(r&&typeof r.then==='function'){r.catch(function(){if(n.mediaElement.paused){setTimeout(function(){var e=n.mediaElement.renderer.play();if(e!==undefined){e.catch(function(){if(!n.mediaElement.renderer.paused){n.mediaElement.renderer.pause()}})}},150)}})}}
else{n.mediaElement.renderer[e](t)}}catch(i){n.mediaElement.generateError(i,l)}},O=function(e){n.mediaElement[e]=function(){for(var r=arguments.length,i=Array(r),t=0;t<r;t++){i[t]=arguments[t]};if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&typeof n.mediaElement.renderer[e]==='function'){if(n.mediaElement.promises.length){Promise.all(n.mediaElement.promises).then(function(){k(e,i)}).catch(function(e){n.mediaElement.generateError(e,l)})}
else{k(e,i)}};return null}};P(n.mediaElement,'src',C,T);n.mediaElement.getSrc=C;n.mediaElement.setSrc=T;for(var p=0,I=x.length;p<I;p++){M(x[p])};for(var m=0,j=w.length;m<j;m++){O(w[m])};n.mediaElement.addEventListener=function(e,t){n.mediaElement.events[e]=n.mediaElement.events[e]||[];n.mediaElement.events[e].push(t)};n.mediaElement.removeEventListener=function(e,t){if(!e){n.mediaElement.events={};return!0};var r=n.mediaElement.events[e];if(!r){return!0};if(!t){n.mediaElement.events[e]=[];return!0};for(var i=0;i<r.length;i++){if(r[i]===t){n.mediaElement.events[e].splice(i,1);return!0}};return!1};n.mediaElement.dispatchEvent=function(e){var i=n.mediaElement.events[e.type];if(i){for(var t=0;t<i.length;t++){i[t].apply(null,[e])}}};if(l.length){n.mediaElement.src=l};if(n.mediaElement.promises.length){Promise.all(n.mediaElement.promises).then(function(){if(n.mediaElement.options.success){n.mediaElement.options.success(n.mediaElement,n.mediaElement.originalNode)}}).catch(function(){if(S&&n.mediaElement.options.error){n.mediaElement.options.error(n.mediaElement,n.mediaElement.originalNode)}})}
else{if(n.mediaElement.options.success){n.mediaElement.options.success(n.mediaElement,n.mediaElement.originalNode)};if(S&&n.mediaElement.options.error){n.mediaElement.options.error(n.mediaElement,n.mediaElement.originalNode)}};return n.mediaElement};r.default.MediaElement=o;a.default.MediaElement=o;n.default=o},{'2':2,'25':25,'27':27,'28':28,'3':3,'7':7,'8':8}],7:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var r=e(3),a=o(r);function o(e){return e&&e.__esModule?e:{default:e}};var i={};i.version='4.2.6';i.html5media={properties:['volume','src','currentTime','muted','duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable','currentSrc','preload','bufferedBytes','bufferedTime','initialTime','startOffsetTime','defaultPlaybackRate','playbackRate','played','autoplay','loop','controls'],readOnlyProperties:['duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable'],methods:['load','play','pause','canPlayType'],events:['loadstart','durationchange','loadedmetadata','loadeddata','progress','canplay','canplaythrough','suspend','abort','error','emptied','stalled','play','playing','pause','waiting','seeking','seeked','timeupdate','ended','ratechange','volumechange'],mediaTypes:['audio/mp3','audio/ogg','audio/oga','audio/wav','audio/x-wav','audio/wave','audio/x-pn-wav','audio/mpeg','audio/mp4','video/mp4','video/webm','video/ogg','video/ogv']};a.default.mejs=i;n.default=i},{'3':3}],8:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.renderer=undefined;var a=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},o=function(){function e(e,t){for(var i=0;i<t.length;i++){var n=t[i];n.enumerable=n.enumerable||!1;n.configurable=!0;if('value' in n)n.writable=!0;Object.defineProperty(e,n.key,n)}};return function(t,n,i){if(n)e(t.prototype,n);if(i)e(t,i);return t}}(),s=e(7),l=u(s);function u(e){return e&&e.__esModule?e:{default:e}};function d(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var i=function(){function e(){d(this,e);this.renderers={};this.order=[]};o(e,[{key:'add',value:function(e){if(e.name===undefined){throw new TypeError('renderer must contain at least `name` property')};this.renderers[e.name]=e;this.order.push(e.name)}},{key:'select',value:function(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:[],d=t.length;t=t.length?t:this.order;if(!d){var a=[/^(html5|native)/i,/^flash/i,/iframe$/i],o=function(e){for(var t=0,n=a.length;t<n;t++){if(a[t].test(e)){return t}};return a.length};t.sort(function(e,t){return o(e)-o(t)})};for(var r=0,u=t.length;r<u;r++){var l=t[r],i=this.renderers[l];if(i!==null&&i!==undefined){for(var n=0,s=e.length;n<s;n++){if(typeof i.canPlayType==='function'&&typeof e[n].type==='string'&&i.canPlayType(e[n].type)){return{rendererName:i.name,src:e[n].src}}}}};return null}},{key:'order',set:function(e){if(!Array.isArray(e)){throw new TypeError('order must be an array of strings.')};this._order=e},get:function(){return this._order}},{key:'renderers',set:function(e){if(e!==null&&(typeof e==='undefined'?'undefined':a(e))!=='object'){throw new TypeError('renderers must be an array of objects.')};this._renderers=e},get:function(){return this._renderers}}]);return e}(),r=n.renderer=new i();l.default.Renderers=r},{'7':7}],9:[function(e,t,n){'use strict';var d=e(3),s=o(d),f=e(2),a=o(f),c=e(5),m=o(c),u=e(16),p=o(u),g=e(25),i=v(g),l=e(27),r=e(26),h=e(28);function v(e){if(e&&e.__esModule){return e}
else{var n={};if(e!=null){for(var t in e){if(Object.prototype.hasOwnProperty.call(e,t))n[t]=e[t]}};n.default=e;return n}};function o(e){return e&&e.__esModule?e:{default:e}};Object.assign(u.config,{usePluginFullScreen:!0,fullscreenText:null,useFakeFullscreen:!1});Object.assign(p.default.prototype,{isFullScreen:!1,isNativeFullScreen:!1,isInIframe:!1,isPluginClickThroughCreated:!1,fullscreenMode:'',containerSizeTimeout:null,buildfullscreen:function(e){if(!e.isVideo){return};e.isInIframe=s.default.location!==s.default.parent.location;e.detectFullscreenMode();var t=this,r=(0,l.isString)(t.options.fullscreenText)?t.options.fullscreenText:m.default.t('mejs.fullscreen'),n=a.default.createElement('div');n.className=t.options.classPrefix+'button '+t.options.classPrefix+'fullscreen-button';n.innerHTML='<button type="button" aria-controls="'+t.id+'" title="'+r+'" aria-label="'+r+'" tabindex="0"></button>';t.addControlElement(n,'fullscreen');n.addEventListener('click',function(){var t=i.HAS_TRUE_NATIVE_FULLSCREEN&&i.IS_FULLSCREEN||e.isFullScreen;if(t){e.exitFullScreen()}
else{e.enterFullScreen()}});e.fullscreenBtn=n;t.options.keyActions.push({keys:[70],action:function(e,t,n,i){if(!i.ctrlKey){if(typeof e.enterFullScreen!=='undefined'){if(e.isFullScreen){e.exitFullScreen()}
else{e.enterFullScreen()}}}}});t.exitFullscreenCallback=function(n){var r=n.which||n.keyCode||0;if(r===27&&(i.HAS_TRUE_NATIVE_FULLSCREEN&&i.IS_FULLSCREEN||t.isFullScreen)){e.exitFullScreen()}};t.globalBind('keydown',t.exitFullscreenCallback);t.normalHeight=0;t.normalWidth=0;if(i.HAS_TRUE_NATIVE_FULLSCREEN){var o=function(){if(e.isFullScreen){if(i.isFullScreen()){e.isNativeFullScreen=!0;e.setControlsSize()}
else{e.isNativeFullScreen=!1;e.exitFullScreen()}}};e.globalBind(i.FULLSCREEN_EVENT_NAME,o)}},cleanfullscreen:function(e){e.exitFullScreen();e.globalUnbind('keydown',e.exitFullscreenCallback)},detectFullscreenMode:function(){var t=this,n=t.media.rendererName!==null&&/(native|html5)/i.test(t.media.rendererName),e='';if(i.HAS_TRUE_NATIVE_FULLSCREEN&&n){e='native-native'}
else if(i.HAS_TRUE_NATIVE_FULLSCREEN&&!n){e='plugin-native'}
else if(t.usePluginFullScreen&&i.SUPPORT_POINTER_EVENTS){e='plugin-click'};t.fullscreenMode=e;return e},enterFullScreen:function(){var e=this,v=e.media.rendererName!==null&&/(html5|native)/i.test(e.media.rendererName),f=getComputedStyle(e.getElement(e.container));if(e.options.useFakeFullscreen===!1&&i.IS_IOS&&i.HAS_IOS_FULLSCREEN&&typeof e.media.originalNode.webkitEnterFullscreen==='function'&&e.media.originalNode.canPlayType((0,h.getTypeFromFile)(e.media.getSrc()))){e.media.originalNode.webkitEnterFullscreen();return}(0,r.addClass)(a.default.documentElement,e.options.classPrefix+'fullscreen');(0,r.addClass)(e.getElement(e.container),e.options.classPrefix+'container-fullscreen');e.normalHeight=parseFloat(f.height);e.normalWidth=parseFloat(f.width);if(e.fullscreenMode==='native-native'||e.fullscreenMode==='plugin-native'){i.requestFullScreen(e.getElement(e.container));if(e.isInIframe){setTimeout(function y(){if(e.isNativeFullScreen){var n=0.002,i=s.default.innerWidth||a.default.documentElement.clientWidth||a.default.body.clientWidth,t=screen.width,r=Math.abs(t-i),o=t*n;if(r>o){e.exitFullScreen()}
else{setTimeout(y,500)}}},1000)}};e.getElement(e.container).style.width='100%';e.getElement(e.container).style.height='100%';e.containerSizeTimeout=setTimeout(function(){e.getElement(e.container).style.width='100%';e.getElement(e.container).style.height='100%';e.setControlsSize()},500);if(v){e.node.style.width='100%';e.node.style.height='100%'}
else{var d=e.getElement(e.container).querySelectorAll('embed, object, video'),g=d.length;for(var n=0;n<g;n++){d[n].style.width='100%';d[n].style.height='100%'}};if(e.options.setDimensions&&typeof e.media.setSize==='function'){e.media.setSize(screen.width,screen.height)};var u=e.getElement(e.layers).children,p=u.length;for(var t=0;t<p;t++){u[t].style.width='100%';u[t].style.height='100%'};if(e.fullscreenBtn){(0,r.removeClass)(e.fullscreenBtn,e.options.classPrefix+'fullscreen');(0,r.addClass)(e.fullscreenBtn,e.options.classPrefix+'unfullscreen')};e.setControlsSize();e.isFullScreen=!0;var m=Math.min(screen.width/e.width,screen.height/e.height),o=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'captions-text');if(o){o.style.fontSize=m*100+'%';o.style.lineHeight='normal';e.getElement(e.container).querySelector('.'+e.options.classPrefix+'captions-position').style.bottom='45px'};var c=(0,l.createEvent)('enteredfullscreen',e.getElement(e.container));e.getElement(e.container).dispatchEvent(c)},exitFullScreen:function(){var e=this,m=e.media.rendererName!==null&&/(native|html5)/i.test(e.media.rendererName);clearTimeout(e.containerSizeTimeout);if(i.HAS_TRUE_NATIVE_FULLSCREEN&&(i.IS_FULLSCREEN||e.isFullScreen)){i.cancelFullScreen()}(0,r.removeClass)(a.default.documentElement,e.options.classPrefix+'fullscreen');(0,r.removeClass)(e.getElement(e.container),e.options.classPrefix+'container-fullscreen');if(e.options.setDimensions){e.getElement(e.container).style.width=e.normalWidth+'px';e.getElement(e.container).style.height=e.normalHeight+'px';if(m){e.node.style.width=e.normalWidth+'px';e.node.style.height=e.normalHeight+'px'}
else{var u=e.getElement(e.container).querySelectorAll('embed, object, video'),c=u.length;for(var n=0;n<c;n++){u[n].style.width=e.normalWidth+'px';u[n].style.height=e.normalHeight+'px'}};if(typeof e.media.setSize==='function'){e.media.setSize(e.normalWidth,e.normalHeight)};var s=e.getElement(e.layers).children,f=s.length;for(var t=0;t<f;t++){s[t].style.width=e.normalWidth+'px';s[t].style.height=e.normalHeight+'px'}};if(e.fullscreenBtn){(0,r.removeClass)(e.fullscreenBtn,e.options.classPrefix+'unfullscreen');(0,r.addClass)(e.fullscreenBtn,e.options.classPrefix+'fullscreen')};e.setControlsSize();e.isFullScreen=!1;var o=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'captions-text');if(o){o.style.fontSize='';o.style.lineHeight='';e.getElement(e.container).querySelector('.'+e.options.classPrefix+'captions-position').style.bottom=''};var d=(0,l.createEvent)('exitedfullscreen',e.getElement(e.container));e.getElement(e.container).dispatchEvent(d)}})},{'16':16,'2':2,'25':25,'26':26,'27':27,'28':28,'3':3,'5':5}],10:[function(e,t,n){'use strict';var l=e(2),u=r(l),a=e(16),d=r(a),f=e(5),o=r(f),s=e(27),i=e(26);function r(e){return e&&e.__esModule?e:{default:e}};Object.assign(a.config,{playText:null,pauseText:null});Object.assign(d.default.prototype,{buildplaypause:function(e,t,n,r){var a=this,m=a.options,f=(0,s.isString)(m.playText)?m.playText:o.default.t('mejs.play'),p=(0,s.isString)(m.pauseText)?m.pauseText:o.default.t('mejs.pause'),l=u.default.createElement('div');l.className=a.options.classPrefix+'button '+a.options.classPrefix+'playpause-button '+a.options.classPrefix+'play';l.innerHTML='<button type="button" aria-controls="'+a.id+'" title="'+f+'" aria-label="'+p+'" tabindex="0"></button>';l.addEventListener('click',function(){if(a.paused){a.play()}
else{a.pause()}});var d=l.querySelector('button');a.addControlElement(l,'playpause');function c(e){if('play'===e){(0,i.removeClass)(l,a.options.classPrefix+'play');(0,i.removeClass)(l,a.options.classPrefix+'replay');(0,i.addClass)(l,a.options.classPrefix+'pause');d.setAttribute('title',p);d.setAttribute('aria-label',p)}
else{(0,i.removeClass)(l,a.options.classPrefix+'pause');(0,i.removeClass)(l,a.options.classPrefix+'replay');(0,i.addClass)(l,a.options.classPrefix+'play');d.setAttribute('title',f);d.setAttribute('aria-label',f)}};c('pse');r.addEventListener('loadedmetadata',function(){if(r.rendererName.indexOf('flash')===-1){c('pse')}});r.addEventListener('play',function(){c('play')});r.addEventListener('playing',function(){c('play')});r.addEventListener('pause',function(){c('pse')});r.addEventListener('ended',function(){if(!e.options.loop){(0,i.removeClass)(l,a.options.classPrefix+'pause');(0,i.removeClass)(l,a.options.classPrefix+'play');(0,i.addClass)(l,a.options.classPrefix+'replay');d.setAttribute('title',f);d.setAttribute('aria-label',f)}})}})},{'16':16,'2':2,'26':26,'27':27,'5':5}],11:[function(e,t,n){'use strict';var d=e(2),s=o(d),a=e(16),f=o(a),c=e(5),l=o(c),i=e(25),u=e(30),r=e(26);function o(e){return e&&e.__esModule?e:{default:e}};Object.assign(a.config,{enableProgressTooltip:!0,useSmoothHover:!0,forceLive:!1});Object.assign(f.default.prototype,{buildprogress:function(e,n,o,d){var g=0,f=!1,h=!1,t=this,x=e.options.autoRewind,w=e.options.enableProgressTooltip?'<span class="'+t.options.classPrefix+'time-float">'+('<span class="'+t.options.classPrefix+'time-float-current">00:00</span>')+('<span class="'+t.options.classPrefix+'time-float-corner"></span>')+'</span>':'',v=s.default.createElement('div');v.className=t.options.classPrefix+'time-rail';v.innerHTML='<span class="'+t.options.classPrefix+'time-total '+t.options.classPrefix+'time-slider">'+('<span class="'+t.options.classPrefix+'time-buffering"></span>')+('<span class="'+t.options.classPrefix+'time-loaded"></span>')+('<span class="'+t.options.classPrefix+'time-current"></span>')+('<span class="'+t.options.classPrefix+'time-hovered no-hover"></span>')+('<span class="'+t.options.classPrefix+'time-handle"><span class="'+t.options.classPrefix+'time-handle-content"></span></span>')+(''+w)+'</span>';t.addControlElement(v,'progress');t.options.keyActions.push({keys:[37,227],action:function(e){if(!isNaN(e.duration)&&e.duration>0){if(e.isVideo){e.showControls();e.startControlsTimer()};e.getElement(e.container).querySelector('.'+a.config.classPrefix+'time-total').focus();var t=Math.max(e.currentTime-e.options.defaultSeekBackwardInterval(e),0);e.setCurrentTime(t)}}},{keys:[39,228],action:function(e){if(!isNaN(e.duration)&&e.duration>0){if(e.isVideo){e.showControls();e.startControlsTimer()};e.getElement(e.container).querySelector('.'+a.config.classPrefix+'time-total').focus();var t=Math.min(e.currentTime+e.options.defaultSeekForwardInterval(e),e.duration);e.setCurrentTime(t)}}});t.rail=n.querySelector('.'+t.options.classPrefix+'time-rail');t.total=n.querySelector('.'+t.options.classPrefix+'time-total');t.loaded=n.querySelector('.'+t.options.classPrefix+'time-loaded');t.current=n.querySelector('.'+t.options.classPrefix+'time-current');t.handle=n.querySelector('.'+t.options.classPrefix+'time-handle');t.timefloat=n.querySelector('.'+t.options.classPrefix+'time-float');t.timefloatcurrent=n.querySelector('.'+t.options.classPrefix+'time-float-current');t.slider=n.querySelector('.'+t.options.classPrefix+'time-slider');t.hovered=n.querySelector('.'+t.options.classPrefix+'time-hovered');t.buffer=n.querySelector('.'+t.options.classPrefix+'time-buffering');t.newTime=0;t.forcedHandlePause=!1;t.setTransformStyle=function(e,t){e.style.transform=t;e.style.webkitTransform=t;e.style.MozTransform=t;e.style.msTransform=t;e.style.OTransform=t};t.buffer.style.display='none';var p=function(n){var d=getComputedStyle(t.total),l=(0,r.offset)(t.total),c=t.total.offsetWidth,S=function(){if(d.webkitTransform!==undefined){return'webkitTransform'}
else if(d.mozTransform!==undefined){return'mozTransform '}
else if(d.oTransform!==undefined){return'oTransform'}
else if(d.msTransform!==undefined){return'msTransform'}
else{return'transform'}}(),p=function(){if('WebKitCSSMatrix' in window){return'WebKitCSSMatrix'}
else if('MSCSSMatrix' in window){return'MSCSSMatrix'}
else if('CSSMatrix' in window){return'CSSMatrix'}}(),g=0,o=0,s=0,a=void 0;if(n.originalEvent&&n.originalEvent.changedTouches){a=n.originalEvent.changedTouches[0].pageX}
else if(n.changedTouches){a=n.changedTouches[0].pageX}
else{a=n.pageX};if(t.getDuration()){if(a<l.left){a=l.left}
else if(a>c+l.left){a=c+l.left};s=a-l.left;g=s/c;t.newTime=g<=0.02?0:g*t.getDuration();if(f&&t.getCurrentTime()!==null&&t.newTime.toFixed(4)!==t.getCurrentTime().toFixed(4)){t.setCurrentRailHandle(t.newTime);t.updateCurrent(t.newTime)};if(!i.IS_IOS&&!i.IS_ANDROID){if(s<0){s=0};if(t.options.useSmoothHover&&p!==null&&typeof window[p]!=='undefined'){var b=new window[p](getComputedStyle(t.handle)[S]),v=b.m41,y=s/parseFloat(getComputedStyle(t.total).width)-v/parseFloat(getComputedStyle(t.total).width);t.hovered.style.left=v+'px';t.setTransformStyle(t.hovered,'scaleX('+y+')');t.hovered.setAttribute('pos',s);if(y>=0){(0,r.removeClass)(t.hovered,'negative')}
else{(0,r.addClass)(t.hovered,'negative')}};if(t.timefloat){var m=t.timefloat.offsetWidth/2,h=mejs.Utils.offset(t.getElement(t.container)),E=getComputedStyle(t.timefloat);if(a-h.left<t.timefloat.offsetWidth){o=m}
else if(a-h.left>=t.getElement(t.container).offsetWidth-m){o=t.total.offsetWidth-m}
else{o=s};if((0,r.hasClass)(t.getElement(t.container),t.options.classPrefix+'long-video')){o+=parseFloat(E.marginLeft)/2+t.timefloat.offsetWidth/2};t.timefloat.style.left=o+'px';t.timefloatcurrent.innerHTML=(0,u.secondsToTimeCode)(t.newTime,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat);t.timefloat.style.display='block'}}}
else if(!i.IS_IOS&&!i.IS_ANDROID&&t.timefloat){o=t.timefloat.offsetWidth+c>=t.getElement(t.container).offsetWidth?t.timefloat.offsetWidth/2:0;t.timefloat.style.left=o+'px';t.timefloat.style.left=o+'px';t.timefloat.style.display='block'}},E=function(){var n=t.getCurrentTime(),i=l.default.t('mejs.time-slider'),r=(0,u.secondsToTimeCode)(n,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat),a=t.getDuration();t.slider.setAttribute('role','slider');t.slider.tabIndex=0;if(d.paused){t.slider.setAttribute('aria-label',i);t.slider.setAttribute('aria-valuemin',0);t.slider.setAttribute('aria-valuemax',a);t.slider.setAttribute('aria-valuenow',n);t.slider.setAttribute('aria-valuetext',r)}
else{t.slider.removeAttribute('aria-label');t.slider.removeAttribute('aria-valuemin');t.slider.removeAttribute('aria-valuemax');t.slider.removeAttribute('aria-valuenow');t.slider.removeAttribute('aria-valuetext')}},b=function(){if(new Date()-g>=1000){t.play()}},S=function(){if(f&&t.getCurrentTime()!==null&&t.newTime.toFixed(4)!==t.getCurrentTime().toFixed(4)){t.setCurrentTime(t.newTime);t.setCurrentRail();t.updateCurrent(t.newTime)};if(t.forcedHandlePause){t.slider.focus();t.play()};t.forcedHandlePause=!1};t.slider.addEventListener('focus',function(){e.options.autoRewind=!1});t.slider.addEventListener('blur',function(){e.options.autoRewind=x});t.slider.addEventListener('keydown',function(n){if(new Date()-g>=1000){h=t.paused};if(t.options.keyActions.length){var a=n.which||n.keyCode||0,s=t.getDuration(),f=e.options.defaultSeekForwardInterval(d),c=e.options.defaultSeekBackwardInterval(d),r=t.getCurrentTime(),o=t.getElement(t.container).querySelector('.'+t.options.classPrefix+'volume-slider');if(a===38||a===40){if(o){o.style.display='block'};if(t.isVideo){t.showControls();t.startControlsTimer()};var l=a===38?Math.min(t.volume+0.1,1):Math.max(t.volume-0.1,0),u=l<=0;t.setVolume(l);t.setMuted(u);return}
else{if(o){o.style.display='none'}};switch(a){case 37:if(t.getDuration()!==Infinity){r-=c};break;case 39:if(t.getDuration()!==Infinity){r+=f};break;case 36:r=0;break;case 35:r=s;break;case 13:case 32:if(i.IS_FIREFOX){if(t.paused){t.play()}
else{t.pause()}};return;default:return};r=r<0?0:r>=s?s:Math.floor(r);g=new Date();if(!h){e.pause()};if(r<t.getDuration()&&!h){setTimeout(b,1100)};t.setCurrentTime(r);e.showControls();n.preventDefault();n.stopPropagation()}});var m=['mousedown','touchstart'];t.slider.addEventListener('dragstart',function(){return!1});for(var c=0,y=m.length;c<y;c++){t.slider.addEventListener(m[c],function(e){t.forcedHandlePause=!1;if(t.getDuration()!==Infinity){if(e.which===1||e.which===0){if(!t.paused){t.pause();t.forcedHandlePause=!0};f=!0;p(e);var i=['mouseup','touchend'];for(var n=0,r=i.length;n<r;n++){t.getElement(t.container).addEventListener(i[n],function(e){var n=e.target;if(n===t.slider||n.closest('.'+t.options.classPrefix+'time-slider')){p(e)}})};t.globalBind('mouseup.dur touchend.dur',function(){S();f=!1;if(t.timefloat){t.timefloat.style.display='none'}})}}},i.SUPPORT_PASSIVE_EVENT&&m[c]==='touchstart'?{passive:!0}:!1)};t.slider.addEventListener('mouseenter',function(e){if(e.target===t.slider&&t.getDuration()!==Infinity){t.getElement(t.container).addEventListener('mousemove',function(e){var n=e.target;if(n===t.slider||n.closest('.'+t.options.classPrefix+'time-slider')){p(e)}});if(t.timefloat&&!i.IS_IOS&&!i.IS_ANDROID){t.timefloat.style.display='block'};if(t.hovered&&!i.IS_IOS&&!i.IS_ANDROID&&t.options.useSmoothHover){(0,r.removeClass)(t.hovered,'no-hover')}}});t.slider.addEventListener('mouseleave',function(){if(t.getDuration()!==Infinity){if(!f){if(t.timefloat){t.timefloat.style.display='none'};if(t.hovered&&t.options.useSmoothHover){(0,r.addClass)(t.hovered,'no-hover')}}}});t.broadcastCallback=function(i){var a=n.querySelector('.'+t.options.classPrefix+'broadcast');if(!t.options.forceLive&&t.getDuration()!==Infinity){if(a){t.slider.style.display='';a.remove()};e.setProgressRail(i);if(!t.forcedHandlePause){e.setCurrentRail(i)};E()}
else if(!a||t.options.forceLive){var r=s.default.createElement('span');r.className=t.options.classPrefix+'broadcast';r.innerText=l.default.t('mejs.live-broadcast');t.slider.style.display='none';t.rail.appendChild(r)}};d.addEventListener('progress',t.broadcastCallback);d.addEventListener('timeupdate',t.broadcastCallback);d.addEventListener('play',function(){t.buffer.style.display='none'});d.addEventListener('playing',function(){t.buffer.style.display='none'});d.addEventListener('seeking',function(){t.buffer.style.display=''});d.addEventListener('seeked',function(){t.buffer.style.display='none'});d.addEventListener('pause',function(){t.buffer.style.display='none'});d.addEventListener('waiting',function(){t.buffer.style.display=''});d.addEventListener('loadeddata',function(){t.buffer.style.display=''});d.addEventListener('canplay',function(){t.buffer.style.display='none'});d.addEventListener('error',function(){t.buffer.style.display='none'});t.getElement(t.container).addEventListener('controlsresize',function(n){if(t.getDuration()!==Infinity){e.setProgressRail(n);if(!t.forcedHandlePause){e.setCurrentRail(n)}}})},cleanprogress:function(e,t,n,i){i.removeEventListener('progress',e.broadcastCallback);i.removeEventListener('timeupdate',e.broadcastCallback);if(e.rail){e.rail.remove()}},setProgressRail:function(e){var i=this,t=e!==undefined?e.detail.target||e.target:i.media,n=null;if(t&&t.buffered&&t.buffered.length>0&&t.buffered.end&&i.getDuration()){n=t.buffered.end(t.buffered.length-1)/i.getDuration()}
else if(t&&t.bytesTotal!==undefined&&t.bytesTotal>0&&t.bufferedBytes!==undefined){n=t.bufferedBytes/t.bytesTotal}
else if(e&&e.lengthComputable&&e.total!==0){n=e.loaded/e.total};if(n!==null){n=Math.min(1,Math.max(0,n));if(i.loaded){i.setTransformStyle(i.loaded,'scaleX('+n+')')}}},setCurrentRailHandle:function(e){var t=this;t.setCurrentRailMain(t,e)},setCurrentRail:function(){var e=this;e.setCurrentRailMain(e)},setCurrentRailMain:function(e,t){if(e.getCurrentTime()!==undefined&&e.getDuration()){var l=typeof t==='undefined'?e.getCurrentTime():t;if(e.total&&e.handle){var a=parseFloat(getComputedStyle(e.total).width),s=Math.round(a*l/e.getDuration()),n=s-Math.round(e.handle.offsetWidth/2);n=n<0?0:n;e.setTransformStyle(e.current,'scaleX('+s/a+')');e.setTransformStyle(e.handle,'translateX('+n+'px)');if(e.options.useSmoothHover&&!(0,r.hasClass)(e.hovered,'no-hover')){var i=parseInt(e.hovered.getAttribute('pos'),10);i=isNaN(i)?0:i;var o=i/a-n/a;e.hovered.style.left=n+'px';e.setTransformStyle(e.hovered,'scaleX('+o+')');if(o>=0){(0,r.removeClass)(e.hovered,'negative')}
else{(0,r.addClass)(e.hovered,'negative')}}}}}})},{'16':16,'2':2,'25':25,'26':26,'30':30,'5':5}],12:[function(e,t,n){'use strict';var l=e(2),a=s(l),o=e(16),u=s(o),i=e(30),r=e(26);function s(e){return e&&e.__esModule?e:{default:e}};Object.assign(o.config,{duration:0,timeAndDurationSeparator:'<span> | </span>'});Object.assign(u.default.prototype,{buildcurrent:function(e,t,n,r){var o=this,s=a.default.createElement('div');s.className=o.options.classPrefix+'time';s.setAttribute('role','timer');s.setAttribute('aria-live','off');s.innerHTML='<span class="'+o.options.classPrefix+'currenttime">'+(0,i.secondsToTimeCode)(0,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat)+'</span>';o.addControlElement(s,'current');e.updateCurrent();o.updateTimeCallback=function(){if(o.controlsAreVisible){e.updateCurrent()}};r.addEventListener('timeupdate',o.updateTimeCallback)},cleancurrent:function(e,t,n,i){i.removeEventListener('timeupdate',e.updateTimeCallback)},buildduration:function(e,t,n,s){var o=this,u=t.lastChild.querySelector('.'+o.options.classPrefix+'currenttime');if(u){t.querySelector('.'+o.options.classPrefix+'time').innerHTML+=o.options.timeAndDurationSeparator+'<span class="'+o.options.classPrefix+'duration">'+((0,i.secondsToTimeCode)(o.options.duration,o.options.alwaysShowHours,o.options.showTimecodeFrameCount,o.options.framesPerSecond,o.options.secondsDecimalLength,o.options.timeFormat)+'</span>')}
else{if(t.querySelector('.'+o.options.classPrefix+'currenttime')){(0,r.addClass)(t.querySelector('.'+o.options.classPrefix+'currenttime').parentNode,o.options.classPrefix+'currenttime-container')};var l=a.default.createElement('div');l.className=o.options.classPrefix+'time '+o.options.classPrefix+'duration-container';l.innerHTML='<span class="'+o.options.classPrefix+'duration">'+((0,i.secondsToTimeCode)(o.options.duration,o.options.alwaysShowHours,o.options.showTimecodeFrameCount,o.options.framesPerSecond,o.options.secondsDecimalLength,o.options.timeFormat)+'</span>');o.addControlElement(l,'duration')};o.updateDurationCallback=function(){if(o.controlsAreVisible){e.updateDuration()}};s.addEventListener('timeupdate',o.updateDurationCallback)},cleanduration:function(e,t,n,i){i.removeEventListener('timeupdate',e.updateDurationCallback)},updateCurrent:function(){var e=this,t=e.getCurrentTime();if(isNaN(t)){t=0};var n=(0,i.secondsToTimeCode)(t,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat);if(n.length>5){(0,r.addClass)(e.getElement(e.container),e.options.classPrefix+'long-video')}
else{(0,r.removeClass)(e.getElement(e.container),e.options.classPrefix+'long-video')};if(e.getElement(e.controls).querySelector('.'+e.options.classPrefix+'currenttime')){e.getElement(e.controls).querySelector('.'+e.options.classPrefix+'currenttime').innerText=n}},updateDuration:function(){var e=this,t=e.getDuration();if(isNaN(t)||t===Infinity||t<0){e.media.duration=e.options.duration=t=0};if(e.options.duration>0){t=e.options.duration};var n=(0,i.secondsToTimeCode)(t,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond,e.options.secondsDecimalLength,e.options.timeFormat);if(n.length>5){(0,r.addClass)(e.getElement(e.container),e.options.classPrefix+'long-video')}
else{(0,r.removeClass)(e.getElement(e.container),e.options.classPrefix+'long-video')};if(e.getElement(e.controls).querySelector('.'+e.options.classPrefix+'duration')&&t>0){e.getElement(e.controls).querySelector('.'+e.options.classPrefix+'duration').innerHTML=n}}})},{'16':16,'2':2,'26':26,'30':30}],13:[function(e,t,n){'use strict';var f=e(2),r=u(f),c=e(7),o=u(c),m=e(5),l=u(m),d=e(16),p=u(d),a=e(30),s=e(27),i=e(26);function u(e){return e&&e.__esModule?e:{default:e}};Object.assign(d.config,{startLanguage:'',tracksText:null,chaptersText:null,tracksAriaLive:!1,hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:''});Object.assign(p.default.prototype,{hasChapters:!1,buildtracks:function(e,t,n,o){this.findTracks();if(!e.tracks.length&&(!e.trackFiles||!e.trackFiles.length===0)){return};var a=this,O=a.options.tracksAriaLive?' role="log" aria-live="assertive" aria-atomic="false"':'',C=(0,s.isString)(a.options.tracksText)?a.options.tracksText:l.default.t('mejs.captions-subtitles'),T=(0,s.isString)(a.options.chaptersText)?a.options.chaptersText:l.default.t('mejs.captions-chapters'),k=e.trackFiles===null?e.tracks.length:e.trackFiles.length;if(a.domNode.textTracks){for(var b=a.domNode.textTracks.length-1;b>=0;b--){a.domNode.textTracks[b].mode='hidden'}};a.cleartracks(e);e.captions=r.default.createElement('div');e.captions.className=a.options.classPrefix+'captions-layer '+a.options.classPrefix+'layer';e.captions.innerHTML='<div class="'+a.options.classPrefix+'captions-position '+a.options.classPrefix+'captions-position-hover"'+O+'>'+('<span class="'+a.options.classPrefix+'captions-text"></span>')+'</div>';e.captions.style.display='none';n.insertBefore(e.captions,n.firstChild);e.captionsText=e.captions.querySelector('.'+a.options.classPrefix+'captions-text');e.captionsButton=r.default.createElement('div');e.captionsButton.className=a.options.classPrefix+'button '+a.options.classPrefix+'captions-button';e.captionsButton.innerHTML='<button type="button" aria-controls="'+a.id+'" title="'+C+'" aria-label="'+C+'" tabindex="0"></button>'+('<div class="'+a.options.classPrefix+'captions-selector '+a.options.classPrefix+'offscreen">')+('<ul class="'+a.options.classPrefix+'captions-selector-list">')+('<li class="'+a.options.classPrefix+'captions-selector-list-item">')+('<input type="radio" class="'+a.options.classPrefix+'captions-selector-input" ')+('name="'+e.id+'_captions" id="'+e.id+'_captions_none" ')+'value="none" checked disabled>'+('<label class="'+a.options.classPrefix+'captions-selector-label ')+(a.options.classPrefix+'captions-selected" ')+('for="'+e.id+'_captions_none">'+l.default.t('mejs.none')+'</label>')+'</li></ul></div>';a.addControlElement(e.captionsButton,'tracks');e.captionsButton.querySelector('.'+a.options.classPrefix+'captions-selector-input').disabled=!1;e.chaptersButton=r.default.createElement('div');e.chaptersButton.className=a.options.classPrefix+'button '+a.options.classPrefix+'chapters-button';e.chaptersButton.innerHTML='<button type="button" aria-controls="'+a.id+'" title="'+T+'" aria-label="'+T+'" tabindex="0"></button>'+('<div class="'+a.options.classPrefix+'chapters-selector '+a.options.classPrefix+'offscreen">')+('<ul class="'+a.options.classPrefix+'chapters-selector-list"></ul>')+'</div>';var P=0;for(var c=0;c<k;c++){var E=e.tracks[c].kind,M=e.tracks[c].src;if(M.trim()){if(E==='subtitles'||E==='captions'){P++}
else if(E==='chapters'&&!t.querySelector('.'+a.options.classPrefix+'chapter-selector')){e.captionsButton.parentNode.insertBefore(e.chaptersButton,e.captionsButton)}}};e.trackToLoad=-1;e.selectedTrack=null;e.isLoadingTrack=!1;for(var u=0;u<k;u++){var w=e.tracks[u].kind;if(e.tracks[u].src.trim()&&(w==='subtitles'||w==='captions')){e.addTrackButton(e.tracks[u].trackId,e.tracks[u].srclang,e.tracks[u].label)}};e.loadNextTrack();var d=['mouseenter','focusin'],f=['mouseleave','focusout'];if(a.options.toggleCaptionsButtonWhenOnlyOne&&P===1){e.captionsButton.addEventListener('click',function(t){var n='none';if(e.selectedTrack===null){n=e.tracks[0].trackId};var i=t.keyCode||t.which;e.setTrack(n,typeof i!=='undefined')})}
else{var S=e.captionsButton.querySelectorAll('.'+a.options.classPrefix+'captions-selector-label'),x=e.captionsButton.querySelectorAll('input[type=radio]');for(var y=0,I=d.length;y<I;y++){e.captionsButton.addEventListener(d[y],function(){(0,i.removeClass)(this.querySelector('.'+a.options.classPrefix+'captions-selector'),a.options.classPrefix+'offscreen')})};for(var v=0,j=f.length;v<j;v++){e.captionsButton.addEventListener(f[v],function(){(0,i.addClass)(this.querySelector('.'+a.options.classPrefix+'captions-selector'),a.options.classPrefix+'offscreen')})};for(var h=0,F=x.length;h<F;h++){x[h].addEventListener('click',function(t){var n=t.keyCode||t.which;e.setTrack(this.value,typeof n!=='undefined')})};for(var g=0,L=S.length;g<L;g++){S[g].addEventListener('click',function(e){var t=(0,i.siblings)(this,function(e){return e.tagName==='INPUT'})[0],n=(0,s.createEvent)('click',t);t.dispatchEvent(n);e.preventDefault()})};e.captionsButton.addEventListener('keydown',function(e){e.stopPropagation()})};for(var p=0,A=d.length;p<A;p++){e.chaptersButton.addEventListener(d[p],function(){if(this.querySelector('.'+a.options.classPrefix+'chapters-selector-list').children.length){(0,i.removeClass)(this.querySelector('.'+a.options.classPrefix+'chapters-selector'),a.options.classPrefix+'offscreen')}})};for(var m=0,N=f.length;m<N;m++){e.chaptersButton.addEventListener(f[m],function(){(0,i.addClass)(this.querySelector('.'+a.options.classPrefix+'chapters-selector'),a.options.classPrefix+'offscreen')})};e.chaptersButton.addEventListener('keydown',function(e){e.stopPropagation()});if(!e.options.alwaysShowControls){e.getElement(e.container).addEventListener('controlsshown',function(){(0,i.addClass)(e.getElement(e.container).querySelector('.'+a.options.classPrefix+'captions-position'),a.options.classPrefix+'captions-position-hover')});e.getElement(e.container).addEventListener('controlshidden',function(){if(!o.paused){(0,i.removeClass)(e.getElement(e.container).querySelector('.'+a.options.classPrefix+'captions-position'),a.options.classPrefix+'captions-position-hover')}})}
else{(0,i.addClass)(e.getElement(e.container).querySelector('.'+a.options.classPrefix+'captions-position'),a.options.classPrefix+'captions-position-hover')};o.addEventListener('timeupdate',function(){e.displayCaptions()});if(e.options.slidesSelector!==''){e.slidesContainer=r.default.querySelectorAll(e.options.slidesSelector);o.addEventListener('timeupdate',function(){e.displaySlides()})}},cleartracks:function(e){if(e){if(e.captions){e.captions.remove()};if(e.chapters){e.chapters.remove()};if(e.captionsText){e.captionsText.remove()};if(e.captionsButton){e.captionsButton.remove()};if(e.chaptersButton){e.chaptersButton.remove()}}},rebuildtracks:function(){var e=this;e.findTracks();e.buildtracks(e,e.getElement(e.controls),e.getElement(e.layers),e.media)},findTracks:function(){var e=this,r=e.trackFiles===null?e.node.querySelectorAll('track'):e.trackFiles,o=r.length;e.tracks=[];for(var n=0;n<o;n++){var t=r[n],i=t.getAttribute('srclang').toLowerCase()||'',a=e.id+'_track_'+n+'_'+t.getAttribute('kind')+'_'+i;e.tracks.push({trackId:a,srclang:i,src:t.getAttribute('src'),kind:t.getAttribute('kind'),label:t.getAttribute('label')||'',entries:[],isLoaded:!1})}},setTrack:function(e,t){var n=this,c=n.captionsButton.querySelectorAll('input[type="radio"]'),m=n.captionsButton.querySelectorAll('.'+n.options.classPrefix+'captions-selected'),p=n.captionsButton.querySelector('input[value="'+e+'"]');for(var l=0,y=c.length;l<y;l++){c[l].checked=!1};for(var o=0,v=m.length;o<v;o++){(0,i.removeClass)(m[o],n.options.classPrefix+'captions-selected')};p.checked=!0;var f=(0,i.siblings)(p,function(e){return(0,i.hasClass)(e,n.options.classPrefix+'captions-selector-label')});for(var a=0,h=f.length;a<h;a++){(0,i.addClass)(f[a],n.options.classPrefix+'captions-selected')};if(e==='none'){n.selectedTrack=null;(0,i.removeClass)(n.captionsButton,n.options.classPrefix+'captions-enabled')}
else{for(var r=0,g=n.tracks.length;r<g;r++){var d=n.tracks[r];if(d.trackId===e){if(n.selectedTrack===null){(0,i.addClass)(n.captionsButton,n.options.classPrefix+'captions-enabled')};n.selectedTrack=d;n.captions.setAttribute('lang',n.selectedTrack.srclang);n.displayCaptions();break}}};var u=(0,s.createEvent)('captionschange',n.media);u.detail.caption=n.selectedTrack;n.media.dispatchEvent(u);if(!t){setTimeout(function(){n.getElement(n.container).focus()},500)}},loadNextTrack:function(){var e=this;e.trackToLoad++;if(e.trackToLoad<e.tracks.length){e.isLoadingTrack=!0;e.loadTrack(e.trackToLoad)}
else{e.isLoadingTrack=!1;e.checkForTracks()}},loadTrack:function(e){var n=this,t=n.tracks[e];if(t!==undefined&&(t.src!==undefined||t.src!=='')){(0,i.ajax)(t.src,'text',function(e){t.entries=typeof e==='string'&&/<tt\s+xml/ig.exec(e)?o.default.TrackFormatParser.dfxp.parse(e):o.default.TrackFormatParser.webvtt.parse(e);t.isLoaded=!0;n.enableTrackButton(t);n.loadNextTrack();if(t.kind==='slides'){n.setupSlides(t)}
else if(t.kind==='chapters'&&!n.hasChapters){n.drawChapters(t);n.hasChapters=!0}},function(){n.removeTrackButton(t.trackId);n.loadNextTrack()})}},enableTrackButton:function(e){var f=this,u=e.srclang,t=r.default.getElementById(''+e.trackId);if(!t){return};var a=e.label;if(a===''){a=l.default.t(o.default.language.codes[u])||u};t.disabled=!1;var d=(0,i.siblings)(t,function(e){return(0,i.hasClass)(e,f.options.classPrefix+'captions-selector-label')});for(var n=0,m=d.length;n<m;n++){d[n].innerHTML=a};if(f.options.startLanguage===u){t.checked=!0;var c=(0,s.createEvent)('click',t);t.dispatchEvent(c)}},removeTrackButton:function(e){var n=r.default.getElementById(''+e);if(n){var t=n.closest('li');if(t){t.remove()}}},addTrackButton:function(e,t,n){var i=this;if(n===''){n=l.default.t(o.default.language.codes[t])||t};i.captionsButton.querySelector('ul').innerHTML+='<li class="'+i.options.classPrefix+'captions-selector-list-item">'+('<input type="radio" class="'+i.options.classPrefix+'captions-selector-input" ')+('name="'+i.id+'_captions" id="'+e+'" value="'+e+'" disabled>')+('<label class="'+i.options.classPrefix+'captions-selector-label"')+('for="'+e+'">'+n+' (loading)</label>')+'</li>'},checkForTracks:function(){var e=this,i=!1;if(e.options.hideCaptionsButtonWhenEmpty){for(var t=0,r=e.tracks.length;t<r;t++){var n=e.tracks[t].kind;if((n==='subtitles'||n==='captions')&&e.tracks[t].isLoaded){i=!0;break}};e.captionsButton.style.display=i?'':'none';e.setControlsSize()}},displayCaptions:function(){if(this.tracks===undefined){return};var e=this,t=e.selectedTrack,i=function(e){var o=r.default.createElement('div');o.innerHTML=e;var s=o.getElementsByTagName('script'),l=s.length;while(l--){s[l].remove()};var a=o.getElementsByTagName('*');for(var i=0,f=a.length;i<f;i++){var d=a[i].attributes,n=Array.prototype.slice.call(d);for(var t=0,u=n.length;t<u;t++){if(n[t].name.startsWith('on')||n[t].value.startsWith('javascript')){a[i].remove()}
else if(n[t].name==='style'){a[i].removeAttribute(n[t].name)}}};return o.innerHTML};if(t!==null&&t.isLoaded){var n=e.searchTrackPosition(t.entries,e.media.currentTime);if(n>-1){e.captionsText.innerHTML=i(t.entries[n].text);e.captionsText.className=e.options.classPrefix+'captions-text '+(t.entries[n].identifier||'');e.captions.style.display='';e.captions.style.height='0px';return};e.captions.style.display='none'}
else{e.captions.style.display='none'}},setupSlides:function(e){var t=this;t.slides=e;t.slides.entries.imgs=[t.slides.entries.length];t.showSlide(0)},showSlide:function(e){var d=this,t=this;if(t.tracks===undefined||t.slidesContainer===undefined){return};var u=t.slides.entries[e].text,n=t.slides.entries[e].imgs;if(n===undefined||n.fadeIn===undefined){var a=r.default.createElement('img');a.src=u;a.addEventListener('load',function(){var n=d,r=(0,i.siblings)(n,function(e){return r(e)});n.style.display='none';t.slidesContainer.innerHTML+=n.innerHTML;(0,i.fadeIn)(t.slidesContainer.querySelector(a));for(var e=0,o=r.length;e<o;e++){(0,i.fadeOut)(r[e],400)}});t.slides.entries[e].imgs=n=a}
else if(!(0,i.visible)(n)){var s=(0,i.siblings)(self,function(e){return s(e)});(0,i.fadeIn)(t.slidesContainer.querySelector(n));for(var o=0,l=s.length;o<l;o++){(0,i.fadeOut)(s[o])}}},displaySlides:function(){var e=this;if(this.slides===undefined){return};var n=e.slides,t=e.searchTrackPosition(n.entries,e.media.currentTime);if(t>-1){e.showSlide(t)}},drawChapters:function(e){var t=this,u=e.entries.length;if(!u){return};t.chaptersButton.querySelector('ul').innerHTML='';for(var n=0;n<u;n++){t.chaptersButton.querySelector('ul').innerHTML+='<li class="'+t.options.classPrefix+'chapters-selector-list-item" role="menuitemcheckbox" aria-live="polite" aria-disabled="false" aria-checked="false">'+('<input type="radio" class="'+t.options.classPrefix+'captions-selector-input" ')+('name="'+t.id+'_chapters" id="'+t.id+'_chapters_'+n+'" value="'+e.entries[n].start+'" disabled>')+('<label class="'+t.options.classPrefix+'chapters-selector-label"')+('for="'+t.id+'_chapters_'+n+'">'+e.entries[n].text+'</label>')+'</li>'};var a=t.chaptersButton.querySelectorAll('input[type="radio"]'),l=t.chaptersButton.querySelectorAll('.'+t.options.classPrefix+'chapters-selector-label');for(var r=0,f=a.length;r<f;r++){a[r].disabled=!1;a[r].checked=!1;a[r].addEventListener('click',function(e){var n=this,a=t.chaptersButton.querySelectorAll('li'),l=(0,i.siblings)(n,function(e){return(0,i.hasClass)(e,t.options.classPrefix+'chapters-selector-label')})[0];n.checked=!0;n.parentNode.setAttribute('aria-checked',!0);(0,i.addClass)(l,t.options.classPrefix+'chapters-selected');(0,i.removeClass)(t.chaptersButton.querySelector('.'+t.options.classPrefix+'chapters-selected'),t.options.classPrefix+'chapters-selected');for(var r=0,s=a.length;r<s;r++){a[r].setAttribute('aria-checked',!1)};var o=e.keyCode||e.which;if(typeof o==='undefined'){setTimeout(function(){t.getElement(t.container).focus()},500)};t.media.setCurrentTime(parseFloat(n.value));if(t.media.paused){t.media.play()}})};for(var o=0,d=l.length;o<d;o++){l[o].addEventListener('click',function(e){var t=(0,i.siblings)(this,function(e){return e.tagName==='INPUT'})[0],n=(0,s.createEvent)('click',t);t.dispatchEvent(n);e.preventDefault()})}},searchTrackPosition:function(e,t){var r=0,a=e.length-1,n=void 0,i=void 0,o=void 0;while(r<=a){n=r+a>>1;i=e[n].start;o=e[n].stop;if(t>=i&&t<o){return n}
else if(i<t){r=n+1}
else if(i>t){a=n-1}};return-1}});o.default.language={codes:{af:'mejs.afrikaans',sq:'mejs.albanian',ar:'mejs.arabic',be:'mejs.belarusian',bg:'mejs.bulgarian',ca:'mejs.catalan',zh:'mejs.chinese','zh-cn':'mejs.chinese-simplified','zh-tw':'mejs.chines-traditional',hr:'mejs.croatian',cs:'mejs.czech',da:'mejs.danish',nl:'mejs.dutch',en:'mejs.english',et:'mejs.estonian',fl:'mejs.filipino',fi:'mejs.finnish',fr:'mejs.french',gl:'mejs.galician',de:'mejs.german',el:'mejs.greek',ht:'mejs.haitian-creole',iw:'mejs.hebrew',hi:'mejs.hindi',hu:'mejs.hungarian',is:'mejs.icelandic',id:'mejs.indonesian',ga:'mejs.irish',it:'mejs.italian',ja:'mejs.japanese',ko:'mejs.korean',lv:'mejs.latvian',lt:'mejs.lithuanian',mk:'mejs.macedonian',ms:'mejs.malay',mt:'mejs.maltese',no:'mejs.norwegian',fa:'mejs.persian',pl:'mejs.polish',pt:'mejs.portuguese',ro:'mejs.romanian',ru:'mejs.russian',sr:'mejs.serbian',sk:'mejs.slovak',sl:'mejs.slovenian',es:'mejs.spanish',sw:'mejs.swahili',sv:'mejs.swedish',tl:'mejs.tagalog',th:'mejs.thai',tr:'mejs.turkish',uk:'mejs.ukrainian',vi:'mejs.vietnamese',cy:'mejs.welsh',yi:'mejs.yiddish'}};o.default.TrackFormatParser={webvtt:{pattern:/^((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,parse:function(e){var n=e.split(/\r?\n/),s=[],i=void 0,r=void 0,o=void 0;for(var t=0,l=n.length;t<l;t++){i=this.pattern.exec(n[t]);if(i&&t<n.length){if(t-1>=0&&n[t-1]!==''){o=n[t-1]};t++;r=n[t];t++;while(n[t]!==''&&t<n.length){r=r+'\n'+n[t];t++};r=r.trim().replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,'<a href=\'$1\' target=\'_blank\'>$1</a>');s.push({identifier:o,start:(0,a.convertSMPTEtoSeconds)(i[1])===0?0.200:(0,a.convertSMPTEtoSeconds)(i[1]),stop:(0,a.convertSMPTEtoSeconds)(i[3]),text:r,settings:i[5]})};o=''};return s}},dfxp:{parse:function(e){e=$(e).filter('tt');var f=e.firstChild,i=f.querySelectorAll('p'),u=e.getElementById(''+f.attr('style')),c=[],r=void 0;if(u.length){u.removeAttribute('id');var l=u.attributes;if(l.length){r={};for(var s=0,p=l.length;s<p;s++){r[l[s].name.split(':')[1]]=l[s].value}}};for(var n=0,m=i.length;n<m;n++){var o=void 0,t={start:null,stop:null,style:null,text:null};if(i.eq(n).attr('begin')){t.start=(0,a.convertSMPTEtoSeconds)(i.eq(n).attr('begin'))};if(!t.start&&i.eq(n-1).attr('end')){t.start=(0,a.convertSMPTEtoSeconds)(i.eq(n-1).attr('end'))};if(i.eq(n).attr('end')){t.stop=(0,a.convertSMPTEtoSeconds)(i.eq(n).attr('end'))};if(!t.stop&&i.eq(n+1).attr('begin')){t.stop=(0,a.convertSMPTEtoSeconds)(i.eq(n+1).attr('begin'))};if(r){o='';for(var d in r){o+=d+':'+r[d]+';'}};if(o){t.style=o};if(t.start===0){t.start=0.200};t.text=i.eq(n).innerHTML.trim().replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,'<a href=\'$1\' target=\'_blank\'>$1</a>');c.push(t)};return c}}}},{'16':16,'2':2,'26':26,'27':27,'30':30,'5':5,'7':7}],14:[function(e,t,n){'use strict';var d=e(2),l=s(d),r=e(16),f=s(r),c=e(5),a=s(c),u=e(25),o=e(27),i=e(26);function s(e){return e&&e.__esModule?e:{default:e}};Object.assign(r.config,{muteText:null,unmuteText:null,allyVolumeControlText:null,hideVolumeOnTouchDevices:!0,audioVolume:'horizontal',videoVolume:'vertical',startVolume:0.8});Object.assign(f.default.prototype,{buildvolume:function(e,t,s,d){if((u.IS_ANDROID||u.IS_IOS)&&this.options.hideVolumeOnTouchDevices){return};var n=this,m=n.isVideo?n.options.videoVolume:n.options.audioVolume,v=(0,o.isString)(n.options.muteText)?n.options.muteText:a.default.t('mejs.mute'),T=(0,o.isString)(n.options.unmuteText)?n.options.unmuteText:a.default.t('mejs.unmute'),k=(0,o.isString)(n.options.allyVolumeControlText)?n.options.allyVolumeControlText:a.default.t('mejs.volume-help-text'),f=l.default.createElement('div');f.className=n.options.classPrefix+'button '+n.options.classPrefix+'volume-button '+n.options.classPrefix+'mute';f.innerHTML=m==='horizontal'?'<button type="button" aria-controls="'+n.id+'" title="'+v+'" aria-label="'+v+'" tabindex="0"></button>':'<button type="button" aria-controls="'+n.id+'" title="'+v+'" aria-label="'+v+'" tabindex="0"></button>'+('<a href="javascript:void(0);" class="'+n.options.classPrefix+'volume-slider" ')+('aria-label="'+a.default.t('mejs.volume-slider')+'" aria-valuemin="0" aria-valuemax="100" role="slider" ')+'aria-orientation="vertical">'+('<span class="'+n.options.classPrefix+'offscreen">'+k+'</span>')+('<div class="'+n.options.classPrefix+'volume-total">')+('<div class="'+n.options.classPrefix+'volume-current"></div>')+('<div class="'+n.options.classPrefix+'volume-handle"></div>')+'</div></a>';n.addControlElement(f,'volume');n.options.keyActions.push({keys:[38],action:function(e){var n=e.getElement(e.container).querySelector('.'+r.config.classPrefix+'volume-slider');if(n||e.getElement(e.container).querySelector('.'+r.config.classPrefix+'volume-slider').matches(':focus')){n.style.display='block'};if(e.isVideo){e.showControls();e.startControlsTimer()};var t=Math.min(e.volume+0.1,1);e.setVolume(t);if(t>0){e.setMuted(!1)}}},{keys:[40],action:function(e){var n=e.getElement(e.container).querySelector('.'+r.config.classPrefix+'volume-slider');if(n){n.style.display='block'};if(e.isVideo){e.showControls();e.startControlsTimer()};var t=Math.max(e.volume-0.1,0);e.setVolume(t);if(t<=0.1){e.setMuted(!0)}}},{keys:[77],action:function(e){e.getElement(e.container).querySelector('.'+r.config.classPrefix+'volume-slider').style.display='block';if(e.isVideo){e.showControls();e.startControlsTimer()};if(e.media.muted){e.setMuted(!1)}
else{e.setMuted(!0)}}});if(m==='horizontal'){var g=l.default.createElement('a');g.className=n.options.classPrefix+'horizontal-volume-slider';g.href='javascript:void(0);';g.setAttribute('aria-label',a.default.t('mejs.volume-slider'));g.setAttribute('aria-valuemin',0);g.setAttribute('aria-valuemax',100);g.setAttribute('role','slider');g.innerHTML+='<span class="'+n.options.classPrefix+'offscreen">'+k+'</span>'+('<div class="'+n.options.classPrefix+'horizontal-volume-total">')+('<div class="'+n.options.classPrefix+'horizontal-volume-current"></div>')+('<div class="'+n.options.classPrefix+'horizontal-volume-handle"></div>')+'</div>';f.parentNode.insertBefore(g,f.nextSibling)};var h=!1,p=!1,x=!1,N=function(){var e=Math.floor(d.volume*100);c.setAttribute('aria-valuenow',e);c.setAttribute('aria-valuetext',e+'%')},c=m==='vertical'?n.getElement(n.container).querySelector('.'+n.options.classPrefix+'volume-slider'):n.getElement(n.container).querySelector('.'+n.options.classPrefix+'horizontal-volume-slider'),P=m==='vertical'?n.getElement(n.container).querySelector('.'+n.options.classPrefix+'volume-total'):n.getElement(n.container).querySelector('.'+n.options.classPrefix+'horizontal-volume-total'),E=m==='vertical'?n.getElement(n.container).querySelector('.'+n.options.classPrefix+'volume-current'):n.getElement(n.container).querySelector('.'+n.options.classPrefix+'horizontal-volume-current'),y=m==='vertical'?n.getElement(n.container).querySelector('.'+n.options.classPrefix+'volume-handle'):n.getElement(n.container).querySelector('.'+n.options.classPrefix+'horizontal-volume-handle'),b=function(e){if(e===null||isNaN(e)||e===undefined){return};e=Math.max(0,e);e=Math.min(e,1);if(e===0){(0,i.removeClass)(f,n.options.classPrefix+'mute');(0,i.addClass)(f,n.options.classPrefix+'unmute');var o=f.firstElementChild;o.setAttribute('title',T);o.setAttribute('aria-label',T)}
else{(0,i.removeClass)(f,n.options.classPrefix+'unmute');(0,i.addClass)(f,n.options.classPrefix+'mute');var a=f.firstElementChild;a.setAttribute('title',v);a.setAttribute('aria-label',v)};var t=e*100+'%',r=getComputedStyle(y);if(m==='vertical'){E.style.bottom=0;E.style.height=t;y.style.bottom=t;y.style.marginBottom=-parseFloat(r.height)/2+'px'}
else{E.style.left=0;E.style.width=t;y.style.left=t;y.style.marginLeft=-parseFloat(r.width)/2+'px'}},C=function(e){var r=(0,i.offset)(P),o=getComputedStyle(P);x=!0;var t=null;if(m==='vertical'){var a=parseFloat(o.height),u=e.pageY-r.top;t=(a-u)/a;if(r.top===0||r.left===0){return}}
else{var s=parseFloat(o.width),l=e.pageX-r.left;t=l/s};t=Math.max(0,t);t=Math.min(t,1);b(t);n.setMuted(t===0);n.setVolume(t);e.preventDefault();e.stopPropagation()},w=function(){if(n.muted){b(0);(0,i.removeClass)(f,n.options.classPrefix+'mute');(0,i.addClass)(f,n.options.classPrefix+'unmute')}
else{b(d.volume);(0,i.removeClass)(f,n.options.classPrefix+'unmute');(0,i.addClass)(f,n.options.classPrefix+'mute')}};e.getElement(e.container).addEventListener('keydown',function(e){var t=!!e.target.closest('.'+n.options.classPrefix+'container');if(!t&&m==='vertical'){c.style.display='none'}});f.addEventListener('mouseenter',function(e){if(e.target===f){c.style.display='block';p=!0;e.preventDefault();e.stopPropagation()}});f.addEventListener('focusin',function(){c.style.display='block';p=!0});f.addEventListener('focusout',function(e){if((!e.relatedTarget||e.relatedTarget&&!e.relatedTarget.matches('.'+n.options.classPrefix+'volume-slider'))&&m==='vertical'){c.style.display='none'}});f.addEventListener('mouseleave',function(){p=!1;if(!h&&m==='vertical'){c.style.display='none'}});f.addEventListener('focusout',function(){p=!1});f.addEventListener('keydown',function(e){if(n.options.keyActions.length){var i=e.which||e.keyCode||0,t=d.volume;switch(i){case 38:t=Math.min(t+0.1,1);break;case 40:t=Math.max(0,t-0.1);break;default:return!0};h=!1;b(t);d.setVolume(t);e.preventDefault();e.stopPropagation()}});f.querySelector('button').addEventListener('click',function(){d.setMuted(!d.muted);var e=(0,o.createEvent)('volumechange',d);d.dispatchEvent(e)});c.addEventListener('dragstart',function(){return!1});c.addEventListener('mouseover',function(){p=!0});c.addEventListener('focusin',function(){c.style.display='block';p=!0});c.addEventListener('focusout',function(){p=!1;if(!h&&m==='vertical'){c.style.display='none'}});c.addEventListener('mousedown',function(e){C(e);n.globalBind('mousemove.vol',function(e){var t=e.target;if(h&&(t===c||t.closest(m==='vertical'?'.'+n.options.classPrefix+'volume-slider':'.'+n.options.classPrefix+'horizontal-volume-slider'))){C(e)}});n.globalBind('mouseup.vol',function(){h=!1;if(!p&&m==='vertical'){c.style.display='none'}});h=!0;e.preventDefault();e.stopPropagation()});d.addEventListener('volumechange',function(e){if(!h){w()};N(e)});var S=!1;d.addEventListener('rendererready',function(){if(!x){setTimeout(function(){S=!0;if(e.options.startVolume===0||d.originalNode.muted){d.setMuted(!0);e.options.startVolume=0};d.setVolume(e.options.startVolume);n.setControlsSize()},250)}});d.addEventListener('loadedmetadata',function(){setTimeout(function(){if(!x&&!S){if(e.options.startVolume===0||d.originalNode.muted){d.setMuted(!0);e.options.startVolume=0};d.setVolume(e.options.startVolume);n.setControlsSize()};S=!1},250)});if(e.options.startVolume===0||d.originalNode.muted){d.setMuted(!0);e.options.startVolume=0;w()};n.getElement(n.container).addEventListener('controlsresize',function(){w()})}})},{'16':16,'2':2,'25':25,'26':26,'27':27,'5':5}],15:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var i=n.EN={'mejs.plural-form':1,'mejs.download-file':'Download File','mejs.install-flash':'You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/','mejs.fullscreen':'Fullscreen','mejs.play':'Play','mejs.pause':'Pause','mejs.time-slider':'Time Slider','mejs.time-help-text':'Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.','mejs.live-broadcast':'Live Broadcast','mejs.volume-help-text':'Use Up/Down Arrow keys to increase or decrease volume.','mejs.unmute':'Unmute','mejs.mute':'Mute','mejs.volume-slider':'Volume Slider','mejs.video-player':'Video Player','mejs.audio-player':'Audio Player','mejs.captions-subtitles':'Captions/Subtitles','mejs.captions-chapters':'Chapters','mejs.none':'None','mejs.afrikaans':'Afrikaans','mejs.albanian':'Albanian','mejs.arabic':'Arabic','mejs.belarusian':'Belarusian','mejs.bulgarian':'Bulgarian','mejs.catalan':'Catalan','mejs.chinese':'Chinese','mejs.chinese-simplified':'Chinese (Simplified)','mejs.chinese-traditional':'Chinese (Traditional)','mejs.croatian':'Croatian','mejs.czech':'Czech','mejs.danish':'Danish','mejs.dutch':'Dutch','mejs.english':'English','mejs.estonian':'Estonian','mejs.filipino':'Filipino','mejs.finnish':'Finnish','mejs.french':'French','mejs.galician':'Galician','mejs.german':'German','mejs.greek':'Greek','mejs.haitian-creole':'Haitian Creole','mejs.hebrew':'Hebrew','mejs.hindi':'Hindi','mejs.hungarian':'Hungarian','mejs.icelandic':'Icelandic','mejs.indonesian':'Indonesian','mejs.irish':'Irish','mejs.italian':'Italian','mejs.japanese':'Japanese','mejs.korean':'Korean','mejs.latvian':'Latvian','mejs.lithuanian':'Lithuanian','mejs.macedonian':'Macedonian','mejs.malay':'Malay','mejs.maltese':'Maltese','mejs.norwegian':'Norwegian','mejs.persian':'Persian','mejs.polish':'Polish','mejs.portuguese':'Portuguese','mejs.romanian':'Romanian','mejs.russian':'Russian','mejs.serbian':'Serbian','mejs.slovak':'Slovak','mejs.slovenian':'Slovenian','mejs.spanish':'Spanish','mejs.swahili':'Swahili','mejs.swedish':'Swedish','mejs.tagalog':'Tagalog','mejs.thai':'Thai','mejs.turkish':'Turkish','mejs.ukrainian':'Ukrainian','mejs.vietnamese':'Vietnamese','mejs.welsh':'Welsh','mejs.yiddish':'Yiddish'}},{}],16:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.config=undefined;var g=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},h=function(){function e(e,t){for(var i=0;i<t.length;i++){var n=t[i];n.enumerable=n.enumerable||!1;n.configurable=!0;if('value' in n)n.writable=!0;Object.defineProperty(e,n.key,n)}};return function(t,n,i){if(n)e(t.prototype,n);if(i)e(t,i);return t}}(),v=e(3),o=u(v),y=e(2),r=u(y),E=e(7),s=u(E),b=e(6),S=u(b),x=e(17),w=u(x),P=e(5),f=u(P),i=e(25),l=e(27),c=e(30),p=e(28),C=e(26),a=T(C);function T(e){if(e&&e.__esModule){return e}
else{var n={};if(e!=null){for(var t in e){if(Object.prototype.hasOwnProperty.call(e,t))n[t]=e[t]}};n.default=e;return n}};function u(e){return e&&e.__esModule?e:{default:e}};function k(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};s.default.mepIndex=0;s.default.players={};var m=n.config={poster:'',showPosterWhenEnded:!1,showPosterWhenPaused:!1,defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:40,defaultSeekBackwardInterval:function(e){return e.getDuration()*0.05},defaultSeekForwardInterval:function(e){return e.getDuration()*0.05},setDimensions:!0,audioWidth:-1,audioHeight:-1,loop:!1,autoRewind:!0,enableAutosize:!0,timeFormat:'',alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,alwaysShowControls:!1,hideVideoControlsOnLoad:!1,hideVideoControlsOnPause:!1,clickToPlayPause:!0,controlsTimeoutDefault:1500,controlsTimeoutMouseEnter:2500,controlsTimeoutMouseLeave:1000,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:['playpause','current','progress','duration','tracks','volume','fullscreen'],useDefaultControls:!1,isVideo:!0,stretching:'auto',classPrefix:'mejs__',enableKeyboard:!0,pauseOtherPlayers:!0,secondsDecimalLength:0,customError:null,keyActions:[{keys:[32,179],action:function(e){if(!i.IS_FIREFOX){if(e.paused||e.ended){e.play()}
else{e.pause()}}}}]};s.default.MepDefaults=m;var d=function(){function e(t,n){k(this,e);var i=this,o=typeof t==='string'?r.default.getElementById(t):t;if(!(i instanceof e)){return new e(o,n)};i.node=i.media=o;if(!i.node){return};if(i.media.player){return i.media.player};i.hasFocus=!1;i.controlsAreVisible=!0;i.controlsEnabled=!0;i.controlsTimer=null;i.currentMediaTime=0;i.proxy=null;if(n===undefined){var a=i.node.getAttribute('data-mejsoptions');n=a?JSON.parse(a):{}};i.options=Object.assign({},m,n);if(i.options.loop&&!i.media.getAttribute('loop')){i.media.loop=!0;i.node.loop=!0}
else if(i.media.loop){i.options.loop=!0};if(!i.options.timeFormat){i.options.timeFormat='mm:ss';if(i.options.alwaysShowHours){i.options.timeFormat='hh:mm:ss'};if(i.options.showTimecodeFrameCount){i.options.timeFormat+=':ff'}}(0,c.calculateTimeFormat)(0,i.options,i.options.framesPerSecond||25);i.id='mep_'+s.default.mepIndex++;s.default.players[i.id]=i;i.init();return i};h(e,[{key:'getElement',value:function(e){return e}},{key:'init',value:function(){var e=this,o=Object.assign({},e.options,{success:function(t,n){e._meReady(t,n)},error:function(t){e._handleError(t)}}),u=e.node.tagName.toLowerCase();e.isDynamic=u!=='audio'&&u!=='video'&&u!=='iframe';e.isVideo=e.isDynamic?e.options.isVideo:u!=='audio'&&e.options.isVideo;e.mediaFiles=null;e.trackFiles=null;if(i.IS_IPAD&&e.options.iPadUseNativeControls||i.IS_IPHONE&&e.options.iPhoneUseNativeControls){e.node.setAttribute('controls',!0);if(i.IS_IPAD&&e.node.getAttribute('autoplay')){e.play()}}
else if((e.isVideo||!e.isVideo&&(e.options.features.length||e.options.useDefaultControls))&&!(i.IS_ANDROID&&e.options.AndroidUseNativeControls)){e.node.removeAttribute('controls');var b=e.isVideo?f.default.t('mejs.video-player'):f.default.t('mejs.audio-player'),h=r.default.createElement('span');h.className=e.options.classPrefix+'offscreen';h.innerText=b;e.media.parentNode.insertBefore(h,e.media);e.container=r.default.createElement('div');e.getElement(e.container).id=e.id;e.getElement(e.container).className=e.options.classPrefix+'container '+e.options.classPrefix+'container-keyboard-inactive '+e.media.className;e.getElement(e.container).tabIndex=0;e.getElement(e.container).setAttribute('role','application');e.getElement(e.container).setAttribute('aria-label',b);e.getElement(e.container).innerHTML='<div class="'+e.options.classPrefix+'inner">'+('<div class="'+e.options.classPrefix+'mediaelement"></div>')+('<div class="'+e.options.classPrefix+'layers"></div>')+('<div class="'+e.options.classPrefix+'controls"></div>')+'</div>';e.getElement(e.container).addEventListener('focus',function(t){if(!e.controlsAreVisible&&!e.hasFocus&&e.controlsEnabled){e.showControls(!0);var n=(0,l.isNodeAfter)(t.relatedTarget,e.getElement(e.container))?'.'+e.options.classPrefix+'controls .'+e.options.classPrefix+'button:last-child > button':'.'+e.options.classPrefix+'playpause-button > button',i=e.getElement(e.container).querySelector(n);i.focus()}});e.node.parentNode.insertBefore(e.getElement(e.container),e.node);if(!e.options.features.length&&!e.options.useDefaultControls){e.getElement(e.container).style.background='transparent';e.getElement(e.container).querySelector('.'+e.options.classPrefix+'controls').style.display='none'};if(e.isVideo&&e.options.stretching==='fill'&&!a.hasClass(e.getElement(e.container).parentNode,e.options.classPrefix+'fill-container')){e.outerContainer=e.media.parentNode;var g=r.default.createElement('div');g.className=e.options.classPrefix+'fill-container';e.getElement(e.container).parentNode.insertBefore(g,e.getElement(e.container));g.appendChild(e.getElement(e.container))};if(i.IS_ANDROID){a.addClass(e.getElement(e.container),e.options.classPrefix+'android')};if(i.IS_IOS){a.addClass(e.getElement(e.container),e.options.classPrefix+'ios')};if(i.IS_IPAD){a.addClass(e.getElement(e.container),e.options.classPrefix+'ipad')};if(i.IS_IPHONE){a.addClass(e.getElement(e.container),e.options.classPrefix+'iphone')};a.addClass(e.getElement(e.container),e.isVideo?e.options.classPrefix+'video':e.options.classPrefix+'audio');if(i.IS_SAFARI&&!i.IS_IOS){a.addClass(e.getElement(e.container),e.options.classPrefix+'hide-cues');var y=e.node.cloneNode(),E=e.node.children,c=[],m=[];for(var d=0,w=E.length;d<w;d++){var n=E[d];(function(){switch(n.tagName.toLowerCase()){case'source':var e={};Array.prototype.slice.call(n.attributes).forEach(function(t){e[t.name]=t.value});e.type=(0,p.formatType)(e.src,e.type);c.push(e);break;case'track':n.mode='hidden';m.push(n);break;default:y.appendChild(n);break}})()};e.node.remove();e.node=e.media=y;if(c.length){e.mediaFiles=c};if(m.length){e.trackFiles=m}};e.getElement(e.container).querySelector('.'+e.options.classPrefix+'mediaelement').appendChild(e.node);e.media.player=e;e.controls=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'controls');e.layers=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'layers');var t=e.isVideo?'video':'audio',v=t.substring(0,1).toUpperCase()+t.substring(1);if(e.options[t+'Width']>0||e.options[t+'Width'].toString().indexOf('%')>-1){e.width=e.options[t+'Width']}
else if(e.node.style.width!==''&&e.node.style.width!==null){e.width=e.node.style.width}
else if(e.node.getAttribute('width')){e.width=e.node.getAttribute('width')}
else{e.width=e.options['default'+v+'Width']};if(e.options[t+'Height']>0||e.options[t+'Height'].toString().indexOf('%')>-1){e.height=e.options[t+'Height']}
else if(e.node.style.height!==''&&e.node.style.height!==null){e.height=e.node.style.height}
else if(e.node.getAttribute('height')){e.height=e.node.getAttribute('height')}
else{e.height=e.options['default'+v+'Height']};e.initialAspectRatio=e.height>=e.width?e.width/e.height:e.height/e.width;e.setPlayerSize(e.width,e.height);o.pluginWidth=e.width;o.pluginHeight=e.height}
else if(!e.isVideo&&!e.options.features.length&&!e.options.useDefaultControls){e.node.style.display='none'};s.default.MepDefaults=o;new S.default(e.media,o,e.mediaFiles);if(e.getElement(e.container)!==undefined&&e.options.features.length&&e.controlsAreVisible&&!e.options.hideVideoControlsOnLoad){var x=(0,l.createEvent)('controlsshown',e.getElement(e.container));e.getElement(e.container).dispatchEvent(x)}}},{key:'showControls',value:function(e){var t=this;e=e===undefined||e;if(t.controlsAreVisible||!t.isVideo){return};if(e){(function(){a.fadeIn(t.getElement(t.controls),200,function(){a.removeClass(t.getElement(t.controls),t.options.classPrefix+'offscreen');var e=(0,l.createEvent)('controlsshown',t.getElement(t.container));t.getElement(t.container).dispatchEvent(e)});var n=t.getElement(t.container).querySelectorAll('.'+t.options.classPrefix+'control'),r=function(e,i){a.fadeIn(n[e],200,function(){a.removeClass(n[e],t.options.classPrefix+'offscreen')})};for(var e=0,i=n.length;e<i;e++){r(e,i)}})()}
else{a.removeClass(t.getElement(t.controls),t.options.classPrefix+'offscreen');t.getElement(t.controls).style.display='';t.getElement(t.controls).style.opacity=1;var i=t.getElement(t.container).querySelectorAll('.'+t.options.classPrefix+'control');for(var n=0,o=i.length;n<o;n++){a.removeClass(i[n],t.options.classPrefix+'offscreen');i[n].style.display=''};var r=(0,l.createEvent)('controlsshown',t.getElement(t.container));t.getElement(t.container).dispatchEvent(r)};t.controlsAreVisible=!0;t.setControlsSize()}},{key:'hideControls',value:function(e,t){var n=this;e=e===undefined||e;if(t!==!0&&(!n.controlsAreVisible||n.options.alwaysShowControls||n.paused&&n.readyState===4&&(!n.options.hideVideoControlsOnLoad&&n.currentTime<=0||!n.options.hideVideoControlsOnPause&&n.currentTime>0)||n.isVideo&&!n.options.hideVideoControlsOnLoad&&!n.readyState||n.ended)){return};if(e){(function(){a.fadeOut(n.getElement(n.controls),200,function(){a.addClass(n.getElement(n.controls),n.options.classPrefix+'offscreen');n.getElement(n.controls).style.display='';var e=(0,l.createEvent)('controlshidden',n.getElement(n.container));n.getElement(n.container).dispatchEvent(e)});var e=n.getElement(n.container).querySelectorAll('.'+n.options.classPrefix+'control'),r=function(t,i){a.fadeOut(e[t],200,function(){a.addClass(e[t],n.options.classPrefix+'offscreen');e[t].style.display=''})};for(var t=0,i=e.length;t<i;t++){r(t,i)}})()}
else{a.addClass(n.getElement(n.controls),n.options.classPrefix+'offscreen');n.getElement(n.controls).style.display='';n.getElement(n.controls).style.opacity=0;var r=n.getElement(n.container).querySelectorAll('.'+n.options.classPrefix+'control');for(var i=0,s=r.length;i<s;i++){a.addClass(r[i],n.options.classPrefix+'offscreen');r[i].style.display=''};var o=(0,l.createEvent)('controlshidden',n.getElement(n.container));n.getElement(n.container).dispatchEvent(o)};n.controlsAreVisible=!1}},{key:'startControlsTimer',value:function(e){var t=this;e=typeof e!=='undefined'?e:t.options.controlsTimeoutDefault;t.killControlsTimer('start');t.controlsTimer=setTimeout(function(){t.hideControls();t.killControlsTimer('hide')},e)}},{key:'killControlsTimer',value:function(){var e=this;if(e.controlsTimer!==null){clearTimeout(e.controlsTimer);delete e.controlsTimer;e.controlsTimer=null}}},{key:'disableControls',value:function(){var e=this;e.killControlsTimer();e.controlsEnabled=!1;e.hideControls(!1,!0)}},{key:'enableControls',value:function(){var e=this;e.controlsEnabled=!0;e.showControls(!1)}},{key:'_setDefaultPlayer',value:function(){var e=this;if(e.proxy){e.proxy.pause()};e.proxy=new w.default(e);e.media.addEventListener('loadedmetadata',function(){if(e.getCurrentTime()>0&&e.currentMediaTime>0){e.setCurrentTime(e.currentMediaTime);if(!i.IS_IOS&&!i.IS_ANDROID){e.play()}}})}},{key:'_meReady',value:function(e,n){var t=this,d=n.getAttribute('autoplay'),m=!(d===undefined||d===null||d==='false'),p=e.rendererName!==null&&/(native|html5)/i.test(t.media.rendererName);if(t.getElement(t.controls)){t.enableControls()};if(t.getElement(t.container)&&t.getElement(t.container).querySelector('.'+t.options.classPrefix+'overlay-play')){t.getElement(t.container).querySelector('.'+t.options.classPrefix+'overlay-play').style.display=''};if(t.created){return};t.created=!0;t.media=e;t.domNode=n;if(!(i.IS_ANDROID&&t.options.AndroidUseNativeControls)&&!(i.IS_IPAD&&t.options.iPadUseNativeControls)&&!(i.IS_IPHONE&&t.options.iPhoneUseNativeControls)){if(!t.isVideo&&!t.options.features.length&&!t.options.useDefaultControls){if(m&&p){t.play()};if(t.options.success){if(typeof t.options.success==='string'){o.default[t.options.success](t.media,t.domNode,t)}
else{t.options.success(t.media,t.domNode,t)}};return};t.featurePosition={};t._setDefaultPlayer();t.buildposter(t,t.getElement(t.controls),t.getElement(t.layers),t.media);t.buildkeyboard(t,t.getElement(t.controls),t.getElement(t.layers),t.media);t.buildoverlays(t,t.getElement(t.controls),t.getElement(t.layers),t.media);if(t.options.useDefaultControls){var f=['playpause','current','progress','duration','tracks','volume','fullscreen'];t.options.features=f.concat(t.options.features.filter(function(e){return f.indexOf(e)===-1}))};t.buildfeatures(t,t.getElement(t.controls),t.getElement(t.layers),t.media);var g=(0,l.createEvent)('controlsready',t.getElement(t.container));t.getElement(t.container).dispatchEvent(g);t.setPlayerSize(t.width,t.height);t.setControlsSize();if(t.isVideo){t.clickToPlayPauseCallback=function(){if(t.options.clickToPlayPause){var e=t.getElement(t.container).querySelector('.'+t.options.classPrefix+'overlay-button'),n=e.getAttribute('aria-pressed');if(t.paused&&n){t.pause()}
else if(t.paused){t.play()}
else{t.pause()};e.setAttribute('aria-pressed',!n);t.getElement(t.container).focus()}};t.createIframeLayer();t.media.addEventListener('click',t.clickToPlayPauseCallback);if((i.IS_ANDROID||i.IS_IOS)&&!t.options.alwaysShowControls){t.node.addEventListener('touchstart',function(){if(t.controlsAreVisible){t.hideControls(!1)}
else{if(t.controlsEnabled){t.showControls(!1)}}},i.SUPPORT_PASSIVE_EVENT?{passive:!0}:!1)}
else{t.getElement(t.container).addEventListener('mouseenter',function(){if(t.controlsEnabled){if(!t.options.alwaysShowControls){t.killControlsTimer('enter');t.showControls();t.startControlsTimer(t.options.controlsTimeoutMouseEnter)}}});t.getElement(t.container).addEventListener('mousemove',function(){if(t.controlsEnabled){if(!t.controlsAreVisible){t.showControls()};if(!t.options.alwaysShowControls){t.startControlsTimer(t.options.controlsTimeoutMouseEnter)}}});t.getElement(t.container).addEventListener('mouseleave',function(){if(t.controlsEnabled){if(!t.paused&&!t.options.alwaysShowControls){t.startControlsTimer(t.options.controlsTimeoutMouseLeave)}}})};if(t.options.hideVideoControlsOnLoad){t.hideControls(!1)};if(t.options.enableAutosize){t.media.addEventListener('loadedmetadata',function(e){var n=e!==undefined?e.detail.target||e.target:t.media;if(t.options.videoHeight<=0&&!t.domNode.getAttribute('height')&&!t.domNode.style.height&&n!==null&&!isNaN(n.videoHeight)){t.setPlayerSize(n.videoWidth,n.videoHeight);t.setControlsSize();t.media.setSize(n.videoWidth,n.videoHeight)}})}};t.media.addEventListener('play',function(){t.hasFocus=!0;for(var n in s.default.players){if(s.default.players.hasOwnProperty(n)){var e=s.default.players[n];if(e.id!==t.id&&t.options.pauseOtherPlayers&&!e.paused&&!e.ended){e.pause();e.hasFocus=!1}}};if(!(i.IS_ANDROID||i.IS_IOS)&&!t.options.alwaysShowControls&&t.isVideo){t.hideControls()}});t.media.addEventListener('ended',function(){if(t.options.autoRewind){try{t.setCurrentTime(0);setTimeout(function(){var e=t.getElement(t.container).querySelector('.'+t.options.classPrefix+'overlay-loading');if(e&&e.parentNode){e.parentNode.style.display='none'}},20)}catch(e){}};if(typeof t.media.renderer.stop==='function'){t.media.renderer.stop()}
else{t.pause()};if(t.setProgressRail){t.setProgressRail()};if(t.setCurrentRail){t.setCurrentRail()};if(t.options.loop){t.play()}
else if(!t.options.alwaysShowControls&&t.controlsEnabled){t.showControls()}});t.media.addEventListener('loadedmetadata',function(){(0,c.calculateTimeFormat)(t.getDuration(),t.options,t.options.framesPerSecond||25);if(t.updateDuration){t.updateDuration()};if(t.updateCurrent){t.updateCurrent()};if(!t.isFullScreen){t.setPlayerSize(t.width,t.height);t.setControlsSize()}});var u=null;t.media.addEventListener('timeupdate',function(){if(!isNaN(t.getDuration())&&u!==t.getDuration()){u=t.getDuration();(0,c.calculateTimeFormat)(u,t.options,t.options.framesPerSecond||25);if(t.updateDuration){t.updateDuration()};if(t.updateCurrent){t.updateCurrent()};t.setControlsSize()}});t.getElement(t.container).addEventListener('click',function(e){a.addClass(e.currentTarget,t.options.classPrefix+'container-keyboard-inactive')});t.getElement(t.container).addEventListener('focusin',function(e){a.removeClass(e.currentTarget,t.options.classPrefix+'container-keyboard-inactive');if(t.isVideo&&!i.IS_ANDROID&&!i.IS_IOS&&t.controlsEnabled&&!t.options.alwaysShowControls){t.killControlsTimer('enter');t.showControls();t.startControlsTimer(t.options.controlsTimeoutMouseEnter)}});t.getElement(t.container).addEventListener('focusout',function(e){setTimeout(function(){if(e.relatedTarget){if(t.keyboardAction&&!e.relatedTarget.closest('.'+t.options.classPrefix+'container')){t.keyboardAction=!1;if(t.isVideo&&!t.options.alwaysShowControls&&!t.paused){t.startControlsTimer(t.options.controlsTimeoutMouseLeave)}}}},0)});setTimeout(function(){t.setPlayerSize(t.width,t.height);t.setControlsSize()},0);t.globalResizeCallback=function(){if(!(t.isFullScreen||i.HAS_TRUE_NATIVE_FULLSCREEN&&r.default.webkitIsFullScreen)){t.setPlayerSize(t.width,t.height)};t.setControlsSize()};t.globalBind('resize',t.globalResizeCallback)};if(m&&p){t.play()};if(t.options.success){if(typeof t.options.success==='string'){o.default[t.options.success](t.media,t.domNode,t)}
else{t.options.success(t.media,t.domNode,t)}}}},{key:'_handleError',value:function(e,t,n){var i=this,c=i.getElement(i.layers).querySelector('.'+i.options.classPrefix+'overlay-play');if(c){c.style.display='none'};if(i.options.error){i.options.error(e,t,n)};if(i.getElement(i.container).querySelector('.'+i.options.classPrefix+'cannotplay')){i.getElement(i.container).querySelector('.'+i.options.classPrefix+'cannotplay').remove()};var o=r.default.createElement('div');o.className=i.options.classPrefix+'cannotplay';o.style.width='100%';o.style.height='100%';var a=typeof i.options.customError==='function'?i.options.customError(i.media,i.media.originalNode):i.options.customError,f='';if(!a){var d=i.media.originalNode.getAttribute('poster');if(d){f='<img src="'+d+'" alt="'+s.default.i18n.t('mejs.download-file')+'">'};if(e.message){a='<p>'+e.message+'</p>'};if(e.urls){for(var u=0,m=e.urls.length;u<m;u++){var l=e.urls[u];a+='<a href="'+l.src+'" data-type="'+l.type+'"><span>'+s.default.i18n.t('mejs.download-file')+': '+l.src+'</span></a>'}}};if(a&&i.getElement(i.layers).querySelector('.'+i.options.classPrefix+'overlay-error')){o.innerHTML=a;i.getElement(i.layers).querySelector('.'+i.options.classPrefix+'overlay-error').innerHTML=''+f+o.outerHTML;i.getElement(i.layers).querySelector('.'+i.options.classPrefix+'overlay-error').parentNode.style.display='block'};if(i.controlsEnabled){i.disableControls()}}},{key:'setPlayerSize',value:function(e,t){var n=this;if(!n.options.setDimensions){return!1};if(typeof e!=='undefined'){n.width=e};if(typeof t!=='undefined'){n.height=t};switch(n.options.stretching){case'fill':if(n.isVideo){n.setFillMode()}
else{n.setDimensions(n.width,n.height)};break;case'responsive':n.setResponsiveMode();break;case'none':n.setDimensions(n.width,n.height);break;default:if(n.hasFluidMode()===!0){n.setResponsiveMode()}
else{n.setDimensions(n.width,n.height)};break}}},{key:'hasFluidMode',value:function(){var e=this;return e.height.toString().indexOf('%')!==-1||e.node&&e.node.style.maxWidth&&e.node.style.maxWidth!=='none'&&e.node.style.maxWidth!==e.width||e.node&&e.node.currentStyle&&e.node.currentStyle.maxWidth==='100%'}},{key:'setResponsiveMode',value:function(){var e=this,u=function(){var n=void 0,r=e.getElement(e.container);while(r){try{if(i.IS_FIREFOX&&r.tagName.toLowerCase()==='html'&&o.default.self!==o.default.top&&o.default.frameElement!==null){return o.default.frameElement}
else{n=r.parentElement}}catch(t){n=r.parentElement};if(n&&a.visible(n)){return n};r=n};return null}(),d=u?getComputedStyle(u,null):getComputedStyle(r.default.body,null),p=function(){if(e.isVideo){if(e.media.videoWidth&&e.media.videoWidth>0){return e.media.videoWidth}
else if(e.node.getAttribute('width')){return e.node.getAttribute('width')}
else{return e.options.defaultVideoWidth}}
else{return e.options.defaultAudioWidth}}(),f=function(){if(e.isVideo){if(e.media.videoHeight&&e.media.videoHeight>0){return e.media.videoHeight}
else if(e.node.getAttribute('height')){return e.node.getAttribute('height')}
else{return e.options.defaultVideoHeight}}
else{return e.options.defaultAudioHeight}}(),c=function(){var t=1;if(!e.isVideo){return t};if(e.media.videoWidth&&e.media.videoWidth>0&&e.media.videoHeight&&e.media.videoHeight>0){t=e.height>=e.width?e.media.videoWidth/e.media.videoHeight:e.media.videoHeight/e.media.videoWidth}
else{t=e.initialAspectRatio};if(isNaN(t)||t<0.01||t>100){t=1};return t}(),g=parseFloat(d.height),t=void 0,n=parseFloat(d.width);if(e.isVideo){if(e.height==='100%'){t=parseFloat(n*f/p,10)}
else{t=e.height>=e.width?parseFloat(n/c,10):parseFloat(n*c,10)}}
else{t=f};if(isNaN(t)){t=g};if(e.getElement(e.container).parentNode.length>0&&e.getElement(e.container).parentNode.tagName.toLowerCase()==='body'){n=o.default.innerWidth||r.default.documentElement.clientWidth||r.default.body.clientWidth;t=o.default.innerHeight||r.default.documentElement.clientHeight||r.default.body.clientHeight};if(t&&n){e.getElement(e.container).style.width=n+'px';e.getElement(e.container).style.height=t+'px';e.node.style.width='100%';e.node.style.height='100%';if(e.isVideo&&e.media.setSize){e.media.setSize(n,t)};var l=e.getElement(e.layers).children;for(var s=0,m=l.length;s<m;s++){l[s].style.width='100%';l[s].style.height='100%'}}}},{key:'setFillMode',value:function(){var e=this,E=o.default.self!==o.default.top&&o.default.frameElement!==null,l=function(){var n=void 0,r=e.getElement(e.container);while(r){try{if(i.IS_FIREFOX&&r.tagName.toLowerCase()==='html'&&o.default.self!==o.default.top&&o.default.frameElement!==null){return o.default.frameElement}
else{n=r.parentElement}}catch(t){n=r.parentElement};if(n&&a.visible(n)){return n};r=n};return null}(),u=l?getComputedStyle(l,null):getComputedStyle(r.default.body,null);if(e.node.style.height!=='none'&&e.node.style.height!==e.height){e.node.style.height='auto'};if(e.node.style.maxWidth!=='none'&&e.node.style.maxWidth!==e.width){e.node.style.maxWidth='none'};if(e.node.style.maxHeight!=='none'&&e.node.style.maxHeight!==e.height){e.node.style.maxHeight='none'};if(e.node.currentStyle){if(e.node.currentStyle.height==='100%'){e.node.currentStyle.height='auto'};if(e.node.currentStyle.maxWidth==='100%'){e.node.currentStyle.maxWidth='none'};if(e.node.currentStyle.maxHeight==='100%'){e.node.currentStyle.maxHeight='none'}};if(!E&&!parseFloat(u.width)){l.style.width=e.media.offsetWidth+'px'};if(!E&&!parseFloat(u.height)){l.style.height=e.media.offsetHeight+'px'};u=getComputedStyle(l);var s=parseFloat(u.width),f=parseFloat(u.height);e.setDimensions('100%','100%');var y=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'poster>img');if(y){y.style.display=''};var n=e.getElement(e.container).querySelectorAll('object, embed, iframe, video'),c=e.height,m=e.width,S=s,x=c*s/m,p=m*f/c,w=f,d=p>s===!1,g=d?Math.floor(S):Math.floor(p),P=d?Math.floor(x):Math.floor(w),h=d?s+'px':g+'px',v=d?P+'px':f+'px';for(var t=0,b=n.length;t<b;t++){n[t].style.height=v;n[t].style.width=h;if(e.media.setSize){e.media.setSize(h,v)};n[t].style.marginLeft=Math.floor((s-g)/2)+'px';n[t].style.marginTop=0}}},{key:'setDimensions',value:function(e,t){var n=this;e=(0,l.isString)(e)&&e.indexOf('%')>-1?e:parseFloat(e)+'px';t=(0,l.isString)(t)&&t.indexOf('%')>-1?t:parseFloat(t)+'px';n.getElement(n.container).style.width=e;n.getElement(n.container).style.height=t;var r=n.getElement(n.layers).children;for(var i=0,a=r.length;i<a;i++){r[i].style.width=e;r[i].style.height=t}}},{key:'setControlsSize',value:function(){var e=this;if(!a.visible(e.getElement(e.container))){return};if(e.rail&&a.visible(e.rail)){var i=e.total?getComputedStyle(e.total,null):null,u=i?parseFloat(i.marginLeft)+parseFloat(i.marginRight):0,d=getComputedStyle(e.rail),f=parseFloat(d.marginLeft)+parseFloat(d.marginRight),r=0,c=a.siblings(e.rail,function(t){return t!==e.rail}),g=c.length;for(var n=0;n<g;n++){r+=c[n].offsetWidth};r+=u+(u===0?f*2:f)+1;e.getElement(e.container).style.minWidth=r+'px';var p=(0,l.createEvent)('controlsresize',e.getElement(e.container));e.getElement(e.container).dispatchEvent(p)}
else{var o=e.getElement(e.controls).children,s=0;for(var t=0,m=o.length;t<m;t++){s+=o[t].offsetWidth};e.getElement(e.container).style.minWidth=s+'px'}}},{key:'addControlElement',value:function(e,t){var n=this;if(n.featurePosition[t]!==undefined){var a=n.getElement(n.controls).children[n.featurePosition[t]-1];a.parentNode.insertBefore(e,a.nextSibling)}
else{n.getElement(n.controls).appendChild(e);var r=n.getElement(n.controls).children;for(var i=0,o=r.length;i<o;i++){if(e===r[i]){n.featurePosition[t]=i;break}}}}},{key:'createIframeLayer',value:function(){var e=this;if(e.isVideo&&e.media.rendererName!==null&&e.media.rendererName.indexOf('iframe')>-1&&!r.default.getElementById(e.media.id+'-iframe-overlay')){var t=r.default.createElement('div'),n=r.default.getElementById(e.media.id+'_'+e.media.rendererName);t.id=e.media.id+'-iframe-overlay';t.className=e.options.classPrefix+'iframe-overlay';t.addEventListener('click',function(t){if(e.options.clickToPlayPause){if(e.paused){e.play()}
else{e.pause()};t.preventDefault();t.stopPropagation()}});n.parentNode.insertBefore(t,n)}}},{key:'resetSize',value:function(){var e=this;setTimeout(function(){e.setPlayerSize(e.width,e.height);e.setControlsSize()},50)}},{key:'setPoster',value:function(e){var t=this;if(t.getElement(t.container)){var n=t.getElement(t.container).querySelector('.'+t.options.classPrefix+'poster');if(!n){n=r.default.createElement('div');n.className=t.options.classPrefix+'poster '+t.options.classPrefix+'layer';t.getElement(t.layers).appendChild(n)};var a=n.querySelector('img');if(!a&&e){a=r.default.createElement('img');a.className=t.options.classPrefix+'poster-img';a.width='100%';a.height='100%';n.style.display='';n.appendChild(a)};if(e){a.setAttribute('src',e);n.style.backgroundImage='url("'+e+'")';n.style.display=''}
else if(a){n.style.backgroundImage='none';n.style.display='none';a.remove()}
else{n.style.display='none'}}
else if(i.IS_IPAD&&t.options.iPadUseNativeControls||i.IS_IPHONE&&t.options.iPhoneUseNativeControls||i.IS_ANDROID&&t.options.AndroidUseNativeControls){t.media.originalNode.poster=e}}},{key:'changeSkin',value:function(e){var t=this;t.getElement(t.container).className=t.options.classPrefix+'container '+e;t.setPlayerSize(t.width,t.height);t.setControlsSize()}},{key:'globalBind',value:function(e,t){var a=this,c=a.node?a.node.ownerDocument:r.default;e=(0,l.splitEvents)(e,a.id);if(e.d){var u=e.d.split(' ');for(var i=0,f=u.length;i<f;i++){u[i].split('.').reduce(function(e,n){c.addEventListener(n,t,!1);return n},'')}};if(e.w){var s=e.w.split(' ');for(var n=0,d=s.length;n<d;n++){s[n].split('.').reduce(function(e,n){o.default.addEventListener(n,t,!1);return n},'')}}}},{key:'globalUnbind',value:function(e,t){var a=this,c=a.node?a.node.ownerDocument:r.default;e=(0,l.splitEvents)(e,a.id);if(e.d){var u=e.d.split(' ');for(var i=0,f=u.length;i<f;i++){u[i].split('.').reduce(function(e,n){c.removeEventListener(n,t,!1);return n},'')}};if(e.w){var s=e.w.split(' ');for(var n=0,d=s.length;n<d;n++){s[n].split('.').reduce(function(e,n){o.default.removeEventListener(n,t,!1);return n},'')}}}},{key:'buildfeatures',value:function(e,t,n,i){var a=this;for(var s=0,l=a.options.features.length;s<l;s++){var o=a.options.features[s];if(a['build'+o]){try{a['build'+o](e,t,n,i)}catch(r){console.error('error building '+o,r)}}}}},{key:'buildposter',value:function(e,t,n,a){var s=this,o=r.default.createElement('div');o.className=s.options.classPrefix+'poster '+s.options.classPrefix+'layer';n.appendChild(o);var l=a.originalNode.getAttribute('poster');if(e.options.poster!==''){if(l&&i.IS_IOS){a.originalNode.removeAttribute('poster')};l=e.options.poster};if(l){s.setPoster(l)}
else if(s.media.renderer!==null&&typeof s.media.renderer.getPosterUrl==='function'){s.setPoster(s.media.renderer.getPosterUrl())}
else{o.style.display='none'};a.addEventListener('play',function(){o.style.display='none'});a.addEventListener('playing',function(){o.style.display='none'});if(e.options.showPosterWhenEnded&&e.options.autoRewind){a.addEventListener('ended',function(){o.style.display=''})};a.addEventListener('error',function(){o.style.display='none'});if(e.options.showPosterWhenPaused){a.addEventListener('pause',function(){if(!e.ended){o.style.display=''}})}}},{key:'buildoverlays',value:function(e,t,n,o){if(!e.isVideo){return};var a=this,u=r.default.createElement('div'),c=r.default.createElement('div'),s=r.default.createElement('div');u.style.display='none';u.className=a.options.classPrefix+'overlay '+a.options.classPrefix+'layer';u.innerHTML='<div class="'+a.options.classPrefix+'overlay-loading">'+('<span class="'+a.options.classPrefix+'overlay-loading-bg-img"></span>')+'</div>';n.appendChild(u);c.style.display='none';c.className=a.options.classPrefix+'overlay '+a.options.classPrefix+'layer';c.innerHTML='<div class="'+a.options.classPrefix+'overlay-error"></div>';n.appendChild(c);s.className=a.options.classPrefix+'overlay '+a.options.classPrefix+'layer '+a.options.classPrefix+'overlay-play';s.innerHTML='<div class="'+a.options.classPrefix+'overlay-button" role="button" tabindex="0" '+('aria-label="'+f.default.t('mejs.play')+'" aria-pressed="false"></div>');s.addEventListener('click',function(){if(a.options.clickToPlayPause){var e=a.getElement(a.container).querySelector('.'+a.options.classPrefix+'overlay-button'),t=e.getAttribute('aria-pressed');if(a.paused){a.play()}
else{a.pause()};e.setAttribute('aria-pressed',!!t);a.getElement(a.container).focus()}});s.addEventListener('keydown',function(e){var t=e.keyCode||e.which||0;if(t===13||i.IS_FIREFOX&&t===32){var n=(0,l.createEvent)('click',s);s.dispatchEvent(n);return!1}});n.appendChild(s);if(a.media.rendererName!==null&&(/(youtube|facebook)/i.test(a.media.rendererName)&&!(a.media.originalNode.getAttribute('poster')||e.options.poster||typeof a.media.renderer.getPosterUrl==='function'&&a.media.renderer.getPosterUrl())||i.IS_STOCK_ANDROID||a.media.originalNode.getAttribute('autoplay'))){s.style.display='none'};var d=!1;o.addEventListener('play',function(){s.style.display='none';u.style.display='none';c.style.display='none';d=!1});o.addEventListener('playing',function(){s.style.display='none';u.style.display='none';c.style.display='none';d=!1});o.addEventListener('seeking',function(){s.style.display='none';u.style.display='';d=!1});o.addEventListener('seeked',function(){s.style.display=a.paused&&!i.IS_STOCK_ANDROID?'':'none';u.style.display='none';d=!1});o.addEventListener('pause',function(){u.style.display='none';if(!i.IS_STOCK_ANDROID&&!d){s.style.display=''};d=!1});o.addEventListener('waiting',function(){u.style.display='';d=!1});o.addEventListener('loadeddata',function(){u.style.display='';if(i.IS_ANDROID){o.canplayTimeout=setTimeout(function(){if(r.default.createEvent){var e=r.default.createEvent('HTMLEvents');e.initEvent('canplay',!0,!0);return o.dispatchEvent(e)}},300)};d=!1});o.addEventListener('canplay',function(){u.style.display='none';clearTimeout(o.canplayTimeout);d=!1});o.addEventListener('error',function(e){a._handleError(e,a.media,a.node);u.style.display='none';s.style.display='none';d=!0});o.addEventListener('loadedmetadata',function(){if(!a.controlsEnabled){a.enableControls()}});o.addEventListener('keydown',function(t){a.onkeydown(e,o,t);d=!1})}},{key:'buildkeyboard',value:function(e,t,n,i){var a=this;a.getElement(a.container).addEventListener('keydown',function(){a.keyboardAction=!0});a.globalKeydownCallback=function(t){var n=r.default.activeElement.closest('.'+a.options.classPrefix+'container'),o=a.media.closest('.'+a.options.classPrefix+'container');a.hasFocus=!!(n&&o&&n.id===o.id);return a.onkeydown(e,i,t)};a.globalClickCallback=function(e){a.hasFocus=!!e.target.closest('.'+a.options.classPrefix+'container')};a.globalBind('keydown',a.globalKeydownCallback);a.globalBind('click',a.globalClickCallback)}},{key:'onkeydown',value:function(e,t,n){if(e.hasFocus&&e.options.enableKeyboard){for(var a=0,s=e.options.keyActions.length;a<s;a++){var r=e.options.keyActions[a];for(var i=0,o=r.keys.length;i<o;i++){if(n.keyCode===r.keys[i]){r.action(e,t,n.keyCode,n);n.preventDefault();n.stopPropagation();return}}}};return!0}},{key:'play',value:function(){this.proxy.play()}},{key:'pause',value:function(){this.proxy.pause()}},{key:'load',value:function(){this.proxy.load()}},{key:'setCurrentTime',value:function(e){this.proxy.setCurrentTime(e)}},{key:'getCurrentTime',value:function(){return this.proxy.currentTime}},{key:'getDuration',value:function(){return this.proxy.duration}},{key:'setVolume',value:function(e){this.proxy.volume=e}},{key:'getVolume',value:function(){return this.proxy.getVolume()}},{key:'setMuted',value:function(e){this.proxy.setMuted(e)}},{key:'setSrc',value:function(e){if(!this.controlsEnabled){this.enableControls()};this.proxy.setSrc(e)}},{key:'getSrc',value:function(){return this.proxy.getSrc()}},{key:'canPlayType',value:function(e){return this.proxy.canPlayType(e)}},{key:'remove',value:function(){var e=this,o=e.media.rendererName,l=e.media.originalNode.src;for(var d in e.options.features){var a=e.options.features[d];if(e['clean'+a]){try{e['clean'+a](e,e.getElement(e.layers),e.getElement(e.controls),e.media)}catch(t){console.error('error cleaning '+a,t)}}};var n=e.node.getAttribute('width'),i=e.node.getAttribute('height');if(n){if(n.indexOf('%')===-1){n=n+'px'}}
else{n='auto'};if(i){if(i.indexOf('%')===-1){i=i+'px'}}
else{i='auto'};e.node.style.width=n;e.node.style.height=i;e.setPlayerSize(0,0);if(!e.isDynamic){(function(){e.node.setAttribute('controls',!0);e.node.setAttribute('id',e.node.getAttribute('id').replace('_'+o,'').replace('_from_mejs',''));var u=e.getElement(e.container).querySelector('.'+e.options.classPrefix+'poster>img');if(u){e.node.setAttribute('poster',u.src)};delete e.node.autoplay;if(e.media.canPlayType((0,p.getTypeFromFile)(l))!==''){e.node.setAttribute('src',l)};if(~o.indexOf('iframe')){var c=r.default.getElementById(e.media.id+'-iframe-overlay');c.remove()};var t=e.node.cloneNode();t.style.display='';e.getElement(e.container).parentNode.insertBefore(t,e.getElement(e.container));e.node.remove();if(e.mediaFiles){for(var n=0,f=e.mediaFiles.length;n<f;n++){var a=r.default.createElement('source');a.setAttribute('src',e.mediaFiles[n].src);a.setAttribute('type',e.mediaFiles[n].type);t.appendChild(a)}};if(e.trackFiles){var d=function(n,i){var o=e.trackFiles[n],a=r.default.createElement('track');a.kind=o.kind;a.label=o.label;a.srclang=o.srclang;a.src=o.src;t.appendChild(a);a.addEventListener('load',function(){this.mode='showing';t.textTracks[n].mode='showing'})};for(var i=0,s=e.trackFiles.length;i<s;i++){d(i,s)}};delete e.node;delete e.mediaFiles;delete e.trackFiles})()}
else{e.getElement(e.container).parentNode.insertBefore(e.node,e.getElement(e.container))};if(typeof e.media.renderer.destroy==='function'){e.media.renderer.destroy()};delete s.default.players[e.id];if(g(e.getElement(e.container))==='object'){var u=e.getElement(e.container).parentNode.querySelector('.'+e.options.classPrefix+'offscreen');u.remove();e.getElement(e.container).remove()};e.globalUnbind('resize',e.globalResizeCallback);e.globalUnbind('keydown',e.globalKeydownCallback);e.globalUnbind('click',e.globalClickCallback);delete e.media.player}},{key:'paused',get:function(){return this.proxy.paused}},{key:'muted',get:function(){return this.proxy.muted},set:function(e){this.setMuted(e)}},{key:'ended',get:function(){return this.proxy.ended}},{key:'readyState',get:function(){return this.proxy.readyState}},{key:'currentTime',set:function(e){this.setCurrentTime(e)},get:function(){return this.getCurrentTime()}},{key:'duration',get:function(){return this.getDuration()}},{key:'volume',set:function(e){this.setVolume(e)},get:function(){return this.getVolume()}},{key:'src',set:function(e){this.setSrc(e)},get:function(){return this.getSrc()}}]);return e}();o.default.MediaElementPlayer=d;s.default.MediaElementPlayer=d;n.default=d},{'17':17,'2':2,'25':25,'26':26,'27':27,'28':28,'3':3,'30':30,'5':5,'6':6,'7':7}],17:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var r=function(){function e(e,t){for(var i=0;i<t.length;i++){var n=t[i];n.enumerable=n.enumerable||!1;n.configurable=!0;if('value' in n)n.writable=!0;Object.defineProperty(e,n.key,n)}};return function(t,n,i){if(n)e(t.prototype,n);if(i)e(t,i);return t}}(),a=e(3),o=s(a);function s(e){return e&&e.__esModule?e:{default:e}};function l(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var i=function(){function e(t){l(this,e);this.media=t.media;this.isVideo=t.isVideo;this.classPrefix=t.options.classPrefix;this.createIframeLayer=function(){return t.createIframeLayer()};this.setPoster=function(e){return t.setPoster(e)};return this};r(e,[{key:'play',value:function(){this.media.play()}},{key:'pause',value:function(){this.media.pause()}},{key:'load',value:function(){var e=this;if(!e.isLoaded){e.media.load()};e.isLoaded=!0}},{key:'setCurrentTime',value:function(e){this.media.setCurrentTime(e)}},{key:'getCurrentTime',value:function(){return this.media.currentTime}},{key:'getDuration',value:function(){return this.media.getDuration()}},{key:'setVolume',value:function(e){this.media.setVolume(e)}},{key:'getVolume',value:function(){return this.media.getVolume()}},{key:'setMuted',value:function(e){this.media.setMuted(e)}},{key:'setSrc',value:function(e){var t=this,n=document.getElementById(t.media.id+'-iframe-overlay');if(n){n.remove()};t.media.setSrc(e);t.createIframeLayer();if(t.media.renderer!==null&&typeof t.media.renderer.getPosterUrl==='function'){t.setPoster(t.media.renderer.getPosterUrl())}}},{key:'getSrc',value:function(){return this.media.getSrc()}},{key:'canPlayType',value:function(e){return this.media.canPlayType(e)}},{key:'paused',get:function(){return this.media.paused}},{key:'muted',set:function(e){this.setMuted(e)},get:function(){return this.media.muted}},{key:'ended',get:function(){return this.media.ended}},{key:'readyState',get:function(){return this.media.readyState}},{key:'currentTime',set:function(e){this.setCurrentTime(e)},get:function(){return this.getCurrentTime()}},{key:'duration',get:function(){return this.getDuration()}},{key:'volume',set:function(e){this.setVolume(e)},get:function(){return this.getVolume()}},{key:'src',set:function(e){this.setSrc(e)},get:function(){return this.getSrc()}}]);return e}();n.default=i;o.default.DefaultPlayer=i},{'3':3}],18:[function(e,t,n){'use strict';var o=e(3),i=a(o),s=e(7),r=a(s),l=e(16),u=a(l);function a(e){return e&&e.__esModule?e:{default:e}};if(typeof jQuery!=='undefined'){r.default.$=i.default.jQuery=i.default.$=jQuery}
else if(typeof Zepto!=='undefined'){r.default.$=i.default.Zepto=i.default.$=Zepto}
else if(typeof ender!=='undefined'){r.default.$=i.default.ender=i.default.$=ender}(function(e){if(typeof e!=='undefined'){e.fn.mediaelementplayer=function(t){if(t===!1){this.each(function(){var t=e(this).data('mediaelementplayer');if(t){t.remove()};e(this).removeData('mediaelementplayer')})}
else{this.each(function(){e(this).data('mediaelementplayer',new u.default(this,t))})};return this};e(document).ready(function(){e('.'+r.default.MepDefaults.classPrefix+'player').mediaelementplayer()})}})(r.default.$)},{'16':16,'3':3,'7':7}],19:[function(e,t,n){'use strict';var a=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),s=u(f),c=e(7),o=u(c),l=e(8),r=e(27),m=e(28),p=e(25),g=e(26);function u(e){return e&&e.__esModule?e:{default:e}};var i={promise:null,load:function(e){if(typeof dashjs!=='undefined'){i.promise=new Promise(function(e){e()}).then(function(){i._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdn.dashjs.org/latest/dash.all.min.js';i.promise=i.promise||(0,g.loadScript)(e.options.path);i.promise.then(function(){i._createPlayer(e)})};return i.promise},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();s.default['__ready__'+e.id](t);return t}};var d={name:'native_dash',options:{prefix:'native_dash',dash:{path:'https://cdn.dashjs.org/latest/dash.all.min.js',debug:!1,drm:{},robustnessLevel:''}},canPlayType:function(e){return p.HAS_MSE&&['application/dash+xml'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,C=f.autoplay,E=f.children,u=null,d=null;f.removeAttribute('type');for(var h=0,P=E.length;h<P;h++){E[h].removeAttribute('type')};u=f.cloneNode(!0);t=Object.assign(t,e.options);var v=o.default.html5media.properties,m=o.default.html5media.events.concat(['click','mouseover','mouseout']),y=function(t){if(t.type!=='error'){var n=(0,r.createEvent)(t.type,e);e.dispatchEvent(n)}},w=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);u['get'+n]=function(){return d!==null?u[e]:null};u['set'+n]=function(n){if(o.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){var l=(typeof n==='undefined'?'undefined':a(n))==='object'&&n.src?n.src:n;u[e]=l;if(d!==null){d.reset();for(var s=0,f=m.length;s<f;s++){u.removeEventListener(m[s],y)};d=i._createPlayer({options:t.dash,id:p});if(n&&(typeof n==='undefined'?'undefined':a(n))==='object'&&a(n.drm)==='object'){d.setProtectionData(n.drm);if((0,r.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(l);if(C){d.play()}}}
else{u[e]=n}}}};for(var g=0,x=v.length;g<x;g++){w(v[g])};s.default['__ready__'+p]=function(n){e.dashPlayer=d=n;var s=dashjs.MediaPlayer.events,p=function(e){if(e==='loadedmetadata'){d.getDebug().setLogToBrowserConsole(t.dash.debug);d.initialize();d.setScheduleWhilePaused(!1);d.setFastSwitchEnabled(!0);d.attachView(u);d.setAutoPlay(!1);if(a(t.dash.drm)==='object'&&!o.default.Utils.isObjectEmpty(t.dash.drm)){d.setProtectionData(t.dash.drm);if((0,r.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(u.getSrc())};u.addEventListener(e,y)};for(var i=0,c=m.length;i<c;i++){p(m[i])};var f=function(t,n){if(t.toLowerCase()==='error'){e.generateError(n.message,u.src);console.error(n)}
else{var i=(0,r.createEvent)(t,e);i.data=n;e.dispatchEvent(i)}};for(var l in s){if(s.hasOwnProperty(l)){d.on(s[l],function(e){for(var n=arguments.length,i=Array(n>1?n-1:0),t=1;t<n;t++){i[t-1]=arguments[t]};return f(e.type,i)})}}};if(n&&n.length>0){for(var c=0,S=n.length;c<S;c++){if(l.renderer.renderers[t.prefix].canPlayType(n[c].type)){u.setAttribute('src',n[c].src);if(typeof n[c].drm!=='undefined'){t.dash.drm=n[c].drm};break}}};u.setAttribute('id',p);f.parentNode.insertBefore(u,f);f.autoplay=!1;f.style.display='none';u.setSize=function(e,t){u.style.width=e+'px';u.style.height=t+'px';return u};u.hide=function(){u.pause();u.style.display='none';return u};u.show=function(){u.style.display='';return u};u.destroy=function(){if(d!==null){d.reset()}};var b=(0,r.createEvent)('rendererready',u);e.dispatchEvent(b);e.promises.push(i.load({options:t.dash,id:p}));return u}};m.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.mpd')?'application/dash+xml':null});l.renderer.add(d)},{'25':25,'26':26,'27':27,'28':28,'3':3,'7':7,'8':8}],20:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.PluginDetector=undefined;var c=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},m=e(3),o=a(m),p=e(2),s=a(p),g=e(7),l=a(g),h=e(5),v=a(h),y=e(8),u=e(27),i=e(25),d=e(28);function a(e){return e&&e.__esModule?e:{default:e}};var r=n.PluginDetector={plugins:[],hasPluginVersion:function(e,t){var n=r.plugins[e];t[1]=t[1]||0;t[2]=t[2]||0;return n[0]>t[0]||n[0]===t[0]&&n[1]>t[1]||n[0]===t[0]&&n[1]===t[1]&&n[2]>=t[2]},addPlugin:function(e,t,n,i,a){r.plugins[e]=r.detectPlugin(t,n,i,a)},detectPlugin:function(e,t,n,r){var s=[0,0,0],u=void 0,d=void 0;if(i.NAV.plugins!==null&&i.NAV.plugins!==undefined&&c(i.NAV.plugins[e])==='object'){u=i.NAV.plugins[e].description;if(u&&!(typeof i.NAV.mimeTypes!=='undefined'&&i.NAV.mimeTypes[t]&&!i.NAV.mimeTypes[t].enabledPlugin)){s=u.replace(e,'').replace(/^\s+/,'').replace(/\sr/gi,'.').split('.');for(var l=0,f=s.length;l<f;l++){s[l]=parseInt(s[l].match(/\d+/),10)}}}
else if(o.default.ActiveXObject!==undefined){try{d=new ActiveXObject(n);if(d){s=r(d)}}catch(a){}};return s}};r.addPlugin('flash','Shockwave Flash','application/x-shockwave-flash','ShockwaveFlash.ShockwaveFlash',function(e){var n=[],t=e.GetVariable('$version');if(t){t=t.split(' ')[1].split(',');n=[parseInt(t[0],10),parseInt(t[1],10),parseInt(t[2],10)]};return n});var E={create:function(e,t,r){var n={};var x=!1;n.options=t;n.id=e.id+'_'+n.options.prefix;n.mediaElement=e;n.flashState={};n.flashApi=null;n.flashApiStack=[];var C=l.default.html5media.properties,I=function(e){n.flashState[e]=null;var t=''+e.substring(0,1).toUpperCase()+e.substring(1);n['get'+t]=function(){if(n.flashApi!==null){if(typeof n.flashApi['get_'+e]==='function'){var t=n.flashApi['get_'+e]();if(e==='buffered'){return{start:function(){return 0},end:function(){return t},length:1}};return t}
else{return null}}
else{return null}};n['set'+t]=function(t){if(e==='src'){t=(0,d.absolutizeUrl)(t)};if(n.flashApi!==null&&n.flashApi['set_'+e]!==undefined){try{n.flashApi['set_'+e](t)}catch(i){}}
else{n.flashApiStack.push({type:'set',propName:e,value:t})}}};for(var S=0,j=C.length;S<j;S++){I(C[S])};var b=l.default.html5media.methods,F=function(e){n[e]=function(){if(x){if(n.flashApi!==null){if(n.flashApi['fire_'+e]){try{n.flashApi['fire_'+e]()}catch(t){}}
else{}}
else{n.flashApiStack.push({type:'call',methodName:e})}}}};b.push('stop');for(var E=0,L=b.length;E<L;E++){F(b[E])};var P=['rendererready'];for(var h=0,A=P.length;h<A;h++){var N=(0,u.createEvent)(P[h],n);e.dispatchEvent(N)};o.default['__ready__'+n.id]=function(){n.flashReady=!0;n.flashApi=s.default.getElementById('__'+n.id);if(n.flashApiStack.length){for(var t=0,a=n.flashApiStack.length;t<a;t++){var e=n.flashApiStack[t];if(e.type==='set'){var i=e.propName,r=''+i.substring(0,1).toUpperCase()+i.substring(1);n['set'+r](e.value)}
else if(e.type==='call'){n[e.methodName]()}}}};o.default['__event__'+n.id]=function(e,t){var r=(0,u.createEvent)(e,n);if(t){try{r.data=JSON.parse(t);r.details.data=JSON.parse(t)}catch(i){r.message=t}};n.mediaElement.dispatchEvent(r)};n.flashWrapper=s.default.createElement('div');if(['always','sameDomain'].indexOf(n.options.shimScriptAccess)===-1){n.options.shimScriptAccess='sameDomain'};var k=e.originalNode.autoplay,f=['uid='+n.id,'autoplay='+k,'allowScriptAccess='+n.options.shimScriptAccess,'preload='+(e.originalNode.getAttribute('preload')||'')],c=e.originalNode!==null&&e.originalNode.tagName.toLowerCase()==='video',p=c?e.originalNode.height:1,g=c?e.originalNode.width:1;if(e.originalNode.getAttribute('src')){f.push('src='+e.originalNode.getAttribute('src'))};if(n.options.enablePseudoStreaming===!0){f.push('pseudostreamstart='+n.options.pseudoStreamingStartQueryParam);f.push('pseudostreamtype='+n.options.pseudoStreamingType)};if(n.options.streamDelimiter){f.push('streamdelimiter='+encodeURIComponent(n.options.streamDelimiter))};if(n.options.proxyType){f.push('proxytype='+n.options.proxyType)};e.appendChild(n.flashWrapper);e.originalNode.style.display='none';var a=[];if(i.IS_IE||i.IS_EDGE){var w=s.default.createElement('div');n.flashWrapper.appendChild(w);if(i.IS_EDGE){a=['type="application/x-shockwave-flash"','data="'+n.options.pluginPath+n.options.filename+'"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'\'"']}
else{a=['classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"','codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'"']};if(!c){a.push('style="clip: rect(0 0 0 0); position: absolute;"')};w.outerHTML='<object '+a.join(' ')+'>'+('<param name="movie" value="'+n.options.pluginPath+n.options.filename+'?x='+new Date()+'" />')+('<param name="flashvars" value="'+f.join('&amp;')+'" />')+'<param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" />'+('<param name="allowScriptAccess" value="'+n.options.shimScriptAccess+'" />')+'<param name="allowFullScreen" value="true" />'+('<div>'+v.default.t('mejs.install-flash')+'</div>')+'</object>'}
else{a=['id="__'+n.id+'"','name="__'+n.id+'"','play="true"','loop="false"','quality="high"','bgcolor="#000000"','wmode="transparent"','allowScriptAccess="'+n.options.shimScriptAccess+'"','allowFullScreen="true"','type="application/x-shockwave-flash"','pluginspage="//www.macromedia.com/go/getflashplayer"','src="'+n.options.pluginPath+n.options.filename+'"','flashvars="'+f.join('&')+'"'];if(c){a.push('width="'+g+'"');a.push('height="'+p+'"')}
else{a.push('style="position: fixed; left: -9999em; top: -9999em;"')};n.flashWrapper.innerHTML='<embed '+a.join(' ')+'>'};n.flashNode=n.flashWrapper.lastChild;n.hide=function(){x=!1;if(c){n.flashNode.style.display='none'}};n.show=function(){x=!0;if(c){n.flashNode.style.display=''}};n.setSize=function(e,t){n.flashNode.style.width=e+'px';n.flashNode.style.height=t+'px';if(n.flashApi!==null&&typeof n.flashApi.fire_setSize==='function'){n.flashApi.fire_setSize(e,t)}};n.destroy=function(){n.flashNode.remove()};if(r&&r.length>0){for(var m=0,T=r.length;m<T;m++){if(y.renderer.renderers[t.prefix].canPlayType(r[m].type)){n.setSrc(r[m].src);break}}};return n}};var f=r.hasPluginVersion('flash',[10,0,0]);if(f){d.typeChecks.push(function(e){e=e.toLowerCase();if(e.startsWith('rtmp')){if(~e.indexOf('.mp3')){return'audio/rtmp'}
else{return'video/rtmp'}}
else if(/\.og(a|g)/i.test(e)){return'audio/ogg'}
else if(~e.indexOf('.m3u8')){return'application/x-mpegURL'}
else if(~e.indexOf('.mpd')){return'application/dash+xml'}
else if(~e.indexOf('.flv')){return'video/flv'}
else{return null}})}},{'2':2,'25':25,'27':27,'28':28,'3':3,'5':5,'7':7,'8':8}],21:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),o=l(f),c=e(7),r=l(c),s=e(8),a=e(27),m=e(25),p=e(28),g=e(26);function l(e){return e&&e.__esModule?e:{default:e}};var i={promise:null,load:function(e){if(typeof flvjs!=='undefined'){i.promise=new Promise(function(e){e()}).then(function(){i._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.3.3/flv.min.js';i.promise=i.promise||(0,g.loadScript)(e.options.path);i.promise.then(function(){i._createPlayer(e)})};return i.promise},_createPlayer:function(e){flvjs.LoggingControl.enableDebug=e.options.debug;flvjs.LoggingControl.enableVerbose=e.options.debug;var t=flvjs.createPlayer(e.options,e.configs);o.default['__ready__'+e.id](t);return t}};var u={name:'native_flv',options:{prefix:'native_flv',flv:{path:'https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.3.3/flv.min.js',cors:!0,debug:!1}},canPlayType:function(e){return m.HAS_MSE&&['video/x-flv','video/flv'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var c=e.originalNode,g=e.id+'_'+t.prefix,l=null,u=null;l=c.cloneNode(!0);t=Object.assign(t,e.options);var v=r.default.html5media.properties,p=r.default.html5media.events.concat(['click','mouseover','mouseout']),y=function(t){if(t.type!=='error'){var n=(0,a.createEvent)(t.type,e);e.dispatchEvent(n)}},w=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);l['get'+n]=function(){return u!==null?l[e]:null};l['set'+n]=function(n){if(r.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){l[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(u!==null){var a={};a.type='flv';a.url=n;a.cors=t.flv.cors;a.debug=t.flv.debug;a.path=t.flv.path;var f=t.flv.configs;u.destroy();for(var o=0,s=p.length;o<s;o++){l.removeEventListener(p[o],y)};u=i._createPlayer({options:a,configs:f,id:g});u.attachMediaElement(l);u.load()}}
else{l[e]=n}}}};for(var h=0,x=v.length;h<x;h++){w(v[h])};o.default['__ready__'+g]=function(t){e.flvPlayer=u=t;var n=flvjs.Events,f=function(e){if(e==='loadedmetadata'){u.unload();u.detachMediaElement();u.attachMediaElement(l);u.load()};l.addEventListener(e,y)};for(var i=0,d=p.length;i<d;i++){f(p[i])};var o=function(t,n){if(t==='error'){var r=n[0]+': '+n[1]+' '+n[2].msg;e.generateError(r,l.src)}
else{var i=(0,a.createEvent)(t,e);i.data=n;e.dispatchEvent(i)}},s=function(e){if(n.hasOwnProperty(e)){u.on(n[e],function(){for(var i=arguments.length,r=Array(i),t=0;t<i;t++){r[t]=arguments[t]};return o(n[e],r)})}};for(var r in n){s(r)}};if(n&&n.length>0){for(var m=0,S=n.length;m<S;m++){if(s.renderer.renderers[t.prefix].canPlayType(n[m].type)){l.setAttribute('src',n[m].src);break}}};l.setAttribute('id',g);c.parentNode.insertBefore(l,c);c.autoplay=!1;c.style.display='none';var f={};f.type='flv';f.url=l.src;f.cors=t.flv.cors;f.debug=t.flv.debug;f.path=t.flv.path;var b=t.flv.configs;l.setSize=function(e,t){l.style.width=e+'px';l.style.height=t+'px';return l};l.hide=function(){if(u!==null){u.pause()};l.style.display='none';return l};l.show=function(){l.style.display='';return l};l.destroy=function(){if(u!==null){u.destroy()}};var E=(0,a.createEvent)('rendererready',l);e.dispatchEvent(E);e.promises.push(i.load({options:f,configs:b,id:g}));return l}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.flv')?'video/flv':null});s.renderer.add(u)},{'25':25,'26':26,'27':27,'28':28,'3':3,'7':7,'8':8}],22:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),o=l(f),c=e(7),r=l(c),s=e(8),a=e(27),m=e(25),p=e(28),g=e(26);function l(e){return e&&e.__esModule?e:{default:e}};var i={promise:null,load:function(e){if(typeof Hls!=='undefined'){i.promise=new Promise(function(e){e()}).then(function(){i._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdnjs.cloudflare.com/ajax/libs/hls.js/0.8.4/hls.min.js';i.promise=i.promise||(0,g.loadScript)(e.options.path);i.promise.then(function(){i._createPlayer(e)})};return i.promise},_createPlayer:function(e){var t=new Hls(e.options);o.default['__ready__'+e.id](t);return t}};var u={name:'native_hls',options:{prefix:'native_hls',hls:{path:'https://cdnjs.cloudflare.com/ajax/libs/hls.js/0.8.4/hls.min.js',autoStartLoad:!1,debug:!1}},canPlayType:function(e){return m.HAS_MSE&&['application/x-mpegurl','application/vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,h=f.getAttribute('preload'),b=f.autoplay,u=null,l=null,c=0,v=n.length;l=f.cloneNode(!0);t=Object.assign(t,e.options);t.hls.autoStartLoad=h&&h!=='none'||b;var y=r.default.html5media.properties,m=r.default.html5media.events.concat(['click','mouseover','mouseout']),E=function(t){if(t.type!=='error'){var n=(0,a.createEvent)(t.type,e);e.dispatchEvent(n)}},w=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);l['get'+n]=function(){return u!==null?l[e]:null};l['set'+n]=function(n){if(r.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){l[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(u!==null){u.destroy();for(var a=0,o=m.length;a<o;a++){l.removeEventListener(m[a],E)};u=i._createPlayer({options:t.hls,id:p});u.loadSource(n);u.attachMedia(l)}}
else{l[e]=n}}}};for(var g=0,x=y.length;g<x;g++){w(y[g])};o.default['__ready__'+p]=function(t){e.hlsPlayer=u=t;var i=Hls.Events,h=function(t){if(t==='loadedmetadata'){var n=e.originalNode.src;u.detachMedia();u.loadSource(n);u.attachMedia(l)};l.addEventListener(t,E)};for(var s=0,g=m.length;s<g;s++){h(m[s])};var r=void 0,o=void 0,f=function(t,i){if(t==='hlsError'){console.warn(i);i=i[1];if(i.fatal){switch(i.type){case'mediaError':var p=new Date().getTime();if(!r||p-r>3000){r=new Date().getTime();u.recoverMediaError()}
else if(!o||p-o>3000){o=new Date().getTime();console.warn('Attempting to swap Audio Codec and recover from media error');u.swapAudioCodec();u.recoverMediaError()}
else{var m='Cannot recover, last media error recovery failed';e.generateError(m,l.src);console.error(m)};break;case'networkError':if(i.details==='manifestLoadError'){if(c<v&&n[c+1]!==undefined){l.setSrc(n[c++].src);l.load();l.play()}
else{var f='Network error';e.generateError(f,n);console.error(f)}}
else{var d='Network error';e.generateError(d,n);console.error(d)};break;default:u.destroy();break}}}
else{var s=(0,a.createEvent)(t,e);s.data=i;e.dispatchEvent(s)}},p=function(e){if(i.hasOwnProperty(e)){u.on(i[e],function(){for(var n=arguments.length,r=Array(n),t=0;t<n;t++){r[t]=arguments[t]};return f(i[e],r)})}};for(var d in i){p(d)}};if(v>0){for(;c<v;c++){if(s.renderer.renderers[t.prefix].canPlayType(n[c].type)){l.setAttribute('src',n[c].src);break}}};if(h!=='auto'&&!b){l.addEventListener('play',function(){if(u!==null){u.startLoad()}});l.addEventListener('pause',function(){if(u!==null){u.stopLoad()}})};l.setAttribute('id',p);f.parentNode.insertBefore(l,f);f.autoplay=!1;f.style.display='none';l.setSize=function(e,t){l.style.width=e+'px';l.style.height=t+'px';return l};l.hide=function(){l.pause();l.style.display='none';return l};l.show=function(){l.style.display='';return l};l.destroy=function(){if(u!==null){u.stopLoad();u.destroy()}};var S=(0,a.createEvent)('rendererready',l);e.dispatchEvent(S);e.promises.push(i.load({options:t.hls,id:p}));return l}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.m3u8')?'application/x-mpegURL':null});s.renderer.add(u)},{'25':25,'26':26,'27':27,'28':28,'3':3,'7':7,'8':8}],23:[function(e,t,n){'use strict';var d=e(3),f=r(d),c=e(2),o=r(c),m=e(7),i=r(m),s=e(8),l=e(27),u=e(25);function r(e){return e&&e.__esModule?e:{default:e}};var a={name:'html5',options:{prefix:'html5'},canPlayType:function(e){var t=o.default.createElement('video');if(u.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~['application/x-mpegurl','vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())&&u.SUPPORTS_NATIVE_HLS){return'yes'}
else if(t.canPlayType){return t.canPlayType(e.toLowerCase()).replace(/no/,'')}
else{return''}},create:function(e,t,n){var b=e.id+'_'+t.prefix,u=!1,r=null;if(e.originalNode===undefined||e.originalNode===null){r=o.default.createElement('audio');e.appendChild(r)}
else{r=e.originalNode};r.setAttribute('id',b);var p=i.default.html5media.properties,E=function(e){var t=''+e.substring(0,1).toUpperCase()+e.substring(1);r['get'+t]=function(){return r[e]};r['set'+t]=function(t){if(i.default.html5media.readOnlyProperties.indexOf(e)===-1){r[e]=t}}};for(var c=0,y=p.length;c<y;c++){E(p[c])};var m=i.default.html5media.events.concat(['click','mouseover','mouseout']),v=function(t){r.addEventListener(t,function(t){if(u){var n=(0,l.createEvent)(t.type,t.target);e.dispatchEvent(n)}})};for(var f=0,h=m.length;f<h;f++){v(m[f])};r.setSize=function(e,t){r.style.width=e+'px';r.style.height=t+'px';return r};r.hide=function(){u=!1;r.style.display='none';return r};r.show=function(){u=!0;r.style.display='';return r};var a=0,d=n.length;if(d>0){for(;a<d;a++){if(s.renderer.renderers[t.prefix].canPlayType(n[a].type)){r.setAttribute('src',n[a].src);break}}};r.addEventListener('error',function(t){if(t.target.error.code===4&&u){if(a<d&&n[a+1]!==undefined){r.src=n[a++].src;r.load();r.play()}
else{e.generateError('Media error: Format(s) not supported or source(s) not found',n)}}});var g=(0,l.createEvent)('rendererready',r);e.dispatchEvent(g);return r}};f.default.HtmlMediaElement=i.default.HtmlMediaElement=a;s.renderer.add(a)},{'2':2,'25':25,'27':27,'3':3,'7':7,'8':8}],24:[function(e,t,n){'use strict';var u=e(3),o=a(u),d=e(2),f=a(d),c=e(7),s=a(c),m=e(8),r=e(27),p=e(28),g=e(26);function a(e){return e&&e.__esModule?e:{default:e}};var i={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){i.isLoaded=typeof YT!=='undefined'&&YT.loaded;if(i.isLoaded){i.createIframe(e)}
else{i.loadIframeApi();i.iframeQueue.push(e)}},loadIframeApi:function(){if(!i.isIframeStarted){(0,g.loadScript)('https://www.youtube.com/player_api');i.isIframeStarted=!0}},iFrameReady:function(){i.isLoaded=!0;i.isIframeLoaded=!0;while(i.iframeQueue.length>0){var e=i.iframeQueue.pop();i.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t='';if(e.indexOf('?')>0){t=i.getYouTubeIdFromParam(e);if(t===''){t=i.getYouTubeIdFromUrl(e)}}
else{t=i.getYouTubeIdFromUrl(e)};var n=t.substring(t.lastIndexOf('/')+1);t=n.split('?');return t[0]},getYouTubeIdFromParam:function(e){if(e===undefined||e===null||!e.trim().length){return null};var o=e.split('?'),i=o[1].split('&'),r='';for(var t=0,a=i.length;t<a;t++){var n=i[t].split('=');if(n[0]==='v'){r=n[1];break}};return r},getYouTubeIdFromUrl:function(e){if(e===undefined||e===null||!e.trim().length){return null};var t=e.split('?');e=t[0];return e.substring(e.lastIndexOf('/')+1)},getYouTubeNoCookieUrl:function(e){if(e===undefined||e===null||!e.trim().length||e.indexOf('//www.youtube')===-1){return e};var t=e.split('/');t[2]=t[2].replace('.com','-nocookie.com');return t.join('/')}};var l={name:'youtube_iframe',options:{prefix:'youtube_iframe',youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1,imageQuality:null}},canPlayType:function(e){return~['video/youtube','video/x-youtube'].indexOf(e.toLowerCase())},create:function(e,t,n){var a={},p=[],A=4;var l=null,u=!0,d=!1,c=null,E=1;a.options=t;a.id=e.id+'_'+t.prefix;a.mediaElement=e;var S=s.default.html5media.properties,N=function(t){var n=''+t.substring(0,1).toUpperCase()+t.substring(1);a['get'+n]=function(){if(l!==null){var i=null;switch(t){case'currentTime':return l.getCurrentTime();case'duration':return l.getDuration();case'volume':E=l.getVolume()/100;return E;case'paused':return u;case'ended':return d;case'muted':return l.isMuted();case'buffered':var e=l.getVideoLoadedFraction(),n=l.getDuration();return{start:function(){return 0},end:function(){return e*n},length:1};case'src':return l.getVideoUrl();case'readyState':return A};return i}
else{return null}};a['set'+n]=function(n){if(l!==null){switch(t){case'src':var u=typeof n==='string'?n:n[0].src,o=i.getYouTubeId(u);if(e.originalNode.autoplay){l.loadVideoById(o)}
else{l.cueVideoById(o)};break;case'currentTime':l.seekTo(n);break;case'muted':if(n){l.mute()}
else{l.unMute()};setTimeout(function(){var t=(0,r.createEvent)('volumechange',a);e.dispatchEvent(t)},50);break;case'volume':E=n;l.setVolume(n*100);setTimeout(function(){var t=(0,r.createEvent)('volumechange',a);e.dispatchEvent(t)},50);break;case'readyState':var s=(0,r.createEvent)('canplay',a);e.dispatchEvent(s);break;default:break}}
else{p.push({type:'set',propName:t,value:n})}}};for(var y=0,k=S.length;y<k;y++){N(S[y])};var b=s.default.html5media.methods,T=function(e){a[e]=function(){if(l!==null){switch(e){case'play':u=!1;return l.playVideo();case'pause':u=!0;return l.pauseVideo();case'load':return null}}
else{p.push({type:'call',methodName:e})}}};for(var v=0,C=b.length;v<C;v++){T(b[v])};var h=f.default.createElement('div');h.id=a.id;if(a.options.youtube.nocookie){e.originalNode.src=i.getYouTubeNoCookieUrl(n[0].src)};e.originalNode.parentNode.insertBefore(h,e.originalNode);e.originalNode.style.display='none';var g=e.originalNode.tagName.toLowerCase()==='audio',x=g?'1':e.originalNode.height,w=g?'1':e.originalNode.width,P=i.getYouTubeId(n[0].src),m={id:a.id,containerId:h.id,videoId:P,height:x,width:w,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,iv_load_policy:3},a.options.youtube),origin:o.default.location.host,events:{onReady:function(t){e.youTubeApi=l=t.target;e.youTubeState={paused:!0,ended:!1};if(p.length){for(var s=0,E=p.length;s<E;s++){var n=p[s];if(n.type==='set'){var f=n.propName,y=''+f.substring(0,1).toUpperCase()+f.substring(1);a['set'+y](n.value)}
else if(n.type==='call'){a[n.methodName]()}}};c=l.getIframe();if(e.originalNode.muted){l.mute()};var d=['mouseover','mouseout'],v=function(t){var n=(0,r.createEvent)(t.type,a);e.dispatchEvent(n)};for(var o=0,h=d.length;o<h;o++){c.addEventListener(d[o],v,!1)};var u=['rendererready','loadedmetadata','loadeddata','canplay'];for(var i=0,g=u.length;i<g;i++){var m=(0,r.createEvent)(u[i],a);e.dispatchEvent(m)}},onStateChange:function(t){var n=[];switch(t.data){case-1:n=['loadedmetadata'];u=!0;d=!1;break;case 0:n=['ended'];u=!1;d=!a.options.youtube.loop;if(!a.options.youtube.loop){a.stopInterval()};break;case 1:n=['play','playing'];u=!1;d=!1;a.startInterval();break;case 2:n=['pause'];u=!0;d=!1;a.stopInterval();break;case 3:n=['progress'];d=!1;break;case 5:n=['loadeddata','loadedmetadata','canplay'];u=!0;d=!1;break};for(var i=0,s=n.length;i<s;i++){var o=(0,r.createEvent)(n[i],a);e.dispatchEvent(o)}},onError:function(t){var n=(0,r.createEvent)('error',a);n.data=t.data;e.dispatchEvent(n)}}};if(g||e.originalNode.hasAttribute('playsinline')){m.playerVars.playsinline=1};if(e.originalNode.controls){m.playerVars.controls=1};if(e.originalNode.autoplay){m.playerVars.autoplay=1};if(e.originalNode.loop){m.playerVars.loop=1};i.enqueueIframe(m);a.onEvent=function(t,n,i){if(i!==null&&i!==undefined){e.youTubeState=i}};a.setSize=function(e,t){if(l!==null){l.setSize(e,t)}};a.hide=function(){a.stopInterval();a.pause();if(c){c.style.display='none'}};a.show=function(){if(c){c.style.display=''}};a.destroy=function(){l.destroy()};a.interval=null;a.startInterval=function(){a.interval=setInterval(function(){var t=(0,r.createEvent)('timeupdate',a);e.dispatchEvent(t)},250)};a.stopInterval=function(){if(a.interval){clearInterval(a.interval)}};a.getPosterUrl=function(){var n=t.youtube.imageQuality,a=['default','hqdefault','mqdefault','sddefault','maxresdefault'],r=i.getYouTubeId(e.originalNode.src);return n&&a.indexOf(n)>-1&&r?'https://img.youtube.com/vi/'+r+'/'+n+'.jpg':''};return a}};o.default.onYouTubePlayerAPIReady=function(){i.iFrameReady()};p.typeChecks.push(function(e){return(/\/\/(www\.youtube|youtu\.?be)/i.test(e)?'video/x-youtube':null)});m.renderer.add(l)},{'2':2,'26':26,'27':27,'28':28,'3':3,'7':7,'8':8}],25:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.cancelFullScreen=n.requestFullScreen=n.isFullScreen=n.FULLSCREEN_EVENT_NAME=n.HAS_NATIVE_FULLSCREEN_ENABLED=n.HAS_TRUE_NATIVE_FULLSCREEN=n.HAS_IOS_FULLSCREEN=n.HAS_MS_NATIVE_FULLSCREEN=n.HAS_MOZ_NATIVE_FULLSCREEN=n.HAS_WEBKIT_NATIVE_FULLSCREEN=n.HAS_NATIVE_FULLSCREEN=n.SUPPORTS_NATIVE_HLS=n.SUPPORT_PASSIVE_EVENT=n.SUPPORT_POINTER_EVENTS=n.HAS_MSE=n.IS_STOCK_ANDROID=n.IS_SAFARI=n.IS_FIREFOX=n.IS_CHROME=n.IS_EDGE=n.IS_IE=n.IS_ANDROID=n.IS_IOS=n.IS_IPOD=n.IS_IPHONE=n.IS_IPAD=n.UA=n.NAV=undefined;var Y=e(3),o=S(Y),K=e(2),r=S(K),G=e(7),i=S(G);function S(e){return e&&e.__esModule?e:{default:e}};var b=n.NAV=o.default.navigator,a=n.UA=b.userAgent.toLowerCase(),V=n.IS_IPAD=/ipad/i.test(a)&&!o.default.MSStream,H=n.IS_IPHONE=/iphone/i.test(a)&&!o.default.MSStream,U=n.IS_IPOD=/ipod/i.test(a)&&!o.default.MSStream,Q=n.IS_IOS=/ipad|iphone|ipod/i.test(a)&&!o.default.MSStream,w=n.IS_ANDROID=/android/i.test(a),P=n.IS_IE=/(trident|microsoft)/i.test(b.appName),q=n.IS_EDGE='msLaunchUri' in b&&!('documentMode' in r.default),m=n.IS_CHROME=/chrome/i.test(a),B=n.IS_FIREFOX=/firefox/i.test(a),C=n.IS_SAFARI=/safari/i.test(a)&&!m,T=n.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(a),z=n.HAS_MSE='MediaSource' in o.default,W=n.SUPPORT_POINTER_EVENTS=function(){var e=r.default.createElement('x'),i=r.default.documentElement,t=o.default.getComputedStyle;if(!('pointerEvents' in e.style)){return!1};e.style.pointerEvents='auto';e.style.pointerEvents='x';i.appendChild(e);var n=t&&t(e,'').pointerEvents==='auto';e.remove();return!!n}(),X=n.SUPPORT_PASSIVE_EVENT=function(){var t=!1;try{var n=Object.defineProperty({},'passive',{get:function(){t=!0}});o.default.addEventListener('test',null,n)}catch(e){};return t}(),k=['source','track','audio','video'],d=void 0;for(var E=0,R=k.length;E<R;E++){d=r.default.createElement(k[E])};var D=n.SUPPORTS_NATIVE_HLS=C||w&&(m||T)||P&&/edge/i.test(a),c=d.webkitEnterFullscreen!==undefined,x=d.requestFullscreen!==undefined;if(c&&/mac os x 10_5/i.test(a)){x=!1;c=!1};var u=d.webkitRequestFullScreen!==undefined,s=d.mozRequestFullScreen!==undefined,l=d.msRequestFullscreen!==undefined,p=u||s||l,g=p,f='',h=void 0,v=void 0,y=void 0;if(s){g=r.default.mozFullScreenEnabled}
else if(l){g=r.default.msFullscreenEnabled};if(m){c=!1};if(p){if(u){f='webkitfullscreenchange'}
else if(s){f='mozfullscreenchange'}
else if(l){f='MSFullscreenChange'};n.isFullScreen=h=function(){if(s){return r.default.mozFullScreen}
else if(u){return r.default.webkitIsFullScreen}
else if(l){return r.default.msFullscreenElement!==null}};n.requestFullScreen=v=function(e){if(u){e.webkitRequestFullScreen()}
else if(s){e.mozRequestFullScreen()}
else if(l){e.msRequestFullscreen()}};n.cancelFullScreen=y=function(){if(u){r.default.webkitCancelFullScreen()}
else if(s){r.default.mozCancelFullScreen()}
else if(l){r.default.msExitFullscreen()}}};var N=n.HAS_NATIVE_FULLSCREEN=x,A=n.HAS_WEBKIT_NATIVE_FULLSCREEN=u,L=n.HAS_MOZ_NATIVE_FULLSCREEN=s,F=n.HAS_MS_NATIVE_FULLSCREEN=l,j=n.HAS_IOS_FULLSCREEN=c,I=n.HAS_TRUE_NATIVE_FULLSCREEN=p,M=n.HAS_NATIVE_FULLSCREEN_ENABLED=g,O=n.FULLSCREEN_EVENT_NAME=f;n.isFullScreen=h;n.requestFullScreen=v;n.cancelFullScreen=y;i.default.Features=i.default.Features||{};i.default.Features.isiPad=V;i.default.Features.isiPod=U;i.default.Features.isiPhone=H;i.default.Features.isiOS=i.default.Features.isiPhone||i.default.Features.isiPad;i.default.Features.isAndroid=w;i.default.Features.isIE=P;i.default.Features.isEdge=q;i.default.Features.isChrome=m;i.default.Features.isFirefox=B;i.default.Features.isSafari=C;i.default.Features.isStockAndroid=T;i.default.Features.hasMSE=z;i.default.Features.supportsNativeHLS=D;i.default.Features.supportsPointerEvents=W;i.default.Features.supportsPassiveEvent=X;i.default.Features.hasiOSFullScreen=j;i.default.Features.hasNativeFullscreen=N;i.default.Features.hasWebkitNativeFullScreen=A;i.default.Features.hasMozNativeFullScreen=L;i.default.Features.hasMsNativeFullScreen=F;i.default.Features.hasTrueNativeFullScreen=I;i.default.Features.nativeFullScreenEnabled=M;i.default.Features.fullScreenEventName=O;i.default.Features.isFullScreen=h;i.default.Features.requestFullScreen=v;i.default.Features.cancelFullScreen=y},{'2':2,'3':3,'7':7}],26:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.removeClass=n.addClass=n.hasClass=undefined;n.loadScript=m;n.offset=p;n.toggleClass=g;n.fadeOut=h;n.fadeIn=v;n.siblings=y;n.visible=E;n.ajax=b;var S=e(3),r=d(S),x=e(2),a=d(x),w=e(7),i=d(w);function d(e){return e&&e.__esModule?e:{default:e}};function m(e){return new Promise(function(t,n){var i=a.default.createElement('script');i.src=e;i.async=!0;i.onload=function(){i.remove();t()};i.onerror=function(){i.remove();n()};a.default.head.appendChild(i)})};function p(e){var t=e.getBoundingClientRect(),n=r.default.pageXOffset||a.default.documentElement.scrollLeft,i=r.default.pageYOffset||a.default.documentElement.scrollTop;return{top:t.top+i,left:t.left+n}};var s=void 0,l=void 0,u=void 0;if('classList' in a.default.documentElement){s=function(e,t){return e.classList!==undefined&&e.classList.contains(t)};l=function(e,t){return e.classList.add(t)};u=function(e,t){return e.classList.remove(t)}}
else{s=function(e,t){return new RegExp('\\b'+t+'\\b').test(e.className)};l=function(e,t){if(!o(e,t)){e.className+=' '+t}};u=function(e,t){e.className=e.className.replace(new RegExp('\\b'+t+'\\b','g'),'')}};var o=n.hasClass=s,f=n.addClass=l,c=n.removeClass=u;function g(e,t){o(e,t)?c(e,t):f(e,t)};function h(e){var i=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=1};var t=null;r.default.requestAnimationFrame(function a(o){t=t||o;var s=o-t,l=parseFloat(1-s/i,2);e.style.opacity=l<0?0:l;if(s>i){if(n&&typeof n==='function'){n()}}
else{r.default.requestAnimationFrame(a)}})};function v(e){var i=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=0};var t=null;r.default.requestAnimationFrame(function a(o){t=t||o;var s=o-t,l=parseFloat(s/i,2);e.style.opacity=l>1?1:l;if(s>i){if(n&&typeof n==='function'){n()}}
else{r.default.requestAnimationFrame(a)}})};function y(e,t){var n=[];e=e.parentNode.firstChild;do{if(!t||t(e)){n.push(e)}}
while(e=e.nextSibling);return n};function E(e){if(e.getClientRects!==undefined&&e.getClientRects==='function'){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)};return!!(e.offsetWidth||e.offsetHeight)};function b(e,t,n,i){var a=r.default.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject('Microsoft.XMLHTTP'),o='application/x-www-form-urlencoded; charset=UTF-8',s=!1,l='*/'.concat('*');switch(t){case'text':o='text/plain';break;case'json':o='application/json, text/javascript';break;case'html':o='text/html';break;case'xml':o='application/xml, text/xml';break};if(o!=='application/x-www-form-urlencoded'){l=o+', */*; q=0.01'};if(a){a.open('GET',e,!0);a.setRequestHeader('Accept',l);a.onreadystatechange=function(){if(s){return};if(a.readyState===4){if(a.status===200){s=!0;var e=void 0;switch(t){case'json':e=JSON.parse(a.responseText);break;case'xml':e=a.responseXML;break;default:e=a.responseText;break};n(e)}
else if(typeof i==='function'){i(a.status)}}};a.send()}};i.default.Utils=i.default.Utils||{};i.default.Utils.offset=p;i.default.Utils.hasClass=o;i.default.Utils.addClass=f;i.default.Utils.removeClass=c;i.default.Utils.toggleClass=g;i.default.Utils.fadeIn=v;i.default.Utils.fadeOut=h;i.default.Utils.siblings=y;i.default.Utils.visible=E;i.default.Utils.ajax=b;i.default.Utils.loadScript=m},{'2':2,'3':3,'7':7}],27:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.escapeHTML=r;n.debounce=a;n.isObjectEmpty=o;n.splitEvents=s;n.createEvent=l;n.isNodeAfter=u;n.isString=d;var f=e(7),i=c(f);function c(e){return e&&e.__esModule?e:{default:e}};function r(e){if(typeof e!=='string'){throw new Error('Argument passed must be a string')};var t={'&':'&amp;','<':'&lt;','>':'&gt;','"':'&quot;'};return e.replace(/[&<>"]/g,function(e){return t[e]})};function a(e,t){var r=this,a=arguments,i=arguments.length>2&&arguments[2]!==undefined?arguments[2]:!1;if(typeof e!=='function'){throw new Error('First argument must be a function')};if(typeof t!=='number'){throw new Error('Second argument must be a numeric value')};var n=void 0;return function(){var o=r,s=a,l=function(){n=null;if(!i){e.apply(o,s)}},u=i&&!n;clearTimeout(n);n=setTimeout(l,t);if(u){e.apply(o,s)}}};function o(e){return Object.getOwnPropertyNames(e).length<=0};function s(e,t){var i=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,n={d:[],w:[]};(e||'').split(' ').forEach(function(e){var r=''+e+(t?'.'+t:'');if(r.startsWith('.')){n.d.push(r);n.w.push(r)}
else{n[i.test(e)?'w':'d'].push(r)}});n.d=n.d.join(' ');n.w=n.w.join(' ');return n};function l(e,t){if(typeof e!=='string'){throw new Error('Event name must be a string')};var n=e.match(/([a-z]+\.([a-z]+))/i),i={target:t};if(n!==null){e=n[1];i.namespace=n[2]};return new window.CustomEvent(e,{detail:i})};function u(e,t){return!!(e&&t&&e.compareDocumentPosition(t)&2)};function d(e){return typeof e==='string'};i.default.Utils=i.default.Utils||{};i.default.Utils.escapeHTML=r;i.default.Utils.debounce=a;i.default.Utils.isObjectEmpty=o;i.default.Utils.splitEvents=s;i.default.Utils.createEvent=l;i.default.Utils.isNodeAfter=u;i.default.Utils.isString=d},{'7':7}],28:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.typeChecks=undefined;n.absolutizeUrl=l;n.formatType=u;n.getMimeFromType=d;n.getTypeFromFile=a;n.getExtension=o;n.normalizeExtension=s;var f=e(7),i=m(f),c=e(27);function m(e){return e&&e.__esModule?e:{default:e}};var r=n.typeChecks=[];function l(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var t=document.createElement('div');t.innerHTML='<a href="'+(0,c.escapeHTML)(e)+'">x</a>';return t.firstChild.href};function u(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:'';return e&&!t?a(e):t};function d(e){if(typeof e!=='string'){throw new Error('`type` argument must be a string')};return e&&e.indexOf(';')>-1?e.substr(0,e.indexOf(';')):e};function a(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};for(var i=0,u=r.length;i<u;i++){var a=r[i](e);if(a){return a}};var l=o(e),t=s(l),n='video/mp4';if(t){if(~['mp4','m4v','ogg','ogv','webm','flv','mpeg','mov'].indexOf(t)){n='video/'+t}
else if(~['mp3','oga','wav','mid','midi'].indexOf(t)){n='audio/'+t}};return n};function o(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var n=e.split('?')[0],t=n.split('\\').pop().split('/').pop();return~t.indexOf('.')?t.substring(t.lastIndexOf('.')+1):''};function s(e){if(typeof e!=='string'){throw new Error('`extension` argument must be a string')};switch(e){case'mp4':case'm4v':return'mp4';case'webm':case'webma':case'webmv':return'webm';case'ogg':case'oga':case'ogv':return'ogg';default:return e}};i.default.Utils=i.default.Utils||{};i.default.Utils.typeChecks=r;i.default.Utils.absolutizeUrl=l;i.default.Utils.formatType=u;i.default.Utils.getMimeFromType=d;i.default.Utils.getTypeFromFile=a;i.default.Utils.getExtension=o;i.default.Utils.normalizeExtension=s},{'27':27,'7':7}],29:[function(e,t,n){'use strict';var a=e(2),o=i(a),s=e(4),l=i(s);function i(e){return e&&e.__esModule?e:{default:e}}(function(e){e.forEach(function(e){if(e.hasOwnProperty('remove')){return};Object.defineProperty(e,'remove',{configurable:!0,enumerable:!0,writable:!0,value:function(){this.parentNode.removeChild(this)}})})})([Element.prototype,CharacterData.prototype,DocumentType.prototype]);(function(){if(typeof window.CustomEvent==='function'){return!1};function e(e,t){t=t||{bubbles:!1,cancelable:!1,detail:undefined};var n=o.default.createEvent('CustomEvent');n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail);return n};e.prototype=window.Event.prototype;window.CustomEvent=e})();if(typeof Object.assign!=='function'){Object.assign=function(e){if(e===null||e===undefined){throw new TypeError('Cannot convert undefined or null to object')};var r=Object(e);for(var i=1,a=arguments.length;i<a;i++){var t=arguments[i];if(t!==null){for(var n in t){if(Object.prototype.hasOwnProperty.call(t,n)){r[n]=t[n]}}}};return r}};if(!String.prototype.startsWith){String.prototype.startsWith=function(e,t){t=t||0;return this.substr(t,e.length)===e}};if(!Element.prototype.matches){Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){var n=(this.document||this.ownerDocument).querySelectorAll(e),t=n.length-1;while(--t>=0&&n.item(t)!==this){};return t>-1}};if(window.Element&&!Element.prototype.closest){Element.prototype.closest=function(e){var i=(this.document||this.ownerDocument).querySelectorAll(e),t=void 0,n=this;do{t=i.length;while(--t>=0&&i.item(t)!==n){}}
while(t<0&&(n=n.parentElement));return n}}(function(){var n=0,t=['ms','moz','webkit','o'];for(var e=0;e<t.length&&!window.requestAnimationFrame;++e){window.requestAnimationFrame=window[t[e]+'RequestAnimationFrame'];window.cancelAnimationFrame=window[t[e]+'CancelAnimationFrame']||window[t[e]+'CancelRequestAnimationFrame']};if(!window.requestAnimationFrame)window.requestAnimationFrame=function(e){var t=new Date().getTime(),i=Math.max(0,16-(t-n)),r=window.setTimeout(function(){e(t+i)},i);n=t+i;return r};if(!window.cancelAnimationFrame)window.cancelAnimationFrame=function(e){clearTimeout(e)}})();if(/firefox/i.test(navigator.userAgent)){var r=window.getComputedStyle;window.getComputedStyle=function(e,t){var n=r(e,t);return n===null?{getPropertyValue:function(){}}:n}};if(!window.Promise){window.Promise=l.default}(function(e){if(e&&e.prototype&&e.prototype.children===null){Object.defineProperty(e.prototype,'children',{get:function(){var n=0,e=void 0,i=this.childNodes,t=[];while(e=i[n++]){if(e.nodeType===1){t.push(e)}};return t}})}})(window.Node||window.Element)},{'2':2,'4':4}],30:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.isDropFrame=r;n.secondsToTimeCode=a;n.timeCodeToSeconds=o;n.calculateTimeFormat=s;n.convertSMPTEtoSeconds=l;var u=e(7),i=d(u);function d(e){return e&&e.__esModule?e:{default:e}};function r(){var e=arguments.length>0&&arguments[0]!==undefined?arguments[0]:25;return!(e%1===0)};function a(e){var T=arguments.length>1&&arguments[1]!==undefined?arguments[1]:!1,v=arguments.length>2&&arguments[2]!==undefined?arguments[2]:!1,s=arguments.length>3&&arguments[3]!==undefined?arguments[3]:25,x=arguments.length>4&&arguments[4]!==undefined?arguments[4]:0,k=arguments.length>5&&arguments[5]!==undefined?arguments[5]:'mm:ss';e=!e||typeof e!=='number'||e<0?0:e;var f=Math.round(s*0.066666),g=Math.round(s),E=Math.round(s*3600)*24,b=Math.round(s*600),S=r(s)?';':':',i=void 0,a=void 0,n=void 0,o=void 0,t=Math.round(e*s);if(r(s)){if(t<0){t=E+t};t=t%E;var C=Math.floor(t/b),y=t%b;t=t+f*9*C;if(y>f){t=t+f*Math.floor((y-f)/Math.round(g*60-f))};var h=Math.floor(t/g);i=Math.floor(Math.floor(h/60)/60);a=Math.floor(h/60)%60;if(v){n=h%60}
else{n=(t/g%60).toFixed(x)}}
else{i=Math.floor(e/3600)%24;a=Math.floor(e/60)%60;if(v){n=Math.floor(e%60)}
else{n=(e%60).toFixed(x)}};i=i<=0?0:i;a=a<=0?0:a;n=n<=0?0:n;var u=k.split(':'),d={};for(var l=0,P=u.length;l<P;++l){var p='';for(var m=0,w=u[l].length;m<w;m++){if(p.indexOf(u[l][m])<0){p+=u[l][m]}};if(~['f','s','m','h'].indexOf(p)){d[p]=u[l].length}};var c=T||i>0?(i<10&&d.h>1?'0'+i:i)+':':'';c+=(a<10&&d.m>1?'0'+a:a)+':';c+=''+(n<10&&d.s>1?'0'+n:n);if(v){o=(t%g).toFixed(0);o=o<=0?0:o;c+=o<10&&d.f?S+'0'+o:''+S+o};return c};function o(e){var o=arguments.length>1&&arguments[1]!==undefined?arguments[1]:25;if(typeof e!=='string'){throw new TypeError('Time must be a string')};if(e.indexOf(';')>0){e=e.replace(';',':')};if(!/\d{2}(\:\d{2}){0,3}/i.test(e)){throw new TypeError('Time code must have the format `00:00:00`')};var t=e.split(':'),s=void 0,a=0,n=0,i=0,l=0,u=0,m=Math.round(o*0.066666),d=Math.round(o),f=d*3600,c=d*60;switch(t.length){default:case 1:i=parseInt(t[0],10);break;case 2:n=parseInt(t[0],10);i=parseInt(t[1],10);break;case 3:a=parseInt(t[0],10);n=parseInt(t[1],10);i=parseInt(t[2],10);break;case 4:a=parseInt(t[0],10);n=parseInt(t[1],10);i=parseInt(t[2],10);l=parseInt(t[3],10);break};if(r(o)){u=60*a+n;s=f*a+c*n+d*i+l-m*(u-Math.floor(u/10))}
else{s=(f*a+c*n+o*i+l)/o};return parseFloat(s.toFixed(3))};function s(e,t){var v=arguments.length>2&&arguments[2]!==undefined?arguments[2]:25;e=!e||typeof e!=='number'||e<0?0:e;var c=Math.floor(e/3600)%24,m=Math.floor(e/60)%60,p=Math.floor(e%60),g=Math.floor((e%1*v).toFixed(3)),r=[[g,'f'],[p,'s'],[m,'m'],[c,'h']],n=t.timeFormat,o=n[1]===n[0],u=o?2:1,h=n.length<u?n[u]:':',d=n[0],f=!1;for(var i=0,l=r.length;i<l;i++){if(~n.indexOf(r[i][1])){f=!0}
else if(f){var s=!1;for(var a=i;a<l;a++){if(r[a][0]>0){s=!0;break}};if(!s){break};if(!o){n=d+n};n=r[i][1]+h+n;if(o){n=r[i][1]+n};d=r[i][1]}};t.timeFormat=n};function l(e){if(typeof e!=='string'){throw new TypeError('Argument must be a string value')};e=e.replace(',','.');var a=~e.indexOf('.')?e.split('.')[1].length:0,i=0,n=1;e=e.split(':').reverse();for(var t=0,r=e.length;t<r;t++){n=1;if(t>0){n=Math.pow(60,t)};i+=Number(e[t])*n};return Number(i.toFixed(a))};i.default.Utils=i.default.Utils||{};i.default.Utils.secondsToTimeCode=a;i.default.Utils.timeCodeToSeconds=o;i.default.Utils.calculateTimeFormat=s;i.default.Utils.convertSMPTEtoSeconds=l},{'7':7}]},{},[29,6,5,15,23,20,19,21,22,24,16,18,17,9,10,11,12,13,14]);