/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
(function e(t,n,r){function i(a,u){if(!n[a]){if(!t[a]){var d=typeof require=='function'&&require;if(!u&&d)return d(a,!0);if(s)return s(a,!0);var l=new Error('Cannot find module \''+a+'\'');throw l.code='MODULE_NOT_FOUND',l};var o=n[a]={exports:{}};t[a][0].call(o.exports,function(e){var n=t[a][1][e];return i(n?n:e)},o,o.exports,e,t,n,r)};return n[a].exports};var s=typeof require=='function'&&require;for(var a=0;a<r.length;a++)i(r[a]);return i})({1:[function(e,t,n){},{}],2:[function(e,t,n){(function(n){var a=typeof n!=='undefined'?n:typeof window!=='undefined'?window:{};var i=e(1),r;if(typeof document!=='undefined'){r=document}
else{r=a['__GLOBAL_DOCUMENT_CACHE@4'];if(!r){r=a['__GLOBAL_DOCUMENT_CACHE@4']=i}};t.exports=r}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{'1':1}],3:[function(e,t,n){(function(e){var n;if(typeof window!=='undefined'){n=window}
else if(typeof e!=='undefined'){n=e}
else if(typeof self!=='undefined'){n=self}
else{n={}};t.exports=n}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{}],4:[function(e,t,n){(function(e){var o=setTimeout;function l(){};function d(e,t){return function(){e.apply(t,arguments)}};function n(e){if(typeof this!=='object')throw new TypeError('Promises must be constructed via new');if(typeof e!=='function')throw new TypeError('not a function');this._state=0;this._handled=!1;this._value=undefined;this._deferreds=[];u(e,this)};function s(e,t){while(e._state===3){e=e._value};if(e._state===0){e._deferreds.push(t);return};e._handled=!0;n._immediateFn(function(){var s=e._state===1?t.onFulfilled:t.onRejected;if(s===null){(e._state===1?a:r)(t.promise,e._value);return};var i;try{i=s(e._value)}catch(n){r(t.promise,n);return};a(t.promise,i)})};function a(e,t){try{if(t===e)throw new TypeError('A promise cannot be resolved with itself.');if(t&&(typeof t==='object'||typeof t==='function')){var s=t.then;if(t instanceof n){e._state=3;e._value=t;i(e);return}
else if(typeof s==='function'){u(d(s,t),e);return}};e._state=1;e._value=t;i(e)}catch(a){r(e,a)}};function r(e,t){e._state=2;e._value=t;i(e)};function i(e){if(e._state===2&&e._deferreds.length===0){n._immediateFn(function(){if(!e._handled){n._unhandledRejectionFn(e._value)}})};for(var t=0,r=e._deferreds.length;t<r;t++){s(e,e._deferreds[t])};e._deferreds=null};function f(e,t,n){this.onFulfilled=typeof e==='function'?e:null;this.onRejected=typeof t==='function'?t:null;this.promise=n};function u(e,t){var i=!1;try{e(function(e){if(i)return;i=!0;a(t,e)},function(e){if(i)return;i=!0;r(t,e)})}catch(n){if(i)return;i=!0;r(t,n)}};n.prototype['catch']=function(e){return this.then(null,e)};n.prototype.then=function(e,t){var n=new(this.constructor)(l);s(this,new f(e,t,n));return n};n.all=function(e){var t=Array.prototype.slice.call(e);return new n(function(e,n){if(t.length===0)return e([]);var i=t.length;function a(r,s){try{if(s&&(typeof s==='object'||typeof s==='function')){var o=s.then;if(typeof o==='function'){o.call(s,function(e){a(r,e)},n);return}};t[r]=s;if(--i===0){e(t)}}catch(u){n(u)}};for(var r=0;r<t.length;r++){a(r,t[r])}})};n.resolve=function(e){if(e&&typeof e==='object'&&e.constructor===n){return e};return new n(function(t){t(e)})};n.reject=function(e){return new n(function(t,n){n(e)})};n.race=function(e){return new n(function(t,n){for(var r=0,a=e.length;r<a;r++){e[r].then(t,n)}})};n._immediateFn=(typeof setImmediate==='function'&&function(e){setImmediate(e)})||function(e){o(e,0)};n._unhandledRejectionFn=function(e){if(typeof console!=='undefined'&&console){console.warn('Possible Unhandled Promise Rejection:',e)}};n._setImmediateFn=function(e){n._immediateFn=e};n._setUnhandledRejectionFn=function(e){n._unhandledRejectionFn=e};if(typeof t!=='undefined'&&t.exports){t.exports=n}
else if(!e.Promise){e.Promise=n}})(this)},{}],5:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var a=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},o=e(7),i=l(o),s=e(9),u=e(18);function l(e){return e&&e.__esModule?e:{default:e}};var r={lang:'en',en:s.EN};r.language=function(){for(var n=arguments.length,e=Array(n),t=0;t<n;t++){e[t]=arguments[t]};if(e!==null&&e!==undefined&&e.length){if(typeof e[0]!=='string'){throw new TypeError('Language code must be a string value')};if(!/^(([a-z]{2}((\-|_)[a-z]{2})?)|([a-z]{3}))$/i.test(e[0])){throw new TypeError('Language code must have format `xx`, `xxx`, `xx_XX` or `xx-xx`')};r.lang=e[0];if(r[e[0]]===undefined){e[1]=e[1]!==null&&e[1]!==undefined&&a(e[1])==='object'?e[1]:{};r[e[0]]=!(0,u.isObjectEmpty)(e[1])?e[1]:s.EN}
else if(e[1]!==null&&e[1]!==undefined&&a(e[1])==='object'){r[e[0]]=e[1]}};return r.lang};r.t=function(e){var n=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;if(typeof e==='string'&&e.length){var t=void 0,i=void 0,s=r.language(),o=function(e,t,n){if((typeof e==='undefined'?'undefined':a(e))!=='object'||typeof t!=='number'||typeof n!=='number'){return e};var r=function(){return[function(){return arguments.length<=1?undefined:arguments[1]},function(){return(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){return(arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])!==0){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1||(arguments.length<=0?undefined:arguments[0])===11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2||(arguments.length<=0?undefined:arguments[0])===12){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>0&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])>=2&&(arguments.length<=0?undefined:arguments[0])<=4){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%100===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100===3||(arguments.length<=0?undefined:arguments[0])%100===4){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=1?undefined:arguments[1]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<7){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])>6&&(arguments.length<=0?undefined:arguments[0])<11){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=5?undefined:arguments[5]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100>=3&&(arguments.length<=0?undefined:arguments[0])%100<=10){return arguments.length<=4?undefined:arguments[4]}
else if((arguments.length<=0?undefined:arguments[0])%100>=11){return arguments.length<=5?undefined:arguments[5]}
else{return arguments.length<=6?undefined:arguments[6]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>1&&(arguments.length<=0?undefined:arguments[0])%100<11){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100>10&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10===2){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){return(arguments.length<=0?undefined:arguments[0])!==11&&(arguments.length<=0?undefined:arguments[0])%10===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])!==8&&(arguments.length<=0?undefined:arguments[0])!==11){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){return(arguments.length<=0?undefined:arguments[0])===0?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===3){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}}]}();return r[n].apply(null,[t].concat(e))};if(r[s]!==undefined){t=r[s][e];if(n!==null&&typeof n==='number'){i=r[s]['mejs.plural-form'];t=o.apply(null,[t,n,i])}};if(!t&&r.en){t=r.en[e];if(n!==null&&typeof n==='number'){i=r.en['mejs.plural-form'];t=o.apply(null,[t,n,i])}};t=t||e;if(n!==null&&typeof n==='number'){t=t.replace('%1',n)};return(0,u.escapeHTML)(t)};return e};i.default.i18n=r;if(typeof mejsL10n!=='undefined'){i.default.i18n.language(mejsL10n.language,mejsL10n.strings)};n.default=r},{'18':18,'7':7,'9':9}],6:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var f=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},m=e(3),a=o(m),c=e(2),l=o(c),p=e(7),i=o(p),d=e(18),r=e(19),u=e(8),g=e(16);function o(e){return e&&e.__esModule?e:{default:e}};function h(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var s=function v(e,n,s){var V=this;h(this,v);var t=this;s=Array.isArray(s)?s:null;t.defaults={renderers:[],fakeNodeName:'mediaelementwrapper',pluginPath:'build/',shimScriptAccess:'sameDomain'};n=Object.assign(t.defaults,n);t.mediaElement=l.default.createElement(n.fakeNodeName);var m=e,w=!1;if(typeof e==='string'){t.mediaElement.originalNode=l.default.getElementById(e)}
else{t.mediaElement.originalNode=e;m=e.id};if(t.mediaElement.originalNode===undefined||t.mediaElement.originalNode===null){return null};t.mediaElement.options=n;m=m||'mejs_'+Math.random().toString().slice(2);t.mediaElement.originalNode.setAttribute('id',m+'_from_mejs');var D=t.mediaElement.originalNode.tagName.toLowerCase();if(['video','audio'].indexOf(D)>-1&&!t.mediaElement.originalNode.getAttribute('preload')){t.mediaElement.originalNode.setAttribute('preload','none')};t.mediaElement.originalNode.parentNode.insertBefore(t.mediaElement,t.mediaElement.originalNode);t.mediaElement.appendChild(t.mediaElement.originalNode);var I=function(e,n){if(a.default.location.protocol==='https:'&&e.indexOf('http:')===0&&g.IS_IOS&&i.default.html5media.mediaTypes.indexOf(n)>-1){var r=new XMLHttpRequest();r.onreadystatechange=function(){if(this.readyState===4&&this.status===200){var r=a.default.URL||a.default.webkitURL,n=r.createObjectURL(this.response);t.mediaElement.originalNode.setAttribute('src',n);return n};return e};r.open('GET',e);r.responseType='blob';r.send()};return e},o=void 0;if(s!==null){o=s}
else if(t.mediaElement.originalNode!==null){o=[];switch(t.mediaElement.originalNode.nodeName.toLowerCase()){case'iframe':o.push({type:'',src:t.mediaElement.originalNode.getAttribute('src')});break;case'audio':case'video':var R=t.mediaElement.originalNode.children.length,b=t.mediaElement.originalNode.getAttribute('src');if(b){var M=t.mediaElement.originalNode,L=(0,r.formatType)(b,M.getAttribute('type'));o.push({type:L,src:I(b,L)})};for(var E=0;E<R;E++){var y=t.mediaElement.originalNode.children[E];if(y.tagName.toLowerCase()==='source'){var P=y.getAttribute('src'),x=(0,r.formatType)(P,y.getAttribute('type'));o.push({type:x,src:I(P,x)})}};break}};t.mediaElement.id=m;t.mediaElement.renderers={};t.mediaElement.events={};t.mediaElement.promises=[];t.mediaElement.renderer=null;t.mediaElement.rendererName=null;t.mediaElement.changeRenderer=function(e,t){var n=V,l=Object.keys(t[0]).length>2?t[0]:t[0].src;if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&n.mediaElement.renderer.name===e){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.show();n.mediaElement.renderer.setSrc(l);return!0};if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.hide()};var r=n.mediaElement.renderers[e],a=null;if(r!==undefined&&r!==null){r.show();r.setSrc(l);n.mediaElement.renderer=r;n.mediaElement.rendererName=e;return!0};var o=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:u.renderer.order;for(var i=0,m=o.length;i<m;i++){var s=o[i];if(s===e){var f=u.renderer.renderers;a=f[s];var d=Object.assign(a.options,n.mediaElement.options);r=a.create(n.mediaElement,d,t);r.name=e;n.mediaElement.renderers[a.name]=r;n.mediaElement.renderer=r;n.mediaElement.rendererName=e;r.show();return!0}};return!1};t.mediaElement.setSize=function(e,n){if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null){t.mediaElement.renderer.setSize(e,n)}};t.mediaElement.generateError=function(e,n){e=e||'';n=Array.isArray(n)?n:[];var r=(0,d.createEvent)('error',t.mediaElement);r.message=e;r.urls=n;t.mediaElement.dispatchEvent(r);w=!0};var S=i.default.html5media.properties,j=i.default.html5media.methods,N=function(e,t,n,r){var a=e[t],i=function(){return n.apply(e,[a])},s=function(t){a=r.apply(e,[t]);return a};Object.defineProperty(e,t,{get:i,set:s})},k=function(e){if(e!=='src'){var n=''+e.substring(0,1).toUpperCase()+e.substring(1),r=function(){return t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer['get'+n]==='function'?t.mediaElement.renderer['get'+n]():null},a=function(e){if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer['set'+n]==='function'){t.mediaElement.renderer['set'+n](e)}};N(t.mediaElement,e,r,a);t.mediaElement['get'+n]=r;t.mediaElement['set'+n]=a}},A=function(){return t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null?t.mediaElement.renderer.getSrc():null},F=function(e){var n=[];if(typeof e==='string'){n.push({src:e,type:e?(0,r.getTypeFromFile)(e):''})}
else if((typeof e==='undefined'?'undefined':f(e))==='object'&&e.src!==undefined){var l=(0,r.absolutizeUrl)(e.src),s=e.type,h=Object.assign(e,{src:l,type:(s===''||s===null||s===undefined)&&l?(0,r.getTypeFromFile)(l):s});n.push(h)}
else if(Array.isArray(e)){for(var a=0,g=e.length;a<g;a++){var o=(0,r.absolutizeUrl)(e[a].src),i=e[a].type,p=Object.assign(e[a],{src:o,type:(i===''||i===null||i===undefined)&&o?(0,r.getTypeFromFile)(o):i});n.push(p)}};var m=u.renderer.select(n,t.mediaElement.options.renderers.length?t.mediaElement.options.renderers:[]),c=void 0;if(!t.mediaElement.paused){t.mediaElement.pause();c=(0,d.createEvent)('pause',t.mediaElement);t.mediaElement.dispatchEvent(c)};t.mediaElement.originalNode.src=n[0].src||'';if(m===null&&n[0].src){t.mediaElement.generateError('No renderer found',n);return};return n[0].src?t.mediaElement.changeRenderer(m.rendererName,n):null},T=function(e,n){try{if(e==='play'&&t.mediaElement.rendererName==='native_dash'){var a=t.mediaElement.renderer[e](n);if(a&&typeof a.then==='function'){a.catch(function(){if(t.mediaElement.paused){setTimeout(function(){var e=t.mediaElement.renderer.play();if(e!==undefined){e.catch(function(){if(!t.mediaElement.renderer.paused){t.mediaElement.renderer.pause()}})}},150)}})}}
else{t.mediaElement.renderer[e](n)}}catch(r){t.mediaElement.generateError(r,o)}},U=function(e){t.mediaElement[e]=function(){for(var a=arguments.length,r=Array(a),n=0;n<a;n++){r[n]=arguments[n]};if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer[e]==='function'){if(t.mediaElement.promises.length){Promise.all(t.mediaElement.promises).then(function(){T(e,r)}).catch(function(e){t.mediaElement.generateError(e,o)})}
else{T(e,r)}};return null}};N(t.mediaElement,'src',A,F);t.mediaElement.getSrc=A;t.mediaElement.setSrc=F;for(var p=0,O=S.length;p<O;p++){k(S[p])};for(var c=0,C=j.length;c<C;c++){U(j[c])};t.mediaElement.addEventListener=function(e,n){t.mediaElement.events[e]=t.mediaElement.events[e]||[];t.mediaElement.events[e].push(n)};t.mediaElement.removeEventListener=function(e,n){if(!e){t.mediaElement.events={};return!0};var a=t.mediaElement.events[e];if(!a){return!0};if(!n){t.mediaElement.events[e]=[];return!0};for(var r=0;r<a.length;r++){if(a[r]===n){t.mediaElement.events[e].splice(r,1);return!0}};return!1};t.mediaElement.dispatchEvent=function(e){var r=t.mediaElement.events[e.type];if(r){for(var n=0;n<r.length;n++){r[n].apply(null,[e])}}};if(o.length){t.mediaElement.src=o};if(t.mediaElement.promises.length){Promise.all(t.mediaElement.promises).then(function(){if(t.mediaElement.options.success){t.mediaElement.options.success(t.mediaElement,t.mediaElement.originalNode)}}).catch(function(){if(w&&t.mediaElement.options.error){t.mediaElement.options.error(t.mediaElement,t.mediaElement.originalNode)}})}
else{if(t.mediaElement.options.success){t.mediaElement.options.success(t.mediaElement,t.mediaElement.originalNode)};if(w&&t.mediaElement.options.error){t.mediaElement.options.error(t.mediaElement,t.mediaElement.originalNode)}};return t.mediaElement};a.default.MediaElement=s;i.default.MediaElement=s;n.default=s},{'16':16,'18':18,'19':19,'2':2,'3':3,'7':7,'8':8}],7:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var a=e(3),i=s(a);function s(e){return e&&e.__esModule?e:{default:e}};var r={};r.version='4.2.6';r.html5media={properties:['volume','src','currentTime','muted','duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable','currentSrc','preload','bufferedBytes','bufferedTime','initialTime','startOffsetTime','defaultPlaybackRate','playbackRate','played','autoplay','loop','controls'],readOnlyProperties:['duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable'],methods:['load','play','pause','canPlayType'],events:['loadstart','durationchange','loadedmetadata','loadeddata','progress','canplay','canplaythrough','suspend','abort','error','emptied','stalled','play','playing','pause','waiting','seeking','seeked','timeupdate','ended','ratechange','volumechange'],mediaTypes:['audio/mp3','audio/ogg','audio/oga','audio/wav','audio/x-wav','audio/wave','audio/x-pn-wav','audio/mpeg','audio/mp4','video/mp4','video/webm','video/ogg','video/ogv']};i.default.mejs=r;n.default=r},{'3':3}],8:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.renderer=undefined;var i=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},s=function(){function e(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1;n.configurable=!0;if('value' in n)n.writable=!0;Object.defineProperty(e,n.key,n)}};return function(t,n,r){if(n)e(t.prototype,n);if(r)e(t,r);return t}}(),u=e(7),o=l(u);function l(e){return e&&e.__esModule?e:{default:e}};function d(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var r=function(){function e(){d(this,e);this.renderers={};this.order=[]};s(e,[{key:'add',value:function(e){if(e.name===undefined){throw new TypeError('renderer must contain at least `name` property')};this.renderers[e.name]=e;this.order.push(e.name)}},{key:'select',value:function(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:[],d=t.length;t=t.length?t:this.order;if(!d){var i=[/^(html5|native)/i,/^flash/i,/iframe$/i],s=function(e){for(var t=0,n=i.length;t<n;t++){if(i[t].test(e)){return t}};return i.length};t.sort(function(e,t){return s(e)-s(t)})};for(var a=0,l=t.length;a<l;a++){var o=t[a],r=this.renderers[o];if(r!==null&&r!==undefined){for(var n=0,u=e.length;n<u;n++){if(typeof r.canPlayType==='function'&&typeof e[n].type==='string'&&r.canPlayType(e[n].type)){return{rendererName:r.name,src:e[n].src}}}}};return null}},{key:'order',set:function(e){if(!Array.isArray(e)){throw new TypeError('order must be an array of strings.')};this._order=e},get:function(){return this._order}},{key:'renderers',set:function(e){if(e!==null&&(typeof e==='undefined'?'undefined':i(e))!=='object'){throw new TypeError('renderers must be an array of objects.')};this._renderers=e},get:function(){return this._renderers}}]);return e}(),a=n.renderer=new r();o.default.Renderers=a},{'7':7}],9:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var r=n.EN={'mejs.plural-form':1,'mejs.download-file':'Download File','mejs.install-flash':'You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/','mejs.fullscreen':'Fullscreen','mejs.play':'Play','mejs.pause':'Pause','mejs.time-slider':'Time Slider','mejs.time-help-text':'Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.','mejs.live-broadcast':'Live Broadcast','mejs.volume-help-text':'Use Up/Down Arrow keys to increase or decrease volume.','mejs.unmute':'Unmute','mejs.mute':'Mute','mejs.volume-slider':'Volume Slider','mejs.video-player':'Video Player','mejs.audio-player':'Audio Player','mejs.captions-subtitles':'Captions/Subtitles','mejs.captions-chapters':'Chapters','mejs.none':'None','mejs.afrikaans':'Afrikaans','mejs.albanian':'Albanian','mejs.arabic':'Arabic','mejs.belarusian':'Belarusian','mejs.bulgarian':'Bulgarian','mejs.catalan':'Catalan','mejs.chinese':'Chinese','mejs.chinese-simplified':'Chinese (Simplified)','mejs.chinese-traditional':'Chinese (Traditional)','mejs.croatian':'Croatian','mejs.czech':'Czech','mejs.danish':'Danish','mejs.dutch':'Dutch','mejs.english':'English','mejs.estonian':'Estonian','mejs.filipino':'Filipino','mejs.finnish':'Finnish','mejs.french':'French','mejs.galician':'Galician','mejs.german':'German','mejs.greek':'Greek','mejs.haitian-creole':'Haitian Creole','mejs.hebrew':'Hebrew','mejs.hindi':'Hindi','mejs.hungarian':'Hungarian','mejs.icelandic':'Icelandic','mejs.indonesian':'Indonesian','mejs.irish':'Irish','mejs.italian':'Italian','mejs.japanese':'Japanese','mejs.korean':'Korean','mejs.latvian':'Latvian','mejs.lithuanian':'Lithuanian','mejs.macedonian':'Macedonian','mejs.malay':'Malay','mejs.maltese':'Maltese','mejs.norwegian':'Norwegian','mejs.persian':'Persian','mejs.polish':'Polish','mejs.portuguese':'Portuguese','mejs.romanian':'Romanian','mejs.russian':'Russian','mejs.serbian':'Serbian','mejs.slovak':'Slovak','mejs.slovenian':'Slovenian','mejs.spanish':'Spanish','mejs.swahili':'Swahili','mejs.swedish':'Swedish','mejs.tagalog':'Tagalog','mejs.thai':'Thai','mejs.turkish':'Turkish','mejs.ukrainian':'Ukrainian','mejs.vietnamese':'Vietnamese','mejs.welsh':'Welsh','mejs.yiddish':'Yiddish'}},{}],10:[function(e,t,n){'use strict';var i=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),u=l(f),m=e(7),s=l(m),o=e(8),a=e(18),c=e(19),p=e(16),g=e(17);function l(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof dashjs!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdn.dashjs.org/latest/dash.all.min.js';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();u.default['__ready__'+e.id](t);return t}};var d={name:'native_dash',options:{prefix:'native_dash',dash:{path:'https://cdn.dashjs.org/latest/dash.all.min.js',debug:!1,drm:{},robustnessLevel:''}},canPlayType:function(e){return p.HAS_MSE&&['application/dash+xml'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,A=f.autoplay,E=f.children,l=null,d=null;f.removeAttribute('type');for(var h=0,N=E.length;h<N;h++){E[h].removeAttribute('type')};l=f.cloneNode(!0);t=Object.assign(t,e.options);var v=s.default.html5media.properties,c=s.default.html5media.events.concat(['click','mouseover','mouseout']),y=function(t){if(t.type!=='error'){var n=(0,a.createEvent)(t.type,e);e.dispatchEvent(n)}},j=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);l['get'+n]=function(){return d!==null?l[e]:null};l['set'+n]=function(n){if(s.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){var o=(typeof n==='undefined'?'undefined':i(n))==='object'&&n.src?n.src:n;l[e]=o;if(d!==null){d.reset();for(var u=0,f=c.length;u<f;u++){l.removeEventListener(c[u],y)};d=r._createPlayer({options:t.dash,id:p});if(n&&(typeof n==='undefined'?'undefined':i(n))==='object'&&i(n.drm)==='object'){d.setProtectionData(n.drm);if((0,a.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(o);if(A){d.play()}}}
else{l[e]=n}}}};for(var g=0,S=v.length;g<S;g++){j(v[g])};u.default['__ready__'+p]=function(n){e.dashPlayer=d=n;var u=dashjs.MediaPlayer.events,p=function(e){if(e==='loadedmetadata'){d.getDebug().setLogToBrowserConsole(t.dash.debug);d.initialize();d.setScheduleWhilePaused(!1);d.setFastSwitchEnabled(!0);d.attachView(l);d.setAutoPlay(!1);if(i(t.dash.drm)==='object'&&!s.default.Utils.isObjectEmpty(t.dash.drm)){d.setProtectionData(t.dash.drm);if((0,a.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(l.getSrc())};l.addEventListener(e,y)};for(var r=0,m=c.length;r<m;r++){p(c[r])};var f=function(t,n){if(t.toLowerCase()==='error'){e.generateError(n.message,l.src);console.error(n)}
else{var r=(0,a.createEvent)(t,e);r.data=n;e.dispatchEvent(r)}};for(var o in u){if(u.hasOwnProperty(o)){d.on(u[o],function(e){for(var n=arguments.length,r=Array(n>1?n-1:0),t=1;t<n;t++){r[t-1]=arguments[t]};return f(e.type,r)})}}};if(n&&n.length>0){for(var m=0,w=n.length;m<w;m++){if(o.renderer.renderers[t.prefix].canPlayType(n[m].type)){l.setAttribute('src',n[m].src);if(typeof n[m].drm!=='undefined'){t.dash.drm=n[m].drm};break}}};l.setAttribute('id',p);f.parentNode.insertBefore(l,f);f.autoplay=!1;f.style.display='none';l.setSize=function(e,t){l.style.width=e+'px';l.style.height=t+'px';return l};l.hide=function(){l.pause();l.style.display='none';return l};l.show=function(){l.style.display='';return l};l.destroy=function(){if(d!==null){d.reset()}};var b=(0,a.createEvent)('rendererready',l);e.dispatchEvent(b);e.promises.push(r.load({options:t.dash,id:p}));return l}};c.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.mpd')?'application/dash+xml':null});o.renderer.add(d)},{'16':16,'17':17,'18':18,'19':19,'3':3,'7':7,'8':8}],11:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.PluginDetector=undefined;var m=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},c=e(3),s=i(c),p=e(2),u=i(p),g=e(7),o=i(g),h=e(5),v=i(h),y=e(8),l=e(18),r=e(16),d=e(19);function i(e){return e&&e.__esModule?e:{default:e}};var a=n.PluginDetector={plugins:[],hasPluginVersion:function(e,t){var n=a.plugins[e];t[1]=t[1]||0;t[2]=t[2]||0;return n[0]>t[0]||n[0]===t[0]&&n[1]>t[1]||n[0]===t[0]&&n[1]===t[1]&&n[2]>=t[2]},addPlugin:function(e,t,n,r,i){a.plugins[e]=a.detectPlugin(t,n,r,i)},detectPlugin:function(e,t,n,u){var i=[0,0,0],l=void 0,d=void 0;if(r.NAV.plugins!==null&&r.NAV.plugins!==undefined&&m(r.NAV.plugins[e])==='object'){l=r.NAV.plugins[e].description;if(l&&!(typeof r.NAV.mimeTypes!=='undefined'&&r.NAV.mimeTypes[t]&&!r.NAV.mimeTypes[t].enabledPlugin)){i=l.replace(e,'').replace(/^\s+/,'').replace(/\sr/gi,'.').split('.');for(var o=0,f=i.length;o<f;o++){i[o]=parseInt(i[o].match(/\d+/),10)}}}
else if(s.default.ActiveXObject!==undefined){try{d=new ActiveXObject(n);if(d){i=u(d)}}catch(a){}};return i}};a.addPlugin('flash','Shockwave Flash','application/x-shockwave-flash','ShockwaveFlash.ShockwaveFlash',function(e){var n=[],t=e.GetVariable('$version');if(t){t=t.split(' ')[1].split(',');n=[parseInt(t[0],10),parseInt(t[1],10),parseInt(t[2],10)]};return n});var E={create:function(e,t,a){var n={};var S=!1;n.options=t;n.id=e.id+'_'+n.options.prefix;n.mediaElement=e;n.flashState={};n.flashApi=null;n.flashApiStack=[];var A=o.default.html5media.properties,O=function(e){n.flashState[e]=null;var t=''+e.substring(0,1).toUpperCase()+e.substring(1);n['get'+t]=function(){if(n.flashApi!==null){if(typeof n.flashApi['get_'+e]==='function'){var t=n.flashApi['get_'+e]();if(e==='buffered'){return{start:function(){return 0},end:function(){return t},length:1}};return t}
else{return null}}
else{return null}};n['set'+t]=function(t){if(e==='src'){t=(0,d.absolutizeUrl)(t)};if(n.flashApi!==null&&n.flashApi['set_'+e]!==undefined){try{n.flashApi['set_'+e](t)}catch(r){}}
else{n.flashApiStack.push({type:'set',propName:e,value:t})}}};for(var w=0,C=A.length;w<C;w++){O(A[w])};var b=o.default.html5media.methods,I=function(e){n[e]=function(){if(S){if(n.flashApi!==null){if(n.flashApi['fire_'+e]){try{n.flashApi['fire_'+e]()}catch(t){}}
else{}}
else{n.flashApiStack.push({type:'call',methodName:e})}}}};b.push('stop');for(var E=0,L=b.length;E<L;E++){I(b[E])};var N=['rendererready'];for(var h=0,x=N.length;h<x;h++){var P=(0,l.createEvent)(N[h],n);e.dispatchEvent(P)};s.default['__ready__'+n.id]=function(){n.flashReady=!0;n.flashApi=u.default.getElementById('__'+n.id);if(n.flashApiStack.length){for(var t=0,i=n.flashApiStack.length;t<i;t++){var e=n.flashApiStack[t];if(e.type==='set'){var r=e.propName,a=''+r.substring(0,1).toUpperCase()+r.substring(1);n['set'+a](e.value)}
else if(e.type==='call'){n[e.methodName]()}}}};s.default['__event__'+n.id]=function(e,t){var a=(0,l.createEvent)(e,n);if(t){try{a.data=JSON.parse(t);a.details.data=JSON.parse(t)}catch(r){a.message=t}};n.mediaElement.dispatchEvent(a)};n.flashWrapper=u.default.createElement('div');if(['always','sameDomain'].indexOf(n.options.shimScriptAccess)===-1){n.options.shimScriptAccess='sameDomain'};var T=e.originalNode.autoplay,f=['uid='+n.id,'autoplay='+T,'allowScriptAccess='+n.options.shimScriptAccess,'preload='+(e.originalNode.getAttribute('preload')||'')],m=e.originalNode!==null&&e.originalNode.tagName.toLowerCase()==='video',p=m?e.originalNode.height:1,g=m?e.originalNode.width:1;if(e.originalNode.getAttribute('src')){f.push('src='+e.originalNode.getAttribute('src'))};if(n.options.enablePseudoStreaming===!0){f.push('pseudostreamstart='+n.options.pseudoStreamingStartQueryParam);f.push('pseudostreamtype='+n.options.pseudoStreamingType)};if(n.options.streamDelimiter){f.push('streamdelimiter='+encodeURIComponent(n.options.streamDelimiter))};if(n.options.proxyType){f.push('proxytype='+n.options.proxyType)};e.appendChild(n.flashWrapper);e.originalNode.style.display='none';var i=[];if(r.IS_IE||r.IS_EDGE){var j=u.default.createElement('div');n.flashWrapper.appendChild(j);if(r.IS_EDGE){i=['type="application/x-shockwave-flash"','data="'+n.options.pluginPath+n.options.filename+'"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'\'"']}
else{i=['classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"','codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'"']};if(!m){i.push('style="clip: rect(0 0 0 0); position: absolute;"')};j.outerHTML='<object '+i.join(' ')+'>'+('<param name="movie" value="'+n.options.pluginPath+n.options.filename+'?x='+new Date()+'" />')+('<param name="flashvars" value="'+f.join('&amp;')+'" />')+'<param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" />'+('<param name="allowScriptAccess" value="'+n.options.shimScriptAccess+'" />')+'<param name="allowFullScreen" value="true" />'+('<div>'+v.default.t('mejs.install-flash')+'</div>')+'</object>'}
else{i=['id="__'+n.id+'"','name="__'+n.id+'"','play="true"','loop="false"','quality="high"','bgcolor="#000000"','wmode="transparent"','allowScriptAccess="'+n.options.shimScriptAccess+'"','allowFullScreen="true"','type="application/x-shockwave-flash"','pluginspage="//www.macromedia.com/go/getflashplayer"','src="'+n.options.pluginPath+n.options.filename+'"','flashvars="'+f.join('&')+'"'];if(m){i.push('width="'+g+'"');i.push('height="'+p+'"')}
else{i.push('style="position: fixed; left: -9999em; top: -9999em;"')};n.flashWrapper.innerHTML='<embed '+i.join(' ')+'>'};n.flashNode=n.flashWrapper.lastChild;n.hide=function(){S=!1;if(m){n.flashNode.style.display='none'}};n.show=function(){S=!0;if(m){n.flashNode.style.display=''}};n.setSize=function(e,t){n.flashNode.style.width=e+'px';n.flashNode.style.height=t+'px';if(n.flashApi!==null&&typeof n.flashApi.fire_setSize==='function'){n.flashApi.fire_setSize(e,t)}};n.destroy=function(){n.flashNode.remove()};if(a&&a.length>0){for(var c=0,F=a.length;c<F;c++){if(y.renderer.renderers[t.prefix].canPlayType(a[c].type)){n.setSrc(a[c].src);break}}};return n}};var f=a.hasPluginVersion('flash',[10,0,0]);if(f){d.typeChecks.push(function(e){e=e.toLowerCase();if(e.startsWith('rtmp')){if(~e.indexOf('.mp3')){return'audio/rtmp'}
else{return'video/rtmp'}}
else if(/\.og(a|g)/i.test(e)){return'audio/ogg'}
else if(~e.indexOf('.m3u8')){return'application/x-mpegURL'}
else if(~e.indexOf('.mpd')){return'application/dash+xml'}
else if(~e.indexOf('.flv')){return'video/flv'}
else{return null}})}},{'16':16,'18':18,'19':19,'2':2,'3':3,'5':5,'7':7,'8':8}],12:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),s=o(f),m=e(7),a=o(m),u=e(8),i=e(18),c=e(16),p=e(19),g=e(17);function o(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof flvjs!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.3.3/flv.min.js';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){flvjs.LoggingControl.enableDebug=e.options.debug;flvjs.LoggingControl.enableVerbose=e.options.debug;var t=flvjs.createPlayer(e.options,e.configs);s.default['__ready__'+e.id](t);return t}};var l={name:'native_flv',options:{prefix:'native_flv',flv:{path:'https://cdnjs.cloudflare.com/ajax/libs/flv.js/1.3.3/flv.min.js',cors:!0,debug:!1}},canPlayType:function(e){return c.HAS_MSE&&['video/x-flv','video/flv'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var m=e.originalNode,g=e.id+'_'+t.prefix,o=null,l=null;o=m.cloneNode(!0);t=Object.assign(t,e.options);var v=a.default.html5media.properties,p=a.default.html5media.events.concat(['click','mouseover','mouseout']),y=function(t){if(t.type!=='error'){var n=(0,i.createEvent)(t.type,e);e.dispatchEvent(n)}},j=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);o['get'+n]=function(){return l!==null?o[e]:null};o['set'+n]=function(n){if(a.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){o[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(l!==null){var i={};i.type='flv';i.url=n;i.cors=t.flv.cors;i.debug=t.flv.debug;i.path=t.flv.path;var f=t.flv.configs;l.destroy();for(var s=0,u=p.length;s<u;s++){o.removeEventListener(p[s],y)};l=r._createPlayer({options:i,configs:f,id:g});l.attachMediaElement(o);l.load()}}
else{o[e]=n}}}};for(var h=0,S=v.length;h<S;h++){j(v[h])};s.default['__ready__'+g]=function(t){e.flvPlayer=l=t;var n=flvjs.Events,f=function(e){if(e==='loadedmetadata'){l.unload();l.detachMediaElement();l.attachMediaElement(o);l.load()};o.addEventListener(e,y)};for(var r=0,d=p.length;r<d;r++){f(p[r])};var s=function(t,n){if(t==='error'){var a=n[0]+': '+n[1]+' '+n[2].msg;e.generateError(a,o.src)}
else{var r=(0,i.createEvent)(t,e);r.data=n;e.dispatchEvent(r)}},u=function(e){if(n.hasOwnProperty(e)){l.on(n[e],function(){for(var r=arguments.length,a=Array(r),t=0;t<r;t++){a[t]=arguments[t]};return s(n[e],a)})}};for(var a in n){u(a)}};if(n&&n.length>0){for(var c=0,w=n.length;c<w;c++){if(u.renderer.renderers[t.prefix].canPlayType(n[c].type)){o.setAttribute('src',n[c].src);break}}};o.setAttribute('id',g);m.parentNode.insertBefore(o,m);m.autoplay=!1;m.style.display='none';var f={};f.type='flv';f.url=o.src;f.cors=t.flv.cors;f.debug=t.flv.debug;f.path=t.flv.path;var b=t.flv.configs;o.setSize=function(e,t){o.style.width=e+'px';o.style.height=t+'px';return o};o.hide=function(){if(l!==null){l.pause()};o.style.display='none';return o};o.show=function(){o.style.display='';return o};o.destroy=function(){if(l!==null){l.destroy()}};var E=(0,i.createEvent)('rendererready',o);e.dispatchEvent(E);e.promises.push(r.load({options:f,configs:b,id:g}));return o}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.flv')?'video/flv':null});u.renderer.add(l)},{'16':16,'17':17,'18':18,'19':19,'3':3,'7':7,'8':8}],13:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),s=o(f),m=e(7),a=o(m),u=e(8),i=e(18),c=e(16),p=e(19),g=e(17);function o(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof Hls!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdnjs.cloudflare.com/ajax/libs/hls.js/0.8.4/hls.min.js';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){var t=new Hls(e.options);s.default['__ready__'+e.id](t);return t}};var l={name:'native_hls',options:{prefix:'native_hls',hls:{path:'https://cdnjs.cloudflare.com/ajax/libs/hls.js/0.8.4/hls.min.js',autoStartLoad:!1,debug:!1}},canPlayType:function(e){return c.HAS_MSE&&['application/x-mpegurl','application/vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,h=f.getAttribute('preload'),b=f.autoplay,l=null,o=null,m=0,v=n.length;o=f.cloneNode(!0);t=Object.assign(t,e.options);t.hls.autoStartLoad=h&&h!=='none'||b;var y=a.default.html5media.properties,c=a.default.html5media.events.concat(['click','mouseover','mouseout']),E=function(t){if(t.type!=='error'){var n=(0,i.createEvent)(t.type,e);e.dispatchEvent(n)}},j=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);o['get'+n]=function(){return l!==null?o[e]:null};o['set'+n]=function(n){if(a.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){o[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(l!==null){l.destroy();for(var i=0,s=c.length;i<s;i++){o.removeEventListener(c[i],E)};l=r._createPlayer({options:t.hls,id:p});l.loadSource(n);l.attachMedia(o)}}
else{o[e]=n}}}};for(var g=0,S=y.length;g<S;g++){j(y[g])};s.default['__ready__'+p]=function(t){e.hlsPlayer=l=t;var r=Hls.Events,h=function(t){if(t==='loadedmetadata'){var n=e.originalNode.src;l.detachMedia();l.loadSource(n);l.attachMedia(o)};o.addEventListener(t,E)};for(var u=0,g=c.length;u<g;u++){h(c[u])};var a=void 0,s=void 0,f=function(t,r){if(t==='hlsError'){console.warn(r);r=r[1];if(r.fatal){switch(r.type){case'mediaError':var p=new Date().getTime();if(!a||p-a>3000){a=new Date().getTime();l.recoverMediaError()}
else if(!s||p-s>3000){s=new Date().getTime();console.warn('Attempting to swap Audio Codec and recover from media error');l.swapAudioCodec();l.recoverMediaError()}
else{var c='Cannot recover, last media error recovery failed';e.generateError(c,o.src);console.error(c)};break;case'networkError':if(r.details==='manifestLoadError'){if(m<v&&n[m+1]!==undefined){o.setSrc(n[m++].src);o.load();o.play()}
else{var f='Network error';e.generateError(f,n);console.error(f)}}
else{var d='Network error';e.generateError(d,n);console.error(d)};break;default:l.destroy();break}}}
else{var u=(0,i.createEvent)(t,e);u.data=r;e.dispatchEvent(u)}},p=function(e){if(r.hasOwnProperty(e)){l.on(r[e],function(){for(var n=arguments.length,a=Array(n),t=0;t<n;t++){a[t]=arguments[t]};return f(r[e],a)})}};for(var d in r){p(d)}};if(v>0){for(;m<v;m++){if(u.renderer.renderers[t.prefix].canPlayType(n[m].type)){o.setAttribute('src',n[m].src);break}}};if(h!=='auto'&&!b){o.addEventListener('play',function(){if(l!==null){l.startLoad()}});o.addEventListener('pause',function(){if(l!==null){l.stopLoad()}})};o.setAttribute('id',p);f.parentNode.insertBefore(o,f);f.autoplay=!1;f.style.display='none';o.setSize=function(e,t){o.style.width=e+'px';o.style.height=t+'px';return o};o.hide=function(){o.pause();o.style.display='none';return o};o.show=function(){o.style.display='';return o};o.destroy=function(){if(l!==null){l.stopLoad();l.destroy()}};var w=(0,i.createEvent)('rendererready',o);e.dispatchEvent(w);e.promises.push(r.load({options:t.hls,id:p}));return o}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.m3u8')?'application/x-mpegURL':null});u.renderer.add(l)},{'16':16,'17':17,'18':18,'19':19,'3':3,'7':7,'8':8}],14:[function(e,t,n){'use strict';var d=e(3),f=a(d),m=e(2),s=a(m),c=e(7),r=a(c),u=e(8),o=e(18),l=e(16);function a(e){return e&&e.__esModule?e:{default:e}};var i={name:'html5',options:{prefix:'html5'},canPlayType:function(e){var t=s.default.createElement('video');if(l.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~['application/x-mpegurl','vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())&&l.SUPPORTS_NATIVE_HLS){return'yes'}
else if(t.canPlayType){return t.canPlayType(e.toLowerCase()).replace(/no/,'')}
else{return''}},create:function(e,t,n){var b=e.id+'_'+t.prefix,l=!1,a=null;if(e.originalNode===undefined||e.originalNode===null){a=s.default.createElement('audio');e.appendChild(a)}
else{a=e.originalNode};a.setAttribute('id',b);var p=r.default.html5media.properties,E=function(e){var t=''+e.substring(0,1).toUpperCase()+e.substring(1);a['get'+t]=function(){return a[e]};a['set'+t]=function(t){if(r.default.html5media.readOnlyProperties.indexOf(e)===-1){a[e]=t}}};for(var m=0,y=p.length;m<y;m++){E(p[m])};var c=r.default.html5media.events.concat(['click','mouseover','mouseout']),v=function(t){a.addEventListener(t,function(t){if(l){var n=(0,o.createEvent)(t.type,t.target);e.dispatchEvent(n)}})};for(var f=0,h=c.length;f<h;f++){v(c[f])};a.setSize=function(e,t){a.style.width=e+'px';a.style.height=t+'px';return a};a.hide=function(){l=!1;a.style.display='none';return a};a.show=function(){l=!0;a.style.display='';return a};var i=0,d=n.length;if(d>0){for(;i<d;i++){if(u.renderer.renderers[t.prefix].canPlayType(n[i].type)){a.setAttribute('src',n[i].src);break}}};a.addEventListener('error',function(t){if(t.target.error.code===4&&l){if(i<d&&n[i+1]!==undefined){a.src=n[i++].src;a.load();a.play()}
else{e.generateError('Media error: Format(s) not supported or source(s) not found',n)}}});var g=(0,o.createEvent)('rendererready',a);e.dispatchEvent(g);return a}};f.default.HtmlMediaElement=r.default.HtmlMediaElement=i;u.renderer.add(i)},{'16':16,'18':18,'2':2,'3':3,'7':7,'8':8}],15:[function(e,t,n){'use strict';var l=e(3),s=i(l),d=e(2),f=i(d),m=e(7),u=i(m),c=e(8),a=e(18),p=e(19),g=e(17);function i(e){return e&&e.__esModule?e:{default:e}};var r={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){r.isLoaded=typeof YT!=='undefined'&&YT.loaded;if(r.isLoaded){r.createIframe(e)}
else{r.loadIframeApi();r.iframeQueue.push(e)}},loadIframeApi:function(){if(!r.isIframeStarted){(0,g.loadScript)('https://www.youtube.com/player_api');r.isIframeStarted=!0}},iFrameReady:function(){r.isLoaded=!0;r.isIframeLoaded=!0;while(r.iframeQueue.length>0){var e=r.iframeQueue.pop();r.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t='';if(e.indexOf('?')>0){t=r.getYouTubeIdFromParam(e);if(t===''){t=r.getYouTubeIdFromUrl(e)}}
else{t=r.getYouTubeIdFromUrl(e)};var n=t.substring(t.lastIndexOf('/')+1);t=n.split('?');return t[0]},getYouTubeIdFromParam:function(e){if(e===undefined||e===null||!e.trim().length){return null};var s=e.split('?'),r=s[1].split('&'),a='';for(var t=0,i=r.length;t<i;t++){var n=r[t].split('=');if(n[0]==='v'){a=n[1];break}};return a},getYouTubeIdFromUrl:function(e){if(e===undefined||e===null||!e.trim().length){return null};var t=e.split('?');e=t[0];return e.substring(e.lastIndexOf('/')+1)},getYouTubeNoCookieUrl:function(e){if(e===undefined||e===null||!e.trim().length||e.indexOf('//www.youtube')===-1){return e};var t=e.split('/');t[2]=t[2].replace('.com','-nocookie.com');return t.join('/')}};var o={name:'youtube_iframe',options:{prefix:'youtube_iframe',youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1,imageQuality:null}},canPlayType:function(e){return~['video/youtube','video/x-youtube'].indexOf(e.toLowerCase())},create:function(e,t,i){var n={},p=[],x=4;var o=null,l=!0,d=!1,m=null,E=1;n.options=t;n.id=e.id+'_'+t.prefix;n.mediaElement=e;var w=u.default.html5media.properties,P=function(t){var i=''+t.substring(0,1).toUpperCase()+t.substring(1);n['get'+i]=function(){if(o!==null){var r=null;switch(t){case'currentTime':return o.getCurrentTime();case'duration':return o.getDuration();case'volume':E=o.getVolume()/100;return E;case'paused':return l;case'ended':return d;case'muted':return o.isMuted();case'buffered':var e=o.getVideoLoadedFraction(),n=o.getDuration();return{start:function(){return 0},end:function(){return e*n},length:1};case'src':return o.getVideoUrl();case'readyState':return x};return r}
else{return null}};n['set'+i]=function(i){if(o!==null){switch(t){case'src':var l=typeof i==='string'?i:i[0].src,s=r.getYouTubeId(l);if(e.originalNode.autoplay){o.loadVideoById(s)}
else{o.cueVideoById(s)};break;case'currentTime':o.seekTo(i);break;case'muted':if(i){o.mute()}
else{o.unMute()};setTimeout(function(){var t=(0,a.createEvent)('volumechange',n);e.dispatchEvent(t)},50);break;case'volume':E=i;o.setVolume(i*100);setTimeout(function(){var t=(0,a.createEvent)('volumechange',n);e.dispatchEvent(t)},50);break;case'readyState':var u=(0,a.createEvent)('canplay',n);e.dispatchEvent(u);break;default:break}}
else{p.push({type:'set',propName:t,value:i})}}};for(var y=0,T=w.length;y<T;y++){P(w[y])};var b=u.default.html5media.methods,F=function(e){n[e]=function(){if(o!==null){switch(e){case'play':l=!1;return o.playVideo();case'pause':l=!0;return o.pauseVideo();case'load':return null}}
else{p.push({type:'call',methodName:e})}}};for(var v=0,A=b.length;v<A;v++){F(b[v])};var h=f.default.createElement('div');h.id=n.id;if(n.options.youtube.nocookie){e.originalNode.src=r.getYouTubeNoCookieUrl(i[0].src)};e.originalNode.parentNode.insertBefore(h,e.originalNode);e.originalNode.style.display='none';var g=e.originalNode.tagName.toLowerCase()==='audio',S=g?'1':e.originalNode.height,j=g?'1':e.originalNode.width,N=r.getYouTubeId(i[0].src),c={id:n.id,containerId:h.id,videoId:N,height:S,width:j,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,iv_load_policy:3},n.options.youtube),origin:s.default.location.host,events:{onReady:function(t){e.youTubeApi=o=t.target;e.youTubeState={paused:!0,ended:!1};if(p.length){for(var u=0,E=p.length;u<E;u++){var r=p[u];if(r.type==='set'){var f=r.propName,y=''+f.substring(0,1).toUpperCase()+f.substring(1);n['set'+y](r.value)}
else if(r.type==='call'){n[r.methodName]()}}};m=o.getIframe();if(e.originalNode.muted){o.mute()};var d=['mouseover','mouseout'],v=function(t){var r=(0,a.createEvent)(t.type,n);e.dispatchEvent(r)};for(var s=0,h=d.length;s<h;s++){m.addEventListener(d[s],v,!1)};var l=['rendererready','loadedmetadata','loadeddata','canplay'];for(var i=0,g=l.length;i<g;i++){var c=(0,a.createEvent)(l[i],n);e.dispatchEvent(c)}},onStateChange:function(t){var r=[];switch(t.data){case-1:r=['loadedmetadata'];l=!0;d=!1;break;case 0:r=['ended'];l=!1;d=!n.options.youtube.loop;if(!n.options.youtube.loop){n.stopInterval()};break;case 1:r=['play','playing'];l=!1;d=!1;n.startInterval();break;case 2:r=['pause'];l=!0;d=!1;n.stopInterval();break;case 3:r=['progress'];d=!1;break;case 5:r=['loadeddata','loadedmetadata','canplay'];l=!0;d=!1;break};for(var i=0,u=r.length;i<u;i++){var s=(0,a.createEvent)(r[i],n);e.dispatchEvent(s)}},onError:function(t){var r=(0,a.createEvent)('error',n);r.data=t.data;e.dispatchEvent(r)}}};if(g||e.originalNode.hasAttribute('playsinline')){c.playerVars.playsinline=1};if(e.originalNode.controls){c.playerVars.controls=1};if(e.originalNode.autoplay){c.playerVars.autoplay=1};if(e.originalNode.loop){c.playerVars.loop=1};r.enqueueIframe(c);n.onEvent=function(t,n,r){if(r!==null&&r!==undefined){e.youTubeState=r}};n.setSize=function(e,t){if(o!==null){o.setSize(e,t)}};n.hide=function(){n.stopInterval();n.pause();if(m){m.style.display='none'}};n.show=function(){if(m){m.style.display=''}};n.destroy=function(){o.destroy()};n.interval=null;n.startInterval=function(){n.interval=setInterval(function(){var t=(0,a.createEvent)('timeupdate',n);e.dispatchEvent(t)},250)};n.stopInterval=function(){if(n.interval){clearInterval(n.interval)}};n.getPosterUrl=function(){var n=t.youtube.imageQuality,i=['default','hqdefault','mqdefault','sddefault','maxresdefault'],a=r.getYouTubeId(e.originalNode.src);return n&&i.indexOf(n)>-1&&a?'https://img.youtube.com/vi/'+a+'/'+n+'.jpg':''};return n}};s.default.onYouTubePlayerAPIReady=function(){r.iFrameReady()};p.typeChecks.push(function(e){return(/\/\/(www\.youtube|youtu\.?be)/i.test(e)?'video/x-youtube':null)});c.renderer.add(o)},{'17':17,'18':18,'19':19,'2':2,'3':3,'7':7,'8':8}],16:[function(e,n,t){'use strict';Object.defineProperty(t,'__esModule',{value:!0});t.cancelFullScreen=t.requestFullScreen=t.isFullScreen=t.FULLSCREEN_EVENT_NAME=t.HAS_NATIVE_FULLSCREEN_ENABLED=t.HAS_TRUE_NATIVE_FULLSCREEN=t.HAS_IOS_FULLSCREEN=t.HAS_MS_NATIVE_FULLSCREEN=t.HAS_MOZ_NATIVE_FULLSCREEN=t.HAS_WEBKIT_NATIVE_FULLSCREEN=t.HAS_NATIVE_FULLSCREEN=t.SUPPORTS_NATIVE_HLS=t.SUPPORT_PASSIVE_EVENT=t.SUPPORT_POINTER_EVENTS=t.HAS_MSE=t.IS_STOCK_ANDROID=t.IS_SAFARI=t.IS_FIREFOX=t.IS_CHROME=t.IS_EDGE=t.IS_IE=t.IS_ANDROID=t.IS_IOS=t.IS_IPOD=t.IS_IPHONE=t.IS_IPAD=t.UA=t.NAV=undefined;var X=e(3),s=w(X),G=e(2),a=w(G),Q=e(7),r=w(Q);function w(e){return e&&e.__esModule?e:{default:e}};var b=t.NAV=s.default.navigator,i=t.UA=b.userAgent.toLowerCase(),D=t.IS_IPAD=/ipad/i.test(i)&&!s.default.MSStream,V=t.IS_IPHONE=/iphone/i.test(i)&&!s.default.MSStream,H=t.IS_IPOD=/ipod/i.test(i)&&!s.default.MSStream,K=t.IS_IOS=/ipad|iphone|ipod/i.test(i)&&!s.default.MSStream,j=t.IS_ANDROID=/android/i.test(i),N=t.IS_IE=/(trident|microsoft)/i.test(b.appName),q=t.IS_EDGE='msLaunchUri' in b&&!('documentMode' in a.default),c=t.IS_CHROME=/chrome/i.test(i),z=t.IS_FIREFOX=/firefox/i.test(i),A=t.IS_SAFARI=/safari/i.test(i)&&!c,F=t.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(i),B=t.HAS_MSE='MediaSource' in s.default,Y=t.SUPPORT_POINTER_EVENTS=function(){var e=a.default.createElement('x'),r=a.default.documentElement,t=s.default.getComputedStyle;if(!('pointerEvents' in e.style)){return!1};e.style.pointerEvents='auto';e.style.pointerEvents='x';r.appendChild(e);var n=t&&t(e,'').pointerEvents==='auto';e.remove();return!!n}(),W=t.SUPPORT_PASSIVE_EVENT=function(){var t=!1;try{var n=Object.defineProperty({},'passive',{get:function(){t=!0}});s.default.addEventListener('test',null,n)}catch(e){};return t}(),T=['source','track','audio','video'],d=void 0;for(var E=0,R=T.length;E<R;E++){d=a.default.createElement(T[E])};var M=t.SUPPORTS_NATIVE_HLS=A||j&&(c||F)||N&&/edge/i.test(i),m=d.webkitEnterFullscreen!==undefined,S=d.requestFullscreen!==undefined;if(m&&/mac os x 10_5/i.test(i)){S=!1;m=!1};var l=d.webkitRequestFullScreen!==undefined,u=d.mozRequestFullScreen!==undefined,o=d.msRequestFullscreen!==undefined,p=l||u||o,g=p,f='',h=void 0,v=void 0,y=void 0;if(u){g=a.default.mozFullScreenEnabled}
else if(o){g=a.default.msFullscreenEnabled};if(c){m=!1};if(p){if(l){f='webkitfullscreenchange'}
else if(u){f='mozfullscreenchange'}
else if(o){f='MSFullscreenChange'};t.isFullScreen=h=function(){if(u){return a.default.mozFullScreen}
else if(l){return a.default.webkitIsFullScreen}
else if(o){return a.default.msFullscreenElement!==null}};t.requestFullScreen=v=function(e){if(l){e.webkitRequestFullScreen()}
else if(u){e.mozRequestFullScreen()}
else if(o){e.msRequestFullscreen()}};t.cancelFullScreen=y=function(){if(l){a.default.webkitCancelFullScreen()}
else if(u){a.default.mozCancelFullScreen()}
else if(o){a.default.msExitFullscreen()}}};var P=t.HAS_NATIVE_FULLSCREEN=S,x=t.HAS_WEBKIT_NATIVE_FULLSCREEN=l,L=t.HAS_MOZ_NATIVE_FULLSCREEN=u,I=t.HAS_MS_NATIVE_FULLSCREEN=o,C=t.HAS_IOS_FULLSCREEN=m,O=t.HAS_TRUE_NATIVE_FULLSCREEN=p,k=t.HAS_NATIVE_FULLSCREEN_ENABLED=g,U=t.FULLSCREEN_EVENT_NAME=f;t.isFullScreen=h;t.requestFullScreen=v;t.cancelFullScreen=y;r.default.Features=r.default.Features||{};r.default.Features.isiPad=D;r.default.Features.isiPod=H;r.default.Features.isiPhone=V;r.default.Features.isiOS=r.default.Features.isiPhone||r.default.Features.isiPad;r.default.Features.isAndroid=j;r.default.Features.isIE=N;r.default.Features.isEdge=q;r.default.Features.isChrome=c;r.default.Features.isFirefox=z;r.default.Features.isSafari=A;r.default.Features.isStockAndroid=F;r.default.Features.hasMSE=B;r.default.Features.supportsNativeHLS=M;r.default.Features.supportsPointerEvents=Y;r.default.Features.supportsPassiveEvent=W;r.default.Features.hasiOSFullScreen=C;r.default.Features.hasNativeFullscreen=P;r.default.Features.hasWebkitNativeFullScreen=x;r.default.Features.hasMozNativeFullScreen=L;r.default.Features.hasMsNativeFullScreen=I;r.default.Features.hasTrueNativeFullScreen=O;r.default.Features.nativeFullScreenEnabled=k;r.default.Features.fullScreenEventName=U;r.default.Features.isFullScreen=h;r.default.Features.requestFullScreen=v;r.default.Features.cancelFullScreen=y},{'2':2,'3':3,'7':7}],17:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.removeClass=n.addClass=n.hasClass=undefined;n.loadScript=c;n.offset=p;n.toggleClass=g;n.fadeOut=h;n.fadeIn=v;n.siblings=y;n.visible=E;n.ajax=b;var w=e(3),a=d(w),S=e(2),i=d(S),j=e(7),r=d(j);function d(e){return e&&e.__esModule?e:{default:e}};function c(e){return new Promise(function(t,n){var r=i.default.createElement('script');r.src=e;r.async=!0;r.onload=function(){r.remove();t()};r.onerror=function(){r.remove();n()};i.default.head.appendChild(r)})};function p(e){var t=e.getBoundingClientRect(),n=a.default.pageXOffset||i.default.documentElement.scrollLeft,r=a.default.pageYOffset||i.default.documentElement.scrollTop;return{top:t.top+r,left:t.left+n}};var u=void 0,o=void 0,l=void 0;if('classList' in i.default.documentElement){u=function(e,t){return e.classList!==undefined&&e.classList.contains(t)};o=function(e,t){return e.classList.add(t)};l=function(e,t){return e.classList.remove(t)}}
else{u=function(e,t){return new RegExp('\\b'+t+'\\b').test(e.className)};o=function(e,t){if(!s(e,t)){e.className+=' '+t}};l=function(e,t){e.className=e.className.replace(new RegExp('\\b'+t+'\\b','g'),'')}};var s=n.hasClass=u,f=n.addClass=o,m=n.removeClass=l;function g(e,t){s(e,t)?m(e,t):f(e,t)};function h(e){var r=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=1};var t=null;a.default.requestAnimationFrame(function i(s){t=t||s;var u=s-t,o=parseFloat(1-u/r,2);e.style.opacity=o<0?0:o;if(u>r){if(n&&typeof n==='function'){n()}}
else{a.default.requestAnimationFrame(i)}})};function v(e){var r=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=0};var t=null;a.default.requestAnimationFrame(function i(s){t=t||s;var u=s-t,o=parseFloat(u/r,2);e.style.opacity=o>1?1:o;if(u>r){if(n&&typeof n==='function'){n()}}
else{a.default.requestAnimationFrame(i)}})};function y(e,t){var n=[];e=e.parentNode.firstChild;do{if(!t||t(e)){n.push(e)}}
while(e=e.nextSibling);return n};function E(e){if(e.getClientRects!==undefined&&e.getClientRects==='function'){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)};return!!(e.offsetWidth||e.offsetHeight)};function b(e,t,n,s){var r=a.default.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject('Microsoft.XMLHTTP'),i='application/x-www-form-urlencoded; charset=UTF-8',u=!1,o='*/'.concat('*');switch(t){case'text':i='text/plain';break;case'json':i='application/json, text/javascript';break;case'html':i='text/html';break;case'xml':i='application/xml, text/xml';break};if(i!=='application/x-www-form-urlencoded'){o=i+', */*; q=0.01'};if(r){r.open('GET',e,!0);r.setRequestHeader('Accept',o);r.onreadystatechange=function(){if(u){return};if(r.readyState===4){if(r.status===200){u=!0;var e=void 0;switch(t){case'json':e=JSON.parse(r.responseText);break;case'xml':e=r.responseXML;break;default:e=r.responseText;break};n(e)}
else if(typeof s==='function'){s(r.status)}}};r.send()}};r.default.Utils=r.default.Utils||{};r.default.Utils.offset=p;r.default.Utils.hasClass=s;r.default.Utils.addClass=f;r.default.Utils.removeClass=m;r.default.Utils.toggleClass=g;r.default.Utils.fadeIn=v;r.default.Utils.fadeOut=h;r.default.Utils.siblings=y;r.default.Utils.visible=E;r.default.Utils.ajax=b;r.default.Utils.loadScript=c},{'2':2,'3':3,'7':7}],18:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.escapeHTML=a;n.debounce=i;n.isObjectEmpty=s;n.splitEvents=u;n.createEvent=o;n.isNodeAfter=l;n.isString=d;var f=e(7),r=m(f);function m(e){return e&&e.__esModule?e:{default:e}};function a(e){if(typeof e!=='string'){throw new Error('Argument passed must be a string')};var t={'&':'&amp;','<':'&lt;','>':'&gt;','"':'&quot;'};return e.replace(/[&<>"]/g,function(e){return t[e]})};function i(e,t){var a=this,i=arguments,r=arguments.length>2&&arguments[2]!==undefined?arguments[2]:!1;if(typeof e!=='function'){throw new Error('First argument must be a function')};if(typeof t!=='number'){throw new Error('Second argument must be a numeric value')};var n=void 0;return function(){var s=a,u=i,o=function(){n=null;if(!r){e.apply(s,u)}},l=r&&!n;clearTimeout(n);n=setTimeout(o,t);if(l){e.apply(s,u)}}};function s(e){return Object.getOwnPropertyNames(e).length<=0};function u(e,t){var r=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,n={d:[],w:[]};(e||'').split(' ').forEach(function(e){var a=''+e+(t?'.'+t:'');if(a.startsWith('.')){n.d.push(a);n.w.push(a)}
else{n[r.test(e)?'w':'d'].push(a)}});n.d=n.d.join(' ');n.w=n.w.join(' ');return n};function o(e,t){if(typeof e!=='string'){throw new Error('Event name must be a string')};var n=e.match(/([a-z]+\.([a-z]+))/i),r={target:t};if(n!==null){e=n[1];r.namespace=n[2]};return new window.CustomEvent(e,{detail:r})};function l(e,t){return!!(e&&t&&e.compareDocumentPosition(t)&2)};function d(e){return typeof e==='string'};r.default.Utils=r.default.Utils||{};r.default.Utils.escapeHTML=a;r.default.Utils.debounce=i;r.default.Utils.isObjectEmpty=s;r.default.Utils.splitEvents=u;r.default.Utils.createEvent=o;r.default.Utils.isNodeAfter=l;r.default.Utils.isString=d},{'7':7}],19:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.typeChecks=undefined;n.absolutizeUrl=o;n.formatType=l;n.getMimeFromType=d;n.getTypeFromFile=i;n.getExtension=s;n.normalizeExtension=u;var f=e(7),r=c(f),m=e(18);function c(e){return e&&e.__esModule?e:{default:e}};var a=n.typeChecks=[];function o(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var t=document.createElement('div');t.innerHTML='<a href="'+(0,m.escapeHTML)(e)+'">x</a>';return t.firstChild.href};function l(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:'';return e&&!t?i(e):t};function d(e){if(typeof e!=='string'){throw new Error('`type` argument must be a string')};return e&&e.indexOf(';')>-1?e.substr(0,e.indexOf(';')):e};function i(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};for(var r=0,l=a.length;r<l;r++){var i=a[r](e);if(i){return i}};var o=s(e),t=u(o),n='video/mp4';if(t){if(~['mp4','m4v','ogg','ogv','webm','flv','mpeg','mov'].indexOf(t)){n='video/'+t}
else if(~['mp3','oga','wav','mid','midi'].indexOf(t)){n='audio/'+t}};return n};function s(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var n=e.split('?')[0],t=n.split('\\').pop().split('/').pop();return~t.indexOf('.')?t.substring(t.lastIndexOf('.')+1):''};function u(e){if(typeof e!=='string'){throw new Error('`extension` argument must be a string')};switch(e){case'mp4':case'm4v':return'mp4';case'webm':case'webma':case'webmv':return'webm';case'ogg':case'oga':case'ogv':return'ogg';default:return e}};r.default.Utils=r.default.Utils||{};r.default.Utils.typeChecks=a;r.default.Utils.absolutizeUrl=o;r.default.Utils.formatType=l;r.default.Utils.getMimeFromType=d;r.default.Utils.getTypeFromFile=i;r.default.Utils.getExtension=s;r.default.Utils.normalizeExtension=u},{'18':18,'7':7}],20:[function(e,t,n){'use strict';var i=e(2),s=r(i),u=e(4),o=r(u);function r(e){return e&&e.__esModule?e:{default:e}}(function(e){e.forEach(function(e){if(e.hasOwnProperty('remove')){return};Object.defineProperty(e,'remove',{configurable:!0,enumerable:!0,writable:!0,value:function(){this.parentNode.removeChild(this)}})})})([Element.prototype,CharacterData.prototype,DocumentType.prototype]);(function(){if(typeof window.CustomEvent==='function'){return!1};function e(e,t){t=t||{bubbles:!1,cancelable:!1,detail:undefined};var n=s.default.createEvent('CustomEvent');n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail);return n};e.prototype=window.Event.prototype;window.CustomEvent=e})();if(typeof Object.assign!=='function'){Object.assign=function(e){if(e===null||e===undefined){throw new TypeError('Cannot convert undefined or null to object')};var a=Object(e);for(var r=1,i=arguments.length;r<i;r++){var t=arguments[r];if(t!==null){for(var n in t){if(Object.prototype.hasOwnProperty.call(t,n)){a[n]=t[n]}}}};return a}};if(!String.prototype.startsWith){String.prototype.startsWith=function(e,t){t=t||0;return this.substr(t,e.length)===e}};if(!Element.prototype.matches){Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){var n=(this.document||this.ownerDocument).querySelectorAll(e),t=n.length-1;while(--t>=0&&n.item(t)!==this){};return t>-1}};if(window.Element&&!Element.prototype.closest){Element.prototype.closest=function(e){var r=(this.document||this.ownerDocument).querySelectorAll(e),t=void 0,n=this;do{t=r.length;while(--t>=0&&r.item(t)!==n){}}
while(t<0&&(n=n.parentElement));return n}}(function(){var n=0,t=['ms','moz','webkit','o'];for(var e=0;e<t.length&&!window.requestAnimationFrame;++e){window.requestAnimationFrame=window[t[e]+'RequestAnimationFrame'];window.cancelAnimationFrame=window[t[e]+'CancelAnimationFrame']||window[t[e]+'CancelRequestAnimationFrame']};if(!window.requestAnimationFrame)window.requestAnimationFrame=function(e){var t=new Date().getTime(),r=Math.max(0,16-(t-n)),a=window.setTimeout(function(){e(t+r)},r);n=t+r;return a};if(!window.cancelAnimationFrame)window.cancelAnimationFrame=function(e){clearTimeout(e)}})();if(/firefox/i.test(navigator.userAgent)){var a=window.getComputedStyle;window.getComputedStyle=function(e,t){var n=a(e,t);return n===null?{getPropertyValue:function(){}}:n}};if(!window.Promise){window.Promise=o.default}(function(e){if(e&&e.prototype&&e.prototype.children===null){Object.defineProperty(e.prototype,'children',{get:function(){var n=0,e=void 0,r=this.childNodes,t=[];while(e=r[n++]){if(e.nodeType===1){t.push(e)}};return t}})}})(window.Node||window.Element)},{'2':2,'4':4}]},{},[20,6,5,9,14,11,10,12,13,15]);